<?php

namespace App\Http\Controllers\Aluno;

use App\Helpers\Checklinkfile;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Alunos_matricula;
use App\Models\AlunosMatricula;
use App\Models\AlunosMatriculasDisciplinas;
use App\Models\AlunosMatriculasNota;
use App\Models\AlunosMatriculasNotas;
use App\Models\DisciplinasEad;
use App\Models\Disciplina;
use App\Models\DisciplinasUnidade;
use App\Models\DisciplinasUnidadesRecurso;
use App\Models\RecursosBanner;
use App\Models\RecursosVideo;
use App\Models\RecursosArquivo;
use App\Models\RecursosPagina;
use App\Models\RecursosAvaliacoes;
use App\Models\RecursosAvaliacoesPrazo;
use App\Models\RecursosLink;
use App\Models\RecursosBancoQuestoes;
use App\Models\RecursosBancoQuestoesRespostas;
use App\Models\RecursosForum;
use App\Models\RecursosForumPost;
use App\Models\AlunosUnidadesRecurso;
use App\Models\AlunosUnidadesRecursoAvaliacao;
use App\Models\AlunosUnidadesRecursoAvQuestoes;
use App\Models\AlunosUnidadesRecursoAvQuestoesRespostas;
use App\Models\Disciplinas;
use App\Models\Usuario;
use App\Models\RecursosFeedback;
use App\Models\FeedbackAlunos;
use App\Models\FeedbackPerguntas;
use App\Models\FeedbackRespostas;


class CursoController extends Controller
{
    private $matricula, $matDisciplina, $matNotas, $disciplinaEad, $disciplina, $discUnidade, $recurso, $banner, $video,
        $arquivo, $pagina, $atividade, $prazoAtividade, $link, $questao, $resposta, $recForum, $recForumPost, $alunoRecurso,
        $recAvaliacao, $alnQuestao, $alnQuestaoResp, $usuario, $feedback, $alunosfeed, $pergfeed, $respfeed;

    public function __construct(
        Alunos_matricula $mat,
        AlunosMatriculasDisciplinas $mDisc,
        AlunosMatriculasNota $mNotas,
        DisciplinasEad $ead,
        Disciplinas $disc,
        DisciplinasUnidade $dUnid,
        DisciplinasUnidadesRecurso $rec,
        RecursosBanner $ban,
        RecursosVideo $vdo,
        RecursosArquivo $arq,
        RecursosPagina $pg,
        RecursosAvaliacoes $ava,
        RecursosAvaliacoesPrazo $pzava,
        RecursosLink $lnk,
        RecursosBancoQuestoes $quest,
        RecursosBancoQuestoesRespostas $resp,
        RecursosForum $for,
        RecursosForumPost $post,
        AlunosUnidadesRecurso $alnRec,
        AlunosUnidadesRecursoAvaliacao $alnAva,
        AlunosUnidadesRecursoAvQuestoes $alnQuest,
        AlunosUnidadesRecursoAvQuestoesRespostas $alnQuestResp,
        Usuario $user,
        RecursosFeedback $feed,
        FeedbackAlunos $feedAlunos,
        FeedbackPerguntas $feedPerguntas,
        FeedbackRespostas $feedRespostas
    ) {
        $this->matricula        = $mat;
        $this->matDisciplina    = $mDisc;
        $this->matNotas         = $mNotas;
        $this->disciplinaEad    = $ead;
        $this->disciplina       = $disc;
        $this->discUnidade      = $dUnid;
        $this->recurso          = $rec;
        $this->banner           = $ban;
        $this->video            = $vdo;
        $this->arquivo          = $arq;
        $this->pagina           = $pg;
        $this->atividade        = $ava;
        $this->prazoAtividade   = $pzava;
        $this->link             = $lnk;
        $this->questao          = $quest;
        $this->resposta         = $resp;
        $this->recForum         = $for;
        $this->recForumPost     = $post;
        $this->alunoRecurso     = $alnRec;
        $this->recAvaliacao     = $alnAva;
        $this->alnQuestao       = $alnQuest;
        $this->alnQuestaoResp   = $alnQuestResp;
        $this->usuario          = $user;
        $this->feedback         = $feed;
        $this->alunofeed        = $feedAlunos;
        $this->pergfeed         = $feedPerguntas;
        $this->respfeed         = $feedRespostas;
    }

    // /**
    //  * Lista unidades da disciplina
    //  *
    //  * @param integer $idDiscEAD
    //  * @return void
    //  */
    // public function disciplina(int $idDiscEAD, Request $request)
    // {
    //     ini_set('max_execution_time', '0');

    //     // verifica se sessão esta aberta
    //     if ($request->session()->get('matricula') == null) {
    //         return redirect()->route('error.alunoLogin');
    //     }

    //     // lista unidades e recursos da disciplina
    //     $listaUnidades = $this->discUnidade->getUnidadeDiscAluno($idDiscEAD);

    //     $unidades = [];
    //     if ($listaUnidades->count() > 0) {
    //         foreach ($listaUnidades as $unid) {
    //             // formata exibição dos dados do recurso
    //             $listaRecurso = $this->recurso->getRecursoUnidadeAluno($unid->id);
    //             $recursos = [];
    //             if ($listaRecurso->count() > 0) {
    //                 foreach ($listaRecurso as $rec) {

    //                     /**
    //                      * VERIFICA SE O RECURSO JA ESTA RELACIONADO AO ALUNO
    //                      * CASO NÃO ESTEJA RELACIONA
    //                      */
    //                     $alunoRecurso = $this->alunoRecurso->getAlunoRecurso($request->session()->get('matricula')['idMatricula'], $rec->id);
    //                     if (!$alunoRecurso) {
    //                         $this->alunoRecurso->create([
    //                             'alunos_matriculas_id' => $request->session()->get('matricula')['idMatricula'],
    //                             'unidades_recursos_id' => $rec->id,
    //                             'statusAcesso' => 0,
    //                             'pontosGame' => $rec->pontosGame
    //                         ]);

    //                         $alunoRecurso = $this->alunoRecurso->getAlunoRecurso($request->session()->get('matricula')['idMatricula'], $rec->id);
    //                     }

    //                     /**
    //                      * CONFIGURA DADOS DO RECURSO CONFORME O TIPO DE RECURSO
    //                      */
    //                     switch ($rec->tipoRecurso) {
    //                         case 1: // BANNER
    //                             $banner = $this->banner->where('unidades_recursos_id', $rec->id)->first();

    //                             $link = '';
    //                             if ($banner->arquivoBanner) {
    //                                 $fileLink   = new Checklinkfile($banner->arquivoBanner, 4);
    //                                 $link       = $fileLink->getLink();
    //                             }

    //                             $lnRecurso = [
    //                                 'idRecurso'     => $rec->id,
    //                                 'nomeRecurso'   => $rec->nomeRecurso,
    //                                 'tipoRecurso'   => 1,
    //                                 'arquivoBanner' => $banner->arquivoBanner,
    //                                 'descBanner'    => $banner->descBanner,
    //                                 'linkBanner'    => $banner->linkBanner,
    //                                 'link'          => $link,
    //                                 'statusAcesso'  => $alunoRecurso->statusAcesso
    //                             ];

    //                             array_push($recursos, $lnRecurso);
    //                             break;
    //                         case 2: // VIDEO
    //                             $video = $this->video->where('unidades_recursos_id', $rec->id)->first();

    //                             $lnRecurso = [
    //                                 'idRecurso' => $rec->id,
    //                                 'nomeRecurso' => $rec->nomeRecurso,
    //                                 'tipoRecurso' => 2,
    //                                 'embedVideo' => $video->embedVideo,
    //                                 'descVideo' => $video->descVideo,
    //                                 'statusAcesso' => $alunoRecurso->statusAcesso
    //                             ];

    //                             array_push($recursos, $lnRecurso);
    //                             break;
    //                         case 3: // ARQUIVOS
    //                             $arquivo = $this->arquivo->where('unidades_recursos_id', $rec->id)->first();

    //                             $link = '';
    //                             if ($arquivo->nomeArquivo) {
    //                                 $fileLink   = new Checklinkfile($arquivo->nomeArquivo, 5);
    //                                 $link       = $fileLink->getLink();
    //                             }

    //                             $lnRecurso = [
    //                                 'idRecurso'     => $rec->id,
    //                                 'nomeRecurso'   => $rec->nomeRecurso,
    //                                 'tipoRecurso'   => 3,
    //                                 'nomeArquivo'   => $arquivo->nomeArquivo,
    //                                 'descArquivo'   => $arquivo->descArquivo,
    //                                 'link'          => $link,
    //                                 'statusAcesso'  => $alunoRecurso->statusAcesso
    //                             ];

    //                             array_push($recursos, $lnRecurso);
    //                             break;
    //                         case 4: // PÁGINAS
    //                             $pagina = $this->pagina->where('unidades_recursos_id', $rec->id)->first();

    //                             $lnRecurso = [
    //                                 'idRecurso' => $rec->id,
    //                                 'nomeRecurso' => $rec->nomeRecurso,
    //                                 'tipoRecurso' => 4,
    //                                 'tituloPagina' => $pagina->tituloPagina,
    //                                 'resumoPagina' => $pagina->resumoPagina,
    //                                 'statusAcesso' => $alunoRecurso->statusAcesso
    //                             ];

    //                             array_push($recursos, $lnRecurso);
    //                             break;
    //                         case 5: // ATIVIDADES
    //                             $atividade = $this->atividade->where('unidades_recursos_id', $rec->id)->first();
    //                             $inicioVisualizacao = null;
    //                             $fimVisualizacao = null;
    //                             // verifica se há prazo estipulado
    //                             $prazo = $this->prazoAtividade->where('recursos_avaliacoes_id', $atividade->id)->first();
    //                             if ($prazo) {
    //                                 $inicioVisualizacao = $prazo->dataInicio;
    //                                 $fimVisualizacao = $prazo->dataTermino;
    //                             }
    //                             $lnRecurso = [
    //                                 'idRecurso' => $rec->id,
    //                                 'nomeRecurso' => $rec->nomeRecurso,
    //                                 'tipoRecurso' => 5,
    //                                 'tituloAvaliacao' => $atividade->tituloAvaliacao,
    //                                 'statusAcesso' => $alunoRecurso->statusAcesso,
    //                                 'inicioVisualizacao' => $inicioVisualizacao,
    //                                 'fimVisualizacao' => $fimVisualizacao
    //                             ];

    //                             array_push($recursos, $lnRecurso);
    //                             break;
    //                         case 6: // LINK
    //                             $link = $this->link->where('unidades_recursos_id', $rec->id)->first();

    //                             $lnRecurso = [
    //                                 'idRecurso' => $rec->id,
    //                                 'nomeRecurso' => $rec->nomeRecurso,
    //                                 'tipoRecurso' => 6,
    //                                 'tituloLink' => $link->tituloLink,
    //                                 'urlLink' => $link->urlLink,
    //                                 'statusAcesso' => $alunoRecurso->statusAcesso
    //                             ];

    //                             array_push($recursos, $lnRecurso);
    //                             break;
    //                         case 7: // FORUM
    //                             $forum = $this->recForum->where('unidades_recursos_id', $rec->id)->first();

    //                             $lnRecurso = [
    //                                 'idRecurso' => $rec->id,
    //                                 'nomeRecurso' => $rec->nomeRecurso,
    //                                 'tipoRecurso' => 7,
    //                                 'topicoForum' => $forum->topicoForum,
    //                                 'descForum' => $forum->descForum,
    //                                 'statusAcesso' => $alunoRecurso->statusAcesso
    //                             ];

    //                             array_push($recursos, $lnRecurso);
    //                             break;
    //                         default: // NÃO ENCONTRADO

    //                             break;
    //                     }
    //                 }
    //             }

    //             $lnUnidade = [
    //                 'idUnidade' => $unid->id,
    //                 'ordemUnidade' => $unid->ordemUnidade,
    //                 'nomeUnidade' => $unid->nomeUnidade,
    //                 'recursos' => $recursos
    //             ];

    //             array_push($unidades, $lnUnidade);
    //         }
    //     }
    //     $ead = $this->disciplinaEad->find($idDiscEAD);

    //     $matNotas = $this->matNotas->getListaNotasAlunoFeedback($request->session()->get('matricula')['idMatricula'], $ead->disciplina_id);

    //     if (!$matNotas) {
    //         $geraMatDisciplina = $this->geraMatriculaDisciplina($request);
    //         $matNotas = $this->matNotas->getListaNotasAlunoFeedback($request->session()->get('matricula')['idMatricula'], $ead->disciplina_id);
    //     }

    //     if ($matNotas->percFrequencia > 74) {
    //         $listaPerg = $this->geraFeedback($ead->disciplina_id,  $request);
    //         $resposta = $this->respfeed->getLista($listaPerg['alunoID'], $listaPerg['perguntasID'], $ead->disciplina_id);
    //     } else {
    //         $resposta = $this->respfeed->getLista(0, [0], 0);
    //         $matNotas->percFrequencia = 0;
    //     }

    //     $frequencia = $matNotas->percFrequencia;


    //     $disciplina = $this->disciplina->find($ead->disciplina_id);
    //     $feedback = $this->respfeed->getResposta($request->session()->get('matricula')['idMatricula'], $ead->disciplina_id, 0)->count();

    //     return view('aluno.curso.disciplinaRoad', compact('unidades', 'disciplina', 'feedback', 'matNotas', 'resposta', 'frequencia'));
    // }

    public function getDadosRecursos(Request $request)
    {
        if (!$request->ajax()) {
            return redirect()->back();
        }

        if (!$request->unidadeId) {
            return false;
        }

        $matricula  = $this->matricula->find($request->session()->get('matricula')['idMatricula']);
        $ead        = $this->disciplinaEad->find($request->idDiscEAD);
        $matNotas   = $this->matNotas->getListaNotasAlunoFeedback($matricula->id, $ead->disciplina_id);
        $disciplina = $this->disciplina->find($ead->disciplina_id);

        $matriculaDisciplina = $this->matDisciplina->where([
            'disciplinas_id'        => $disciplina->id,
            'alunos_matriculas_id'  => $matricula->id
        ])->first();

        /***********************************
         * Verifica se a prova está liberada
         **********************************/
        $dataDisciplina     = calendarioAcademico($matricula->created_at, $matriculaDisciplina->diasLiberacao);
        $dataLiberacaoProva = calendarioAcademico($dataDisciplina, '45');

        $dataLiberacaoProva <= date('Y-m-d') ? $provaLiberada = 'S' : $provaLiberada = 'N';

        $listaRecurso = $this->recurso->getRecursoUnidadeAluno($request->unidadeId);

        if (sizeof($listaRecurso) > 0) {
            $recursos = [];
            foreach ($listaRecurso as $rec) {

                /**
                 * VERIFICA SE O RECURSO JA ESTA RELACIONADO AO ALUNO
                 * CASO NÃO ESTEJA RELACIONA
                 */
                $alunoRecurso = $this->alunoRecurso->getAlunoRecurso($matricula->id, $rec->id);
                if (!$alunoRecurso) {
                    $this->alunoRecurso->create([
                        'alunos_matriculas_id'  => $matricula->id,
                        'unidades_recursos_id'  => $rec->id,
                        'statusAcesso'          => 0,
                        'pontosGame'            => $rec->pontosGame
                    ]);
                    $alunoRecurso = $this->alunoRecurso->getAlunoRecurso($matricula->id, $rec->id);
                }

                /**
                 * CONFIGURA DADOS DO RECURSO CONFORME O TIPO DE RECURSO
                 */
                switch ($rec->tipoRecurso) {
                    case 1: // BANNER
                        $banner = $this->banner->where('unidades_recursos_id', $rec->id)->first();

                        $link = '';
                        if ($banner->arquivoBanner) {
                            $fileLink   = new Checklinkfile($banner->arquivoBanner, 4);
                            $link       = $fileLink->getLink();
                        }

                        $lnRecurso = [
                            'idRecurso'     => $rec->id,
                            'nomeRecurso'   => $rec->nomeRecurso,
                            'tipoRecurso'   => 1,
                            'arquivoBanner' => $banner->arquivoBanner,
                            'descBanner'    => $banner->descBanner,
                            'linkBanner'    => $banner->linkBanner,
                            'link'          => $link,
                            'statusAcesso'  => $alunoRecurso->statusAcesso
                        ];

                        array_push($recursos, $lnRecurso);
                        break;
                    case 2: // VIDEO
                        $video = $this->video->where('unidades_recursos_id', $rec->id)->first();

                        $lnRecurso = [
                            'idRecurso'     => $rec->id,
                            'nomeRecurso'   => $rec->nomeRecurso,
                            'tipoRecurso'   => 2,
                            'embedVideo'    => $video->embedVideo,
                            'descVideo'     => $video->descVideo,
                            'statusAcesso'  => $alunoRecurso->statusAcesso
                        ];

                        array_push($recursos, $lnRecurso);
                        break;
                    case 3: // ARQUIVOS
                        $arquivo = $this->arquivo->where('unidades_recursos_id', $rec->id)->first();

                        $link = '';
                        if ($arquivo->nomeArquivo) {
                            $fileLink   = new Checklinkfile($arquivo->nomeArquivo, 5);
                            $link       = $fileLink->getLink();
                        }

                        $lnRecurso = [
                            'idRecurso'     => $rec->id,
                            'nomeRecurso'   => $rec->nomeRecurso,
                            'tipoRecurso'   => 3,
                            'nomeArquivo'   => $arquivo->nomeArquivo,
                            'descArquivo'   => $arquivo->descArquivo,
                            'link'          => $link,
                            'statusAcesso'  => $alunoRecurso->statusAcesso
                        ];

                        array_push($recursos, $lnRecurso);
                        break;
                    case 4: // PÁGINAS
                        $pagina = $this->pagina->where('unidades_recursos_id', $rec->id)->first();

                        $lnRecurso = [
                            'idRecurso' => $rec->id,
                            'nomeRecurso' => $rec->nomeRecurso,
                            'tipoRecurso' => 4,
                            'tituloPagina' => $pagina->tituloPagina,
                            'resumoPagina' => $pagina->resumoPagina,
                            'statusAcesso' => $alunoRecurso->statusAcesso
                        ];

                        array_push($recursos, $lnRecurso);
                        break;
                    case 5: // ATIVIDADES
                        $atividade = $this->atividade->where('unidades_recursos_id', $rec->id)->first();
                        $inicioVisualizacao = null;
                        $fimVisualizacao = null;
                        // verifica se há prazo estipulado
                        $prazo = $this->prazoAtividade->where('recursos_avaliacoes_id', $atividade->id)->first();
                        if ($prazo) {
                            $inicioVisualizacao = $prazo->dataInicio;
                            $fimVisualizacao = $prazo->dataTermino;
                        }
                        $lnRecurso = [
                            'idRecurso' => $rec->id,
                            'nomeRecurso' => $rec->nomeRecurso,
                            'tipoRecurso' => 5,
                            'tituloAvaliacao' => $atividade->tituloAvaliacao,
                            'statusAcesso' => $alunoRecurso->statusAcesso,
                            'inicioVisualizacao' => $inicioVisualizacao,
                            'fimVisualizacao' => $fimVisualizacao
                        ];

                        array_push($recursos, $lnRecurso);
                        break;
                    case 6: // LINK
                        $link = $this->link->where('unidades_recursos_id', $rec->id)->first();

                        $lnRecurso = [
                            'idRecurso' => $rec->id,
                            'nomeRecurso' => $rec->nomeRecurso,
                            'tipoRecurso' => 6,
                            'tituloLink' => $link->tituloLink,
                            'urlLink' => $link->urlLink,
                            'statusAcesso' => $alunoRecurso->statusAcesso
                        ];

                        array_push($recursos, $lnRecurso);
                        break;
                    case 7: // FORUM
                        $forum = $this->recForum->where('unidades_recursos_id', $rec->id)->first();

                        $lnRecurso = [
                            'idRecurso' => $rec->id,
                            'nomeRecurso' => $rec->nomeRecurso,
                            'tipoRecurso' => 7,
                            'topicoForum' => $forum->topicoForum,
                            'descForum' => $forum->descForum,
                            'statusAcesso' => $alunoRecurso->statusAcesso
                        ];

                        array_push($recursos, $lnRecurso);
                        break;
                    default: // NÃO ENCONTRADO

                        break;
                }
            }
        }
        $feedback   = $this->respfeed->getResposta($request->session()->get('matricula')['idMatricula'], $ead->disciplina_id, 0)->count();
        return view('modulos.SAV.disciplina.unidadeRecursos', compact('recursos', 'matNotas', 'dataLiberacaoProva', 'provaLiberada', 'feedback'));
    }

    /**
     * Lista unidades da disciplina
     *
     * @param integer $idDiscEAD
     * @return void
     */
    public function disciplina(int $idDiscEAD, Request $request)
    {
        ini_set('max_execution_time', '0');
        // verifica se sessão esta aberta
        if ($request->session()->get('matricula') == null) return redirect()->route('home')->with('error', 'Acesso não autorisado!');

        $matricula = $this->matricula->find($request->session()->get('matricula')['idMatricula']);

        $ead        = $this->disciplinaEad->find($idDiscEAD);
        $matNotas   = $this->matNotas->getListaNotasAlunoFeedback($request->session()->get('matricula')['idMatricula'], $ead->disciplina_id);

        if (!$matNotas) {
            $geraMatDisciplina  = $this->geraMatriculaDisciplina($request);
            $matNotas           = $this->matNotas->getListaNotasAlunoFeedback($request->session()->get('matricula')['idMatricula'], $ead->disciplina_id);
        }

        // if($matNotas->statusAcademico == 3){
        //     return redirect()->route('aluno.home')->with('warning', 'Não é possível acessar discliplina com a condição de reprovado!');
        // }

        $frequencia = $matNotas->percFrequencia;
        $disciplina = $this->disciplina->find($ead->disciplina_id);
        $feedback   = $this->respfeed->getResposta($request->session()->get('matricula')['idMatricula'], $ead->disciplina_id, 0)->count();

        $matriculaDisciplina = $this->matDisciplina->where([
            'disciplinas_id'        => $disciplina->id,
            'alunos_matriculas_id'  => $matricula->id
        ])->first();

        /***********************************
         * Verifica se a prova está liberada
         **********************************/
        // $dataDisciplina     = calendarioAcademico($matricula->created_at, $matriculaDisciplina->diasLiberacao);
        // $dataLiberacaoProva = calendarioAcademico($dataDisciplina, '45');

        // $dataLiberacaoProva <= date('Y-m-d') ? $provaLiberada = 'S' : $provaLiberada = 'N';

        /*************************************************************************************
         * o feed back do aluno vai passar por refatoração
         **************************************************************************************/

        if ($matNotas->percFrequencia > 74) {
            $listaPerg = $this->geraFeedback($ead->disciplina_id,  $request);
            $resposta = $this->respfeed->getLista($listaPerg['alunoID'], $listaPerg['perguntasID'], $ead->disciplina_id);
        } else {
            $resposta = $this->respfeed->getLista(0, [0], 0);
            $matNotas->percFrequencia = 0;
        }

        // lista unidades e recursos da disciplina
        $listaUnidades = $this->discUnidade->getUnidadeDiscAluno($idDiscEAD);

        return view('aluno.curso.disciplinaRoad', compact('disciplina', 'feedback', 'matNotas', 'frequencia', 'matricula', 'matriculaDisciplina', 'listaUnidades', 'idDiscEAD', 'resposta'));
    }

    /**
     * Lista unidades da disciplina
     *
     * @param integer $idDiscEAD
     * @return void
     */
    // public function disciplina(int $idDiscEAD, Request $request)
    // {
    //     ini_set('max_execution_time', '0');

    //     // verifica se sessão esta aberta
    //     if ($request->session()->get('matricula') == null) {
    //         return redirect()->route('error.alunoLogin');
    //     }

    //     // lista unidades e recursos da disciplina
    //     $listaUnidades = $this->discUnidade->getUnidadeDiscAluno($idDiscEAD);

    //     $unidades = [];
    //     if ($listaUnidades->count() > 0) {
    //         foreach ($listaUnidades as $unid) {
    //             // formata exibição dos dados do recurso
    //             $listaRecurso = $this->recurso->getRecursoUnidadeAluno($unid->id);
    //             $recursos = [];
    //             if ($listaRecurso->count() > 0) {
    //                 foreach ($listaRecurso as $rec) {

    //                     /**
    //                      * VERIFICA SE O RECURSO JA ESTA RELACIONADO AO ALUNO
    //                      * CASO NÃO ESTEJA RELACIONA
    //                      */
    //                     $alunoRecurso = $this->alunoRecurso->getAlunoRecurso($request->session()->get('matricula')['idMatricula'], $rec->id);
    //                     if (!$alunoRecurso) {
    //                         $this->alunoRecurso->create([
    //                             'alunos_matriculas_id'      => $request->session()->get('matricula')['idMatricula'],
    //                             'unidades_recursos_id'      => $rec->id,
    //                             'statusAcesso'              => 0,
    //                             'pontosGame'                => $rec->pontosGame
    //                         ]);

    //                         $alunoRecurso = $this->alunoRecurso->getAlunoRecurso($request->session()->get('matricula')['idMatricula'], $rec->id);
    //                     }

    //                     /**
    //                      * CONFIGURA DADOS DO RECURSO CONFORME O TIPO DE RECURSO
    //                      */
    //                     switch ($rec->tipoRecurso) {
    //                         case 1: // BANNER
    //                             $banner = $this->banner->where('unidades_recursos_id', $rec->id)->first();

    //                             $link = '';
    //                             if ($banner->arquivoBanner) {
    //                                 $fileLink   = new Checklinkfile($banner->arquivoBanner, 4);
    //                                 $link       = $fileLink->getLink();
    //                             }

    //                             $lnRecurso = [
    //                                 'idRecurso'     => $rec->id,
    //                                 'nomeRecurso'   => $rec->nomeRecurso,
    //                                 'tipoRecurso'   => 1,
    //                                 'arquivoBanner' => $banner->arquivoBanner,
    //                                 'descBanner'    => $banner->descBanner,
    //                                 'linkBanner'    => $banner->linkBanner,
    //                                 'link'          => $link,
    //                                 'statusAcesso'  => $alunoRecurso->statusAcesso
    //                             ];

    //                             array_push($recursos, $lnRecurso);
    //                             break;
    //                         case 2: // VIDEO
    //                             $video = $this->video->where('unidades_recursos_id', $rec->id)->first();

    //                             $lnRecurso = [
    //                                 'idRecurso' => $rec->id,
    //                                 'nomeRecurso' => $rec->nomeRecurso,
    //                                 'tipoRecurso' => 2,
    //                                 'embedVideo' => $video->embedVideo,
    //                                 'descVideo' => $video->descVideo,
    //                                 'statusAcesso' => $alunoRecurso->statusAcesso
    //                             ];

    //                             array_push($recursos, $lnRecurso);
    //                             break;
    //                         case 3: // ARQUIVOS
    //                             $arquivo = $this->arquivo->where('unidades_recursos_id', $rec->id)->first();

    //                             $link = '';
    //                             if ($arquivo->nomeArquivo) {
    //                                 $fileLink   = new Checklinkfile($arquivo->nomeArquivo, 5);
    //                                 $link       = $fileLink->getLink();
    //                             }

    //                             $lnRecurso = [
    //                                 'idRecurso'     => $rec->id,
    //                                 'nomeRecurso'   => $rec->nomeRecurso,
    //                                 'tipoRecurso'   => 3,
    //                                 'nomeArquivo'   => $arquivo->nomeArquivo,
    //                                 'descArquivo'   => $arquivo->descArquivo,
    //                                 'link'          => $link,
    //                                 'statusAcesso'  => $alunoRecurso->statusAcesso
    //                             ];

    //                             array_push($recursos, $lnRecurso);
    //                             break;
    //                         case 4: // PÁGINAS
    //                             $pagina = $this->pagina->where('unidades_recursos_id', $rec->id)->first();

    //                             $lnRecurso = [
    //                                 'idRecurso' => $rec->id,
    //                                 'nomeRecurso' => $rec->nomeRecurso,
    //                                 'tipoRecurso' => 4,
    //                                 'tituloPagina' => $pagina->tituloPagina,
    //                                 'resumoPagina' => $pagina->resumoPagina,
    //                                 'statusAcesso' => $alunoRecurso->statusAcesso
    //                             ];

    //                             array_push($recursos, $lnRecurso);
    //                             break;
    //                         case 5: // ATIVIDADES
    //                             $atividade = $this->atividade->where('unidades_recursos_id', $rec->id)->first();
    //                             $inicioVisualizacao = null;
    //                             $fimVisualizacao = null;
    //                             // verifica se há prazo estipulado
    //                             $prazo = $this->prazoAtividade->where('recursos_avaliacoes_id', $atividade->id)->first();
    //                             if ($prazo) {
    //                                 $inicioVisualizacao = $prazo->dataInicio;
    //                                 $fimVisualizacao = $prazo->dataTermino;
    //                             }
    //                             $lnRecurso = [
    //                                 'idRecurso' => $rec->id,
    //                                 'nomeRecurso' => $rec->nomeRecurso,
    //                                 'tipoRecurso' => 5,
    //                                 'tituloAvaliacao' => $atividade->tituloAvaliacao,
    //                                 'statusAcesso' => $alunoRecurso->statusAcesso,
    //                                 'inicioVisualizacao' => $inicioVisualizacao,
    //                                 'fimVisualizacao' => $fimVisualizacao
    //                             ];

    //                             array_push($recursos, $lnRecurso);
    //                             break;
    //                         case 6: // LINK
    //                             $link = $this->link->where('unidades_recursos_id', $rec->id)->first();

    //                             $lnRecurso = [
    //                                 'idRecurso' => $rec->id,
    //                                 'nomeRecurso' => $rec->nomeRecurso,
    //                                 'tipoRecurso' => 6,
    //                                 'tituloLink' => $link->tituloLink,
    //                                 'urlLink' => $link->urlLink,
    //                                 'statusAcesso' => $alunoRecurso->statusAcesso
    //                             ];

    //                             array_push($recursos, $lnRecurso);
    //                             break;
    //                         case 7: // FORUM
    //                             $forum = $this->recForum->where('unidades_recursos_id', $rec->id)->first();

    //                             $lnRecurso = [
    //                                 'idRecurso' => $rec->id,
    //                                 'nomeRecurso' => $rec->nomeRecurso,
    //                                 'tipoRecurso' => 7,
    //                                 'topicoForum' => $forum->topicoForum,
    //                                 'descForum' => $forum->descForum,
    //                                 'statusAcesso' => $alunoRecurso->statusAcesso
    //                             ];

    //                             array_push($recursos, $lnRecurso);
    //                             break;
    //                         default: // NÃO ENCONTRADO

    //                             break;
    //                     }
    //                 }
    //             }

    //             $lnUnidade = [
    //                 'idUnidade' => $unid->id,
    //                 'ordemUnidade' => $unid->ordemUnidade,
    //                 'nomeUnidade' => $unid->nomeUnidade,
    //                 'recursos' => $recursos
    //             ];

    //             array_push($unidades, $lnUnidade);
    //         }
    //     }

    //     $ead = $this->disciplinaEad->find($idDiscEAD);

    //     $matNotas = $this->matNotas->getListaNotasAlunoFeedback($request->session()->get('matricula')['idMatricula'], $ead->disciplina_id);

    //     if (!$matNotas) {
    //         $geraMatDisciplina = $this->geraMatriculaDisciplina($request);
    //         $matNotas = $this->matNotas->getListaNotasAlunoFeedback($request->session()->get('matricula')['idMatricula'], $ead->disciplina_id);
    //     }

    //     if ($matNotas->percFrequencia > 74) {
    //         $listaPerg = $this->geraFeedback($ead->disciplina_id,  $request);
    //         $resposta = $this->respfeed->getLista($listaPerg['alunoID'], $listaPerg['perguntasID'], $ead->disciplina_id);
    //     } else {
    //         $resposta = $this->respfeed->getLista(0, [0], 0);
    //         $matNotas->percFrequencia = 0;
    //     }

    //     $frequencia = $matNotas->percFrequencia;


    //     $disciplina = $this->disciplina->find($ead->disciplina_id);
    //     $feedback = $this->respfeed->getResposta($request->session()->get('matricula')['idMatricula'], $ead->disciplina_id, 0)->count();

    //     return view('aluno.curso.disciplinaRoad', compact('unidades', 'disciplina', 'feedback', 'matNotas', 'resposta', 'frequencia'));
    // }

    public function geraMatriculaDisciplina(Request $request)
    {
        $idMatricula = $request->session()->get('matricula')['idMatricula'];


        // verifica modalidade de curso para montar e validar os registros
        switch ($request->session()->get('matricula')['modalidade']) {
                // registros de frequência presencial
            case 2:
                $disciplinasEAD = $this->disciplinaEad->getDisciplinasEADCurso($request->session()->get('matricula')['idCurso']);
                break;

            case 3:
                $disciplinasEAD = $this->disciplinaEad->getDisciplinaTurma($request->session()->get('matricula')['idTurma']);
                break;
        }

        $listaDisciplinas = [];
        if ($disciplinasEAD->count() > 0) {
            foreach ($disciplinasEAD as $ead) {
                $disciplina = $this->disciplina->find($ead->disciplina_id);

                // verifica se ja existe associação da disciplina ao registro de notas
                $discMatricula = $this->matDisciplina->where('alunos_matriculas_id', $idMatricula)->where('disciplinas_id', $ead->disciplina_id)->first();
                if (!$discMatricula) {
                    $this->matDisciplina->create([
                        'alunos_matriculas_id' => $idMatricula,
                        'disciplinas_id' => $disciplina->id
                    ]);

                    $discMatricula = $this->matDisciplina->where('alunos_matriculas_id', $idMatricula)->where('disciplinas_id', $ead->disciplina_id)->first();
                }

                // verifica registro de nota
                $discNota = $this->matNotas->where('matriculas_disciplinas', $discMatricula->id)->first();
                if (!$discNota) {
                    $this->matNotas->create([
                        'matriculas_disciplinas' => $discMatricula->id
                    ]);
                    $discNota = $this->matNotas->where('matriculas_disciplinas', $discMatricula->id)->first();
                }

                // monta array de disciplinas
                $lnDisciplina = [
                    'nomeDisciplina' => $disciplina->nomeDisciplina,
                    'totalNota' => $discNota->valorNota,
                    'creditoNota' =>  $discNota->tipoRegistro
                ];

                array_push($listaDisciplinas, $lnDisciplina);
            }
        }

        return $listaDisciplinas;
    }

    public function geraFeedback($eadDisciplina, $request)
    {
        $feedbackAlunos = $this->alunofeed->getVerificaAluno($request->session()->get('matricula')['idMatricula'], $eadDisciplina);
        $disciplina     = $this->disciplina->find($eadDisciplina);
        $feedback       = $this->respfeed->getValidar($request->session()->get('matricula')['idMatricula'], $eadDisciplina, 0);
        $pergunta       = $this->pergfeed->getListaPergunta($request->session()->get('matricula')['modalidade']);
        //dd($feedbackAlunos);
        if (!$feedbackAlunos) {

            $response = $this->alunofeed->create([
                'alunos_matriculas_id' => $request->session()->get('matricula')['idMatricula']

            ]);

            $alunoID = $response->id;
        } else {

            $alunoID = $feedbackAlunos->id;
        }

        //dd($alunoID);
        $listaPerg = ['alunoID' => $alunoID];

        foreach ($pergunta as $perg) {

            $idPerguntas[] = $perg->id;



            $feedbackResp = $this->alunofeed->getVerificaResposta($request->session()->get('matricula')['idMatricula'], $eadDisciplina, $perg->id);
            if ($feedbackResp->count() == 0) {
                $dados = [
                    'pesquisas_alunos_id' => $alunoID,
                    'pesquisas_perguntas_id' => $perg->id,
                    'disciplinas_id' => $eadDisciplina,
                    'respostaAluno' => 0,
                    'comentario' => ''
                ];
                $responseperg = $this->respfeed->create($dados);
            }
        }
        $listaPerg['perguntasID'] = $idPerguntas;

        return $listaPerg;
    }


    /**
     * Exibe recursos
     *
     * @param integer $idRecurso
     * @return void
     */
    public function recurso(int $idRecurso, Request $request)
    {
        ini_set('max_execution_time', '0');
        // verifica se sessão esta aberta
        if ($request->session()->get('matricula') == null) {
            return redirect()->route('error.alunoLogin');
        }
        $recurso = $this->recurso->getRecursoUnidadeDiscCurso($idRecurso);
        $disciplina = $this->disciplina->find($recurso->disciplina_id);

        /**
         * MONTA MENU DE RECURSOS
         */
        // formata exibição dos dados do recurso
        $listaRecurso = $this->recurso->getRecursoUnidadeAluno($recurso->disciplinas_unidades_id);
        $mnRecursos = [];
        if ($listaRecurso->count() > 0) {
            foreach ($listaRecurso as $rec) {

                /**
                 * resgata dados do acesso ao recurso
                 */
                $dadosAcesso = $this->alunoRecurso->getAlunoRecurso($request->session()->get('matricula')['idMatricula'], $rec->id);

                switch ($rec->tipoRecurso) {
                    case 2: // VIDEO
                        $video = $this->video->where('unidades_recursos_id', $rec->id)->first();

                        $lnRecurso = [
                            'idRecurso'     => $rec->id,
                            'idEAD'         => $rec->idEAD,
                            'nomeRecurso'   => $rec->nomeRecurso,
                            'tipoRecurso'   => 2,
                            'statusAcesso'  => $dadosAcesso->statusAcesso
                        ];

                        array_push($mnRecursos, $lnRecurso);
                        break;
                    case 3: // ARQUIVOS
                        $arquivo = $this->arquivo->where('unidades_recursos_id', $rec->id)->first();

                        $lnRecurso = [
                            'idRecurso'     => $rec->id,
                            'idEAD'         => $rec->idEAD,
                            'nomeRecurso'   => $rec->nomeRecurso,
                            'tipoRecurso'   => 3,
                            'nomeArquivo'   => $arquivo->nomeArquivo,
                            'statusAcesso'  => $dadosAcesso->statusAcesso
                        ];

                        array_push($mnRecursos, $lnRecurso);
                        break;
                    case 4: // PÁGINAS
                        $pagina = $this->pagina->where('unidades_recursos_id', $rec->id)->first();

                        $lnRecurso = [
                            'idRecurso'     => $rec->id,
                            'idEAD'         => $rec->idEAD,
                            'nomeRecurso'   => $rec->nomeRecurso,
                            'tipoRecurso'   => 4,
                            'tituloPagina'  => $pagina->tituloPagina,
                            'statusAcesso'  => $dadosAcesso->statusAcesso
                        ];

                        array_push($mnRecursos, $lnRecurso);
                        break;
                    case 5: // ATIVIDADES
                        $atividade = $this->atividade->where('unidades_recursos_id', $rec->id)->first();

                        $lnRecurso = [
                            'idRecurso'     => $rec->id,
                            'idEAD'         => $rec->idEAD,
                            'tipoRecurso'   => 5,
                            'nomeRecurso'   => $atividade->tituloAvaliacao,
                            'statusAcesso'  => $dadosAcesso->statusAcesso
                        ];

                        array_push($mnRecursos, $lnRecurso);
                        break;
                    case 6: // LINK
                        $link = $this->link->where('unidades_recursos_id', $rec->id)->first();

                        $lnRecurso = [
                            'idRecurso'     => $rec->id,
                            'idEAD'         => $rec->idEAD,
                            'tipoRecurso'   => 6,
                            'nomeRecurso'   => $link->tituloLink,
                            'urlLink'       => $link->urlLink,
                            'statusAcesso'  => $dadosAcesso->statusAcesso
                        ];

                        array_push($mnRecursos, $lnRecurso);
                        break;
                    case 7: // FORUM
                        $forum = $this->recForum->where('unidades_recursos_id', $rec->id)->first();

                        $lnRecurso = [
                            'idRecurso'     => $rec->id,
                            'idEAD'         => $rec->idEAD,
                            'tipoRecurso'   => 7,
                            'nomeRecurso'   => $forum->topicoForum,
                            'statusAcesso'  => $dadosAcesso->statusAcesso
                        ];

                        array_push($mnRecursos, $lnRecurso);
                        break;
                    default: // NÃO ENCONTRADO

                        break;
                }
            }
        }

        #dd($disciplina);

        /**
         * ATUALIZA STATUS DE ACESSO AO RECURSO
         */
        $alunoRecurso = $this->alunoRecurso->getAlunoRecurso($request->session()->get('matricula')['idMatricula'], $idRecurso);
        if ($alunoRecurso) {
            $alunoRecurso->update([
                'statusAcesso'  => 1,
                'dataAcesso'    => date('Y-m-d H:i:s')
            ]);

            /**
             * VERIFICA SE O ALUNO É EAD OU PRESENCIAL
             * CASO SEJA PRESENCIAL NÃO ATUALIZA FREQUÊNCIA.
             */
            $matricula = $this->matricula->find($request->session()->get('matricula')['idMatricula']);
            if ($matricula->modalidade != 1) {
                // atualiza percentual de frequência do aluno no portal do aluno
                $todosRecursos = $this->alunoRecurso->getAlunoRecursoAcesso($alunoRecurso->alunos_matriculas_id, $disciplina->id);
                $recursosVistos = $this->alunoRecurso->getAlunoRecursoAcesso($alunoRecurso->alunos_matriculas_id, $disciplina->id, 1);
                $totalFrequencia = ($recursosVistos->count() / $todosRecursos->count()) * 100;

                // atualiza dados da frequencia
                $matriculaDisciplina = $this->matDisciplina->where('alunos_matriculas_id', $alunoRecurso->alunos_matriculas_id)->where('disciplinas_id', $disciplina->id)->first();
                if (!$matriculaDisciplina) {
                    $this->matDisciplina->create([
                        'alunos_matriculas_id' =>  $alunoRecurso->alunos_matriculas_id,
                        'disciplinas_id' => $disciplina->id
                    ]);
                    $matriculaDisciplina = $this->matDisciplina->where('alunos_matriculas_id', $alunoRecurso->alunos_matriculas_id)->where('disciplinas_id', $disciplina->id)->first();
                }

                $matriculasNotas = $this->matNotas->where('matriculas_disciplinas', $matriculaDisciplina->id)->first();
                if (!$matriculasNotas) {
                    $this->matNotas->create([
                        'matriculas_disciplinas' => $matriculaDisciplina->id
                    ]);
                    $matriculasNotas = $this->matNotas->where('matriculas_disciplinas', $matriculaDisciplina->id)->first();
                }
                $data = $this->matNotas->where('matriculas_disciplinas', $matriculaDisciplina->id)->update(['percFrequencia' => $totalFrequencia]);
                // $matriculasNotas->update(['percFrequencia' => $totalFrequencia]);
            }
        }

        /**
         * GERENCIA REDIRECIONAMENTO DA TELA
         */
        switch ($recurso->tipoRecurso) {
            case 1: // BANNER

                break;
            case 2: // VIDEO
                $video = $this->video->where('unidades_recursos_id', $recurso->id)->first();
                return view('aluno.curso.disciplinaRecursoVideo', compact('recurso', 'disciplina', 'video', 'mnRecursos'));
                break;
            case 3: // ARQUIVOS

                break;
            case 4: // PÁGINAS
                $pagina = $this->pagina->where('unidades_recursos_id', $recurso->id)->first();
                return view('aluno.curso.disciplinaRecursoPagina', compact('recurso', 'mnRecursos', 'disciplina', 'pagina'));
                break;
            case 5: // ATIVIDADES
                $atividade = $this->atividade->where('unidades_recursos_id', $recurso->id)->first();
                $avaliacaoAluno = $this->recAvaliacao->getUltimaTentativaAvaliacao($alunoRecurso->id);
                if (!$avaliacaoAluno) {
                    $this->recAvaliacao->create([
                        'alunos_unidades_recursos_id'   => $alunoRecurso->id,
                        'dataInicio'                    => date('Y-m-d H:i:s'),
                        'statusAvaliacao'               => 0
                    ]);
                    $avaliacaoAluno = $this->recAvaliacao->getUltimaTentativaAvaliacao($alunoRecurso->id);
                }

                /**
                 * Configura atividade
                 * 1. Verifica se numero de tentativas foram atingidas
                 */
                $avTentativas = $this->recAvaliacao->where('alunos_unidades_recursos_id', $alunoRecurso->id)->get();
                $configAtividade = [
                    'totalRealizado'        => $avTentativas->count(),
                    'totalChances'          => $atividade->qtdeTentativas,
                    'tentativasAvaliacao'   => $avTentativas
                ];

                // verifica se já há questões relacionadas a avaliação
                $bancoQuestoes = $this->alnQuestao->getQuestaoAvaliacao($avaliacaoAluno->id);

                $atividade     = $this->atividade->where('unidades_recursos_id',  $idRecurso)->first();

                // se total for 0 - insere questão com suas respectivas alternativas
                if ($bancoQuestoes->count() == 0) {
                    $questoes = $this->questao->getBancoQuestaoAvaliacao($atividade->id, $atividade->qtdeQuestoes);
                    if ($questoes->count() > 0) {
                        $prova = $this->novaProva($idRecurso, $request);
                        if (!$prova) {
                            return redirect()->back()->with('error', 'Aconteceu um erro durante a requisição, tente novamente..');
                        }
                    }
                    // chama novamente os registros das questões
                    $bancoQuestoes = $this->alnQuestao->getQuestaoAvaliacao($avaliacaoAluno->id);
                } else {
                    if ($bancoQuestoes->count() !== $atividade->qtdeQuestoes) {
                        $this->recursoResetar($alunoRecurso->id, $request);
                        $prova = $this->novaProva($idRecurso, $request);
                        if (!$prova) {
                            return redirect()->back()->with('error', 'Aconteceu um erro durante a requisição, tente novamente..');
                        }
                    }

                    $bancoQuestoes = $this->alnQuestao->getQuestaoAvaliacao($avaliacaoAluno->id);

                    foreach ($bancoQuestoes as $questao) {
                        $alternativas = $this->alnQuestaoResp->getRespostasQuestao($questao->id);
                        if (sizeof($alternativas) < 2) {
                            $this->recursoResetar($alunoRecurso->id, $request);
                            $prova = $this->novaProva($idRecurso, $request);
                            if (!$prova) {
                                return redirect()->back()->with('error', 'Aconteceu um erro durante a requisição, tente novamente..');
                            }
                        }
                        // dd($questao->id, $alternativas);
                    }
                }

                $avQuestao = [];
                $i = 1;
                foreach ($bancoQuestoes as $lnq) {
                    // verifica alternativas da questao
                    $respostas = $this->alnQuestaoResp->getRespostasQuestao($lnq->id);

                    $lnAvQuestao = [
                        'idQuestao'             => $lnq->id,
                        'ordemQuestao'          => $i,
                        'enunciadoQuestao'      => $lnq->enunciadoQuestao,
                        'comentarioQuestao'     => $lnq->comentarioQuestao,
                        'questaoCorreta'        => $lnq->questaoCorreta,
                        'alternativas'          => $respostas
                    ];

                    array_push($avQuestao, $lnAvQuestao);
                    $i++;
                }

                $maiorNota = $this->recAvaliacao->getMaiorNota($avaliacaoAluno->alunos_unidades_recursos_id);

                return view('aluno.curso.disciplinaRecursoAvaliacao', compact('recurso', 'mnRecursos', 'disciplina', 'atividade', 'avQuestao', 'avaliacaoAluno', 'configAtividade', 'avTentativas', 'maiorNota'));

                break;
            case 6: // LINK

                break;
            case 7: // FORUM
                $forum = $this->recForum->getForumRecUnidade($recurso->id);
                $usuario = $this->usuario->find($forum->users_id);

                $posts = $this->recForumPost->getForumPosts($forum->id);
                $listaPosts = [];

                if ($posts->count() > 0) {
                    foreach ($posts as $post) {

                        // verifica tipo de usuário
                        if ($post->tipoUsuario == 1) {
                            $aluno = $this->matricula->getDadosMatricula($post->user_id);
                            $nomeUsuario = $aluno->nomeAluno;
                            $tipoUsuario = 'Aluno';
                        } else {
                            $usuario = $this->usuario->find($post->user_id);
                            $nomeUsuario = $usuario->name;
                            $tipoUsuario = 'Moderador';
                        }

                        $lnPost = [
                            'idPost'        => $post->id,
                            'nomeUsuario'   => $nomeUsuario,
                            'tipoUsuario'   => $tipoUsuario,
                            'txtPost'       => $post->descPostagem,
                            'dataPostagem'  => $post->created_at,
                            'postFilhos'    => $this->getPostagensFilhasForum($post->id)
                        ];

                        array_push($listaPosts, $lnPost);
                    }
                }

                return view('aluno.curso.disciplinaRecursoForum', compact('recurso', 'disciplina', 'forum', 'usuario', 'listaPosts'));

                break;
            default: // NÃO ENCONTRADO

                break;
        }
    }

    /**
     * Lista postagens de respostas
     * Lógica de nível infinito
     *
     * @param integer $idPai
     * @return void
     */
    private function getPostagensFilhasForum(int $idPai)
    {
        $postsFilhos = $this->recForumPost->getForumPostFilho($idPai);
        $listaPosts = [];
        if ($postsFilhos) {
            foreach ($postsFilhos as $pst) {
                // verifica tipo de usuário
                if ($pst->tipoUsuario == 1) {
                    $aluno = $this->matricula->getDadosMatricula($pst->user_id);
                    $nomeUsuario = $aluno->nomeAluno;
                    $tipoUsuario = 'Aluno';
                } else {
                    $usuario = $this->usuario->find($pst->user_id);
                    $nomeUsuario = $usuario->name;
                    $tipoUsuario = 'Moderador';
                }

                $lnPost = [
                    'idPost' => $pst->id,
                    'nomeUsuario' => $nomeUsuario,
                    'tipoUsuario' => $tipoUsuario,
                    'txtPost' => $pst->descPostagem,
                    'dataPostagem' => $pst->created_at,
                    'postPai' => $pst->post_pai,
                    'postFilhos' => $this->getPostagensFilhasForum($pst->id)
                ];

                array_push($listaPosts, $lnPost);

                $this->getPostagensFilhasForum($pst->id);
            }
        }

        return $listaPosts;
    }

    /**
     * Atualiza status de frequencia do aluno
     * Utilizado para atualização de recursos do tipo Link
     *
     * @param Request $request
     * @return void
     */
    public function getStatusRecurso(Request $request)
    {
        /**
         * VERIFICA SE O ALUNO É EAD OU PRESENCIAL
         * CASO SEJA PRESENCIAL NÃO ATUALIZA FREQUÊNCIA.
         */
        $matricula = $this->matricula->find($request->session()->get('matricula')['idMatricula']);
        if ($matricula->modalidade == 1) {
            return 'ok';
            exit();
        }


        /**
         * ATUALIZA STATUS DE ACESSO AO RECURSO
         */
        $recurso = $this->recurso->getRecursoUnidadeDiscCurso($request->rec);
        $disciplina = $this->disciplina->find($recurso->disciplina_id);
        $alunoRecurso = $this->alunoRecurso->getAlunoRecurso($request->session()->get('matricula')['idMatricula'], $request->rec);

        if ($alunoRecurso) {
            $alunoRecurso->update([
                'statusAcesso' => 1,
                'dataAcesso' => date('Y-m-d H:i:s')
            ]);

            // atualiza percentual de frequência do aluno no portal do aluno
            $todosRecursos = $this->alunoRecurso->getAlunoRecursoAcesso($alunoRecurso->alunos_matriculas_id, $disciplina->id);
            $recursosVistos = $this->alunoRecurso->getAlunoRecursoAcesso($alunoRecurso->alunos_matriculas_id, $disciplina->id, 1);
            $totalFrequencia = ($recursosVistos->count() / $todosRecursos->count()) * 100;

            //dd( $totalFrequencia);

            // atualiza dados da frequencia
            $matriculaDisciplina = $this->matDisciplina->where('alunos_matriculas_id', $alunoRecurso->alunos_matriculas_id)->where('disciplinas_id', $disciplina->id)->first();
            if (!$matriculaDisciplina) {
                $this->matDisciplina->create([
                    'alunos_matriculas_id' =>  $alunoRecurso->alunos_matriculas_id,
                    'disciplinas_id' => $disciplina->id
                ]);
                $matriculaDisciplina = $this->matDisciplina->where('alunos_matriculas_id', $alunoRecurso->alunos_matriculas_id)->where('disciplinas_id', $disciplina->id)->first();
            }

            $matriculasNotas = $this->matNotas->where('matriculas_disciplinas', $matriculaDisciplina->id)->first();
            if (!$matriculasNotas) {
                $this->matNotas->create([
                    'matriculas_disciplinas' => $matriculaDisciplina->id
                ]);
                $matriculasNotas = $this->matNotas->where('matriculas_disciplinas', $matriculaDisciplina->id)->first();
            }
            $matriculasNotas->update(['percFrequencia' => $totalFrequencia]);

            return 'ok';
        }
    }

    public function feedbackUp(Request $request)
    {

        $response = $this->respfeed->where('id', $request->questao)->first();

        $response->update(['respostaAluno' => $request->valor]);



        if ($response) {
            return '<div class="alert alert-success">Sua avaliação foi registrada com sucesso!</div>';
        } else {
            return '<div class="alert alert-danger">Registro de atendimento não localizado, por atualize sua página e tente novamente. Caso o erro persista, por favor informe o CAD.</div>';
        }
    }

    public function feedbackPost(Request $request)
    {
        $comentario = $this->respfeed->where('id', $request->idResposta)->first();
        if ($comentario) {
            $comentario->update(['comentario' => $request->comdisciplina]);
            $comentario->update(['respostaAluno' => 5]);
        }

        $response = $this->respfeed->getValidar($request->aluno, $request->disciplina, 0);

        if ($response > 0) {

            return redirect()
                ->back()
                ->with('success', 'Agradecemos sua participação na pesquisa de satisfação da referida disciplina. Seu feedback é muito importante para que possamos
                    oferecer sempre conteúdos com qualidades e atualizados. É imprescindível avaliar suas próximas disciplinas também, muito obrigado(a).');
        } else {
            return redirect()
                ->back()
                ->with('error', 'Erro ao registrar seu feedback, por favor tente novamente!');
        }
    }

    private function novaProva($idRecurso, $request)
    {
        $recurso        = $this->recurso->getRecursoUnidadeDiscCurso($idRecurso);
        $alunoRecurso   = $this->alunoRecurso->getAlunoRecurso($request->session()->get('matricula')['idMatricula'], $idRecurso);
        $avaliacaoAluno = $this->recAvaliacao->getUltimaTentativaAvaliacao($alunoRecurso->id);
        $atividade      = $this->atividade->where('unidades_recursos_id',  $recurso->id)->first();
        $questoes       = $this->questao->getBancoQuestaoAvaliacao($atividade->id, $atividade->qtdeQuestoes);
        foreach ($questoes as $key => $quest) {
            $lnQuestao = [
                'alunos_unidades_recursos_avaliacao_id' => $avaliacaoAluno->id,
                'enunciadoQuestao'                      => $quest->enunciadoQuestoes,
                'comentarioQuestao'                     => $quest->comentarioQuestao
            ];

            $respQuestao = $this->alnQuestao->create($lnQuestao);
            if (!$respQuestao) {
                if ($key > 0) {
                    $this->recursoResetar($alunoRecurso->id, $request);
                    return false;
                }
            }
            // caso tenha add questão com sucesso, add alternativas
            if ($respQuestao) {
                $bcoResposta = $this->resposta->getRespostasQuestao($quest->id);
                if ($bcoResposta->count() > 0) {
                    foreach ($bcoResposta as $resp) {
                        $lnResp = [
                            'alunos_unidades_recursos_av_questoes_resp_id'  => $respQuestao->id,
                            'enunciadoAlternativa'                          => $resp->enunciadoResposta,
                            'opcaoCorreta'                                  => $resp->respostaCorreta
                        ];

                        $response = $this->alnQuestaoResp->create($lnResp);
                        if (!$response) {
                            $this->recursoResetar($alunoRecurso->id, $request);
                            return false;
                        }
                    }
                }
            }
        }
        return true;
    }

    private function recursoResetar(int $alunoRecursoId, Request $request): void
    {
        // $atividade  = $this->atividade->where('unidades_recursos_id',  $idRecurso)->first();
        $avaliacaoAluno = $this->recAvaliacao->getUltimaTentativaAvaliacao($alunoRecursoId);
        // $matricula  = $this->matricula->find($request->session()->get('matricula')['idMatricula']);
        // $aluno      = $this->aluno->find($matricula->alunos_id);
        // $turma      = $this->turmas->find($matricula->turmas_id);

        // $avaliacao  = $this->recAvaliacao->find($request->avaliacao);
        $questoes   = $this->alnQuestao->where('alunos_unidades_recursos_avaliacao_id', $avaliacaoAluno->id)->get();

        // $alunoRecurso   = $this->alunoRecurso->find($avaliacao->alunos_unidades_recursos_id);

        // $recurso        = $this->recursos->find($alunoRecurso->unidades_recursos_id);
        // $discUnidade    = $this->discUnidade->find($recurso->disciplinas_unidades_id);
        // $discEad        = $this->disciplinaEad->find($discUnidade->disciplinas_ead_id);
        // $disciplina     = $this->disciplina->find($discEad->disciplina_id);

        foreach ($questoes as $questao) {
            $resposta = $this->alnQuestaoResp->where('alunos_unidades_recursos_av_questoes_resp_id', $questao->id)->get();
            if (sizeof($resposta) > 0) {
                $this->alnQuestaoResp->where('alunos_unidades_recursos_av_questoes_resp_id', $questao->id)->delete();
            } else {
                continue;
            };
        }
        $this->alnQuestao->where('alunos_unidades_recursos_avaliacao_id', $avaliacaoAluno->id)->delete();
    }
}
