<?php

namespace App\Http\Controllers\Aluno;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

use App\Models\RecursosForum;
use App\Models\RecursosForumPost;

class ForumController extends Controller
{
    private $recForum, $recForumPost;

    public function __construct(RecursosForum $frm,
                                RecursosForumPost $pst)
    {
        $this->recForum = $frm;
        $this->recForumPost = $pst;
    }

    /**
     * Cadastra postagem do Forum
     *
     * @param Request $request
     * @return void
     */
    public function storePost(Request $request)
    {   
        $forum = $this->recForum->find($request->forum);
        if(!$forum){
            return redirect()
                    ->back()
                    ->with('error', 'Ops! Forum não localizado, por favor atualize sua página e tente novamente!');
        }
        // verifica se há post pai
        if($request->reg){
            $postPai = $request->reg;
        }else{
            $postPai = null;
        }

        $dadosPost = [
            'recursos_forum_id' => $forum->id,
            'tipoUsuario' => 1,
            'user_id' => $request->session()->get('matricula')['idMatricula'],
            'descPostagem' => $request->postForum,
            'post_pai' => $postPai
        ];

        $response = $this->recForumPost->create($dadosPost);

        if($response){
            return redirect()
                    ->route('disciplina.recurso', [$request->recurso])
                    ->with('success', 'Post cadastrado com sucesso!');
        }else{
            return redirect()
                    ->back()
                    ->with('error', 'Ops! Erro ao cadastrar post, por favor atualize sua página e tente novamente!');
        }

    }
}
