<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Alunos_matricula;

use Illuminate\Support\Facades\Crypt;

class AmbientacaoController extends Controller
{
    private $matricula;

    public function __construct(Alunos_matricula $mat){
        $this->matricula = $mat;

    }
    

    /**
     * Tela de ambiente de graduação
     *
     * @return void
     */
    public function graduacao(Request $request)
    {
        // configuração de inadimplencia        
        $mensagemInadimplente = null;        
        if($request->session()->get('matricula')['inadimplente'] == 1){                        
            $mensagemInadimplente = 'Prezado aluno, <a href="'.route('boleto.negociacao').'" class="white-text" title="Negociar Débitos" style="text-decoration: underline"><b>clique aqui</b></a> para negociar seus débitos com a Instituição.';
        }

        return view('ambientacao.graduacao', compact('mensagemInadimplente'));
    }

    public function inicio(Request $request)
    {
        $matricula = $this->matricula->find($request->session()->get('matricula')['idMatricula']);
        //dd($request);
        return view('ambientacao.inicio', ['matricula'=> $matricula]);
    }

    public function candidato($hashCandidato)
    {
        $idMatricula = base64_decode(base64_decode(base64_decode(($hashCandidato))));
        $matricula = $this->matricula->find($idMatricula);
        if (!$matricula) {
            $mensagem = 'Ops! Cadastro não localizado!';
            return view('ambientacao.erro', compact('mensagem'));
        }

        $empresa = $matricula->empresa;

        return view('ambientacao.candidato', compact('matricula', 'empresa'));
    }
}
