<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;


use App\User;

class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    protected $redirectTo = '/home';


    protected $username = 'emailAluno';

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }

    public function showprimeiroacesso(){
        return view('auth.primeiroacesso');
    }

    public function postprimeiroacesso(Request $request){
        $datanasc = date("Y-m-d", strtotime(str_replace('/','-', $request->datanasc)));

        $user = User::where('cpfAluno', $request->cpf)->first();
        //dd($datanasc);
        if($user){
            if($user->dataNascimento == $datanasc){
                return view('auth.primeiroacesso')->with(compact('user'));
                exit;
            }else{
                $msg = "Dados não coincidem";
                return view('auth.primeiroacesso')->with('msg', $msg);
            }
        }else{
            $msg = "Sem registro";
            return view('auth.primeiroacesso')->with(compact('msg'));
        }
        return view('auth.primeiroacesso');
    }

    public function postconfirmecadastro(Request $request){
        if($request->senha == $request->senhaconfirme){
            $user = User::find($request->id);
            $user->email = $request->email;
            $user->password =  Hash::make($request->senhaconfirme);
            $user->update();
            $msg = "Atualizado com sucesso";

            return redirect()
                    ->route('login')
                    ->with(compact('msg'));
        }else{
            $msg = "Atualizado com sucesso";
            return redirect()
                    ->route('login')
                    ->with(compact('msg'));
        }
    }
}
