<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Models\ComunicadosMensagens;
use App\Models\ComunicadosEnviados;
use App\Models\Alunos_fatura;

class ComunicadoController extends Controller
{
    
    private $mensagem, $enviados, $faturas;

    public function __construct(ComunicadosMensagens $msg, 
                                ComunicadosEnviados $env,
                                Alunos_fatura $fat)
    {
        $this->mensagem = $msg;
        $this->enviados = $env;
        $this->faturas = $fat;
    }

    /**
     * Tela inicial de comunicados
     *
     * @param Request $request
     * @return void
     */
    public function index(Request $request)
    {
        //$data = date("Y-m-d");
        //dd($data);
        $idMatricula = $request->session()->get('matricula')['idMatricula'];            
        $mensagens = $this->mensagem->getComunicadosAluno($idMatricula);

        // configuração de inadimplencia        
        $mensagemInadimplente = null;        
        if($request->session()->get('matricula')['inadimplente'] == 1){            
            $mensagemInadimplente = 'Prezado aluno, <a href="'.route('boleto.negociacao').'" class="white-text" title="Negociar Débitos" style="text-decoration: underline"><b>clique aqui</b></a> para negociar seus débitos com a Instituição.';
        }

        return view('comunicado.index', compact('mensagens','mensagemInadimplente'));
    }
    

    public function show(int $id, Request $request)
    {
        $idMatricula = $request->session()->get('matricula')['idMatricula'];

        $msg = $this->mensagem->getMensagemAluno($idMatricula, $id);

        // atualiza status de leitura do comunicado
        $this->enviados->where('comunicados_mensagens_id', $id)->where('alunos_matriculas_id', $idMatricula)->update(['statusLeitura' => '1', 'dataAbertura' => date('Y-m-d H:i:s')]);

        // configuração de inadimplencia        
        $mensagemInadimplente = null;        
        if($request->session()->get('matricula')['inadimplente'] == 1){            
            $mensagemInadimplente = 'Prezado aluno, <a href="'.route('boleto.negociacao').'" class="white-text" title="Negociar Débitos" style="text-decoration: underline"><b>clique aqui</b></a> para negociar seus débitos com a Instituição.';            
        }

        return view('comunicado.mensagem', compact('msg', 'mensagemInadimplente'));
    }

}
