<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Aluno;
use App\Models\AlunosLog;

class LoginController extends Controller{
/*******************************************************************************
 * LOGIN POR CPF
 ******************************************************************************/    
    public function formLoginCPF(){
        return redirect()
                    ->back();
    }
    
    /**
     * Validação de acesso do usuário
     *
     * @param Request $request
     * @param Aluno $aln
     * @return void
     */
    public function loginCPF(Request $request, Aluno $aln){
        
        // caso não exista o cpf, retorna pra tela de login novamente.
        if(!isset($request->cpf)){
            return redirect()
                    ->route('form.loginCPF')
                    ->with('error', 'Campo CPF Obrigatório.');
        }

        $aluno = $aln->getConsultaCPF($request->cpf);
        
        if(count($aluno) > 0){

            /**
             * Registra Log
             
            AlunosLog::create([
                    'sistema_id' => 3, 
                    'alunos_matriculas_id' => '', 
                    'modulo', 'acao', 'descAcao', 'ipAcesso', 'agente']);
            */
            // cria sessão com as informações da matrícula selecionada
            $request->session()->put('aluno', [
                'idAluno' => $aluno[0]->id,
                'nomeAluno' => $aluno[0]->nomeAluno,               
                'cpfAluno' => $aluno[0]->cpfAluno                
            ]);
            
            return redirect()
                    ->route('home.moodle', [base64_encode(base64_encode(base64_encode($aluno[0]->id)))]);
        }else{
            $response['message'] = 'CPF não localizado';
            //Auth::logout();
            return redirect()
                    ->route('form.loginCPF')
                    ->with('error', $response['message']);
        }
        
    }

    // encerra sessão
    public function logoutMoodle(Request $request)
    {
        // deleta sessão com as informações da matrícula selecionada
        $request->session()->forget('matricula');
        $request->session()->forget('aluno');
        
        return redirect()
                    ->route('form.loginCPF');

    }
}
