<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Models\LivePergunta;

class PerguntaLiveController extends Controller
{
    protected $pergunta;

    public function __construct(LivePergunta $prg)
    {
        $this->pergunta = $prg;
    }


    /**
     * Registra perguntas da live do aluno
     *
     * @param Request $request
     * @return void
     */
    public function store(Request $request)
    {

        $dados = [
            'alunos_matriculas_disciplinas_id' => $request->disciplina,
            'pergunta' => $request->duvida
        ];

        $response = $this->pergunta->create($dados);

        if($response){
            return redirect()
                    ->route('home.moodle')
                    ->with('success', 'Pergunta enviada com sucesso!');
        }else{
            return redirect()
                    ->back()
                    ->with('error', 'Erro ao enviar sua pergunta, por favor atualize sua página e tente novamente!');
        }

    }
}
