<?php

namespace App\Http\Util;

class Curl
{
    private $url;
    private $param;
    private $data;
    private $headers;
    private $responsse;

    public function __construct($param, $url, $data = null, $headers = false)
    {
        $this->param    = $param;
        $this->url      = $url;
        $this->data     = $data;
        $this->headers  = $headers;

        $this->pullApi();
    }

    private function pullApi()
    {
        $curl = curl_init();
        switch ($this->param) {
            case "POST":
                curl_setopt($curl, CURLOPT_POST, true);
                if ($this->data) curl_setopt($curl, CURLOPT_POSTFIELDS,  $this->data);

                break;
            case "PUT":
                curl_setopt($curl,  CURLOPT_CUSTOMREQUEST, "PUT");
                if ($this->data) curl_setopt($curl, CURLOPT_POSTFIELDS, $this->data);

                break;
            default:
                if ($this->data) $this->url = sprintf("%s?%s", $this->url, http_build_query($this->data));
        }

        // OPTIONS:
        curl_setopt($curl, CURLOPT_URL, $this->url);
        curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, FALSE);
        curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, FALSE);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($curl, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
        // EXECUTE:
        $result     = curl_exec($curl);
        $httpInfo   = curl_getinfo($curl);
        if (!$result) {
            $this->responsse['response'] = false;
        } else {
            $this->responsse['http']         = $httpInfo['http_code'];
            $response = json_decode($result);
            if (@$response->error) {
                $this->responsse['response']    = false;
            } else {
                $this->responsse['response']    = $result;
            }
        }
        curl_close($curl);
    }

    public function getResponse()
    {
        return $this->responsse;
    }
}
    