<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class AlunosNegociacao extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'alunos_negociacao';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['alunos_matriculas_id', 'codigoNegociacao', 'totalDebito', 'totalDesconto', 'concessaoDesconto', 'valorEntrada', 'qtdeParcelas', 'users_id'];

    //Retorna todas as faturas, entre negociadas e Geradas
    public function faturas(){
         return $this->belongsToMany('App\Models\AlunosFatura', 'alunos_negociacao_faturas', 'alunos_negociacao_id','alunos_faturas_id');
        
    }

   //Retorna TRUE e a negociação estive quitada
   //Retorna FALSE se a negociação não estive quitada
   public function quitada(){
       $qtdfaturas = $this->faturasGeradas()->count();
       //Verificar as faturas que estam pagas ou negociadas 
       $qtdPagas = $this->faturasGeradas()->whereIn('statusFatura', [2,3,4,5,6,7])->count();
       
       if($qtdfaturas == $qtdPagas){
        return true;
       }else{
        return false;
       }
   }

   public function encerrada(){
    $qtdfaturas = $this->faturasGeradas()->count();
    //Verificar as faturas que estam pagas ou negociadas 
    $qtdPagas = $this->faturasGeradas()->whereIn('statusFatura', [2,4,5,6,7])->count();
    
    if($qtdfaturas == $qtdPagas){
     return true;
    }else{
     return false;
    }
}

       //Retorna todas as faturas Geradas
       public function faturasGeradas(){
        return $this->faturas()->wherePivot('tipoRegistro', 2);
       
   }
}
