<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class AlunosUnidadesRecursoAvQuestoes extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'alunos_unidades_recursos_av_questoes';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['alunos_unidades_recursos_avaliacao_id', 'enunciadoQuestao', 'comentarioQuestao', 'questaoCorreta'];

    protected $connection = 'mysql_sav';


    /**
     * Lista questões de uma avaliação
     *
     * @param integer $idAvaliacao
     * @return object
     */
    public function getQuestaoAvaliacao(int $idAvaliacao)
    {
        return $this->where('alunos_unidades_recursos_avaliacao_id', $idAvaliacao)->get();
    }

    /**
     * Lista questões de uma avaliação por status de acerto
     *
     * @param integer $idAvaliacao
     * @param integer $statusAcerto
     * @return object
     */
    public function getQuestaoAvaliacaoStatus(int $idAvaliacao, int $statusAcerto)
    {
        return $this->where('alunos_unidades_recursos_avaliacao_id', $idAvaliacao)
                    ->where('questaoCorreta', $statusAcerto)
                    ->get();
    }
}
