<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class AulasProfessores extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['disciplinas_id', 'users_id', 'aulas_salas_id', 'dataInicio', 'horaInicio', 'dataFim', 'horaFim', 'materialDidaticoEntregue', 'materialDidaticoPostado', 'aceiteProfessor','dataAceite', 'statusAula'];
    

    /**
     * Consulta registro de aula professor por turma
     *
     * @param array $ln
     * @return void
     */
    public function getConsultaAulaProfessor(array $ln){
        return $this->join('aulas_professores_turmas', 'aulas_professores_turmas.aulas_professores_id', 'aulas_professores.id')
                    ->join('aulas_salas', 'aulas_salas.id', 'aulas_professores.aulas_salas_id')
                    ->where('aulas_professores.disciplinas_id', $ln['disciplina'])
                    ->where('aulas_professores.users_id', $ln['docente'])
                    ->where('aulas_professores_turmas.turmas_id', $ln['turma'])
                    ->where('aulas_professores.dataInicio', $ln['dataInicio'])
                    ->where('aulas_professores.dataFim', $ln['dataFim'])
                    ->select('aulas_salas.nomeSala', 'aulas_professores.*', 'aulas_professores_turmas.qtdeAlunos')
                    ->first();
    }
}
