<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ChamadoMensagem extends Model
{
    //
    //protected $fillable = ['chamado_id', 'user_id ', 'nomeArquivo' ,'msgChamado'];
    protected $table = 'chamado_mensagem';
    protected $fillable = ['chamado_id', 'tipoRemetente', 'users_id', 'msgChamado'];

      /**
     * Lista mensagens dos chamados, associando o users_id a tabela de users.
     *
     * @param integer $idChamado
     * @return void
     */
    public function getMensagensChamado(int $idChamado)
    {
        return $this->orderBy('created_at', 'asc')
                    ->where('chamado_mensagem.chamado_id', $idChamado)
                    ->select( 'chamado_mensagem.*')
                    ->get();
    }

    /**
     * Lista mensagens dos chamados, associando o users_id a tabela de users.
     *
     * @param integer $idChamado
     * @return void
     */
    public function getAtendenteChamado(int $idChamado)
    {
        return $this->leftJoin('users', 'users.id', 'chamado_mensagem.users_id')
                    ->orderBy('created_at', 'asc')
                    ->where('chamado_mensagem.chamado_id', $idChamado)
                    ->select( 'users.name','chamado_mensagem.*')
                    ->get();
        
    }

    public function getAtendente(int $idChamado)
    {
        return $this->Join('users', 'users.id', 'chamado_mensagem.users_id')                   
                    ->where('chamado_mensagem.chamado_id', $idChamado)
                    ->groupBy('users.name')
                    ->select( 'users.name','chamado_mensagem.*')
                    ->get();
        
    }
}
