<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

use DB;

class FeedbackAlunos extends Model
{
    /**
     * The connection name for the model.
     *
     * @var string
     */
    protected $connection = 'mysql';
    
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'feedback_alunos';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['id','alunos_matriculas_id','nivelSatisfacao','obsFeedback','created_at','updated_at' ];


    /**
     * Lista empresas por usuario
     *
     * @param int $idUser
     * @return mixed
     */
    public function getVerificaResposta(int $idAluno,int $iddisciplina,int $pesquisaid)
    {
        return $this->join('feedback_respostas', 'feedback_respostas.pesquisas_alunos_id', 'feedback_alunos.id')
                    ->where('feedback_respostas.disciplinas_id', $iddisciplina)
                    ->where('alunos_matriculas_id', $idAluno)
                    ->where('pesquisas_perguntas_id', $pesquisaid)
                    ->get();
    }

    public function getVerificaAluno(int $idAluno,int $iddisciplina)
    {
        return $this->where('alunos_matriculas_id', $idAluno)
                    ->first();
    }

   

    
}
