<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class PesquisasPergunta extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['empresas_id', 'modalidadeCurso', 'tipoCurso', 'perguntaPesquisa', 'tipoPergunta', 'statusPergunta'];

    /**
     * Lista perguntas para inserção em pesquisa
     *
     * @param integer $modalidade
     * @param integer $empresa
     * @return void
     */
    public function getPerguntaPesquisa(int $modalidade, int $empresa)
    {
        return $this->where('modalidadeCurso', $modalidade)
                    ->where('empresas_id', $empresa)
                    ->where('tipoPergunta', '1')
                    ->orderBy('perguntaPesquisa', 'asc')
                    ->get();
    }
}
