<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ProtocolosAssunto extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
     protected $fillable = ['setor_id', 'tituloAssunto', 'descricaoAssunto', 'prazoResposta', 'valorProtocolo', 'statusAssunto', 'aceitaUrgencia', 'liberacaoInadimplente'];

     /**
      * Lista tipos de protocolos conforme a empresa e modalidade do mesmo
      * ALUNOS ADIMPLEMENTES
      *
      * @param integer $modalidade
      * @param integer $empresa
      * @return void
      */
     public function getAssuntoProtocolo(int $modalidade, int $empresa)
     {
        return $this->where('statusAssunto', 1)
                    ->where('modalidadeProtocolo', $modalidade)
                    ->where('empresas_id', $empresa)
                    ->orderBy('tituloAssunto', 'asc')
                    ->get();
     }

     /**
      * Lista tipos de protocolos conforme a empresa e modalidade do mesmo.
      * ALUNOS INADIMPLENTES
      *
      * @param integer $modalidade
      * @param integer $empresa
      * @return void
      */
      public function getAssuntoProtocoloInadimeplente(int $modalidade, int $empresa)
      {
         return $this->where('statusAssunto', 1)
                     ->where('modalidadeProtocolo', $modalidade)
                     ->where('empresas_id', $empresa)
                     ->where('liberacaoInadimplente', '1')
                     ->orderBy('tituloAssunto', 'asc')
                     ->get();
      }
     
}
