<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class SuporteMensagens extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
     protected $fillable = ['suporte_solicitacao_id', 'tipoRemetente', 'users_id', 'msgResposta'];


    /**
     * Lista mensagens dos chamados, associando o users_id a tabela de users.
     *
     * @param integer $idChamado
     * @return void
     */
    public function getMensagensChamado(int $idChamado)
    {
        return $this->join('users', 'users.id', 'suporte_mensagens.users_id')
                    ->orderBy('created_at', 'asc')
                    ->where('suporte_mensagens.suporte_solicitacao_id', $idChamado)
                    ->select('users.name', 'suporte_mensagens.*')
                    ->get();
    }
}
