<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class SuporteSolicitacao extends Model
{
    protected $table = 'suporte_solicitacao';
    protected $fillable = ['alunos_matriculas_id', 'suporte_assuntos_id', 'codigoSolicitacao', 'descSolicitacao', 'prazoResposta', 'emAtraso', 'statusSolicitacao'];
    
    
    /**
     * Lista Solicitação pelo ID do Aluno
     * @param int $idMatricula
     */
    public function getSolicitacaoAluno(int $idMatricula)
    {
        return $this->join('suporte_assuntos', 'suporte_assuntos.id', 'suporte_solicitacao.suporte_assuntos_id')
                    ->where('suporte_solicitacao.alunos_matriculas_id', $idMatricula)
                    ->orderBy('suporte_solicitacao.id', 'desc')
                    ->select('suporte_assuntos.tituloAssunto', 'suporte_solicitacao.*')
                    ->get();
    }
    
}
