<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Turma extends Model
{
    protected $fillable = ['empresas_id', 'siglaTurma', 'nomeCurso', 'nomeTurma', 'valorCurso', 'valorDesconto', 'statusTurma'];

        /**
     * Lista cursos e turmas com base no id da empresa
     *
     * @param integer $empresa
     * @return mixed
     */
    public function getTurma(int $empresa){
        return $this->join('cursos', 'cursos.id', 'turmas.cursos_id')
                    ->where('cursos.empresas_id', $empresa)
                    ->orderBy('cursos.siglaCurso')
                    ->select('cursos.siglaCurso', 'cursos.nomeCurso', 'turmas.*')
                    ->get();
    }

    /**
     * Lista dados da turma e curso pelo id da turma
     *
     * @param int $idTurma
     * @return mixed
     */
    public function getTurmaCurso(int $idTurma)
    {
        return $this->join('cursos', 'cursos.id', 'turmas.cursos_id')
                    ->where('turmas.id', $idTurma)
                    ->select('turmas.*', 'cursos.siglaCurso', 'cursos.nomeCurso', 'cursos.empresas_id')
                    ->first();
    }
}
