@extends('layouts.appAluno')

@section('code_header')
<meta name="csrf-token" content="{{ csrf_token() }}">

<link rel="stylesheet" href="{{ asset('/css/aluno/timeline.css') }}" />
@endsection


@section('breadcrumb')
<nav class="barraNavegacao">
    <div class="nav-wrapper">
        <div class="row">
            <div class="col m6 breadRota">
                <a href="{{ route('aluno.home') }}" class="breadcrumb">Página Inicial |</a>
                <a href="javascript:history.back()">{{ $recurso->nomeRecurso }}</a>
            </div>
            <div class="col m6 breadAluno right-align">
                {{ Request::session()->get('matricula')['codMatricula'] }} |
                {{ Request::session()->get('matricula')['nomeAluno'] }}
            </div>
        </div>
    </div>
</nav>
@endsection

@section('sidebar')
<header class="cd-main-header text-center flex flex-column flex-center bgTituloInterno">
    <h1>{{ $atividade->tituloAvaliacao }}</h1>
    <p>{{ $disciplina->nomeDisciplina }}</p>
    <small>
        @if($atividade->geraNota == 1)
            <b>Pontuação desta atividade:</b> {{ $atividade->valorNota }}
        @endif
    </small>
</header>
@stop

@section('content')
    @if($avaliacaoAluno->statusAvaliacao == 1)
        <div class="row">
            <div class="col s12">
                <div class="card">
                    <div class="card-content">
                        <div class="row">
                            <div class="col l6 s12 m12">
                                <span class="card-title">Atividade Concluída</span>
                                @if($atividade->geraNota == 1)
                                    <b>Pontuação desta atividade:</b> {{ $atividade->valorNota }} <br />
                                    <b>Sua melhor nota foi:</b> {{ $avaliacaoAluno->valorNotaAv }}<br />
                                @endif
                                <b>Iniciada em:</b> {{ formataDataHora($avaliacaoAluno->dataInicio, 'd/m/y H:i') }}h <br />
                                <b>Concluída em:</b> {{ formataDataHora($avaliacaoAluno->dataTermino, 'd/m/y H:i') }}h<br />
                                <b>Tentativas:</b> {{ $configAtividade['totalRealizado'] }} de {{ $configAtividade['totalChances'] }}<br >
                            </div>
                            <div class="col l6 s12 m12">
                                <span class="card-title">Tentativas</span>

                                <table class="bordered highlight">
                                    <thead>
                                        <tr>
                                            <th></th>
                                            <th data-field="id">Data Início</th>
                                            <th data-field="name">Data Fim</th>
                                            @if($atividade->geraNota == 1)<th data-field="price">Nota</th>@endif
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @forelse ($avTentativas as $hist)
                                        <tr>
                                            <td>@if($hist->notaFinal == 1) <i class="material-icons yellow-text text-darken-3">grade</i> @endif</td>
                                            <td>{{ formataDataHora($hist->dataInicio, 'd/m/y H:i') }}h</td>
                                            <td>{{ formataDataHora($hist->dataTermino, 'd/m/y H:i') }}h</td>
                                            @if($atividade->geraNota == 1) <td>{{ $hist->valorNotaAv }}</td> @endif
                                        </tr>
                                        @empty
                                        <tr>
                                            <td colspan="3">Não foram registradas Tentativas</td>
                                        </tr>
                                        @endforelse

                                    </tbody>
                                </table>
                            </div>
                        </div>

                    </div>
                    <div class="card-action">
                        <div class="row">
                            <div class="col s6 left-align valign-wrapper">
                                    @if($atividade->geraNota == 1) <b>Melhor Nota:</b> <i class="material-icons yellow-text text-darken-3">grade</i> {{ $maiorNota->valorNotaAv }}<br /> @endif
                            </div>
                            <div class="col s6 right-align">
                                @if($configAtividade['totalRealizado'] < $configAtividade['totalChances'])
                                    <a href="{{ route('avaliacao.nova', [$recurso->id]) }}">Fazer o teste novamente</a>
                                @endif
                            </div>
                        </div>

                    </div>

                </div>
            </div>
        </div>
    @endif
<form action="{{ route('avaliacao.concluir') }}" method="post">
    @csrf
    <div class="row">
        <div class="col s12 m12">
            @forelse ($avQuestao as $ln)
                <ul class="collection with-header">
                    <li class="collection-header">
                        <span style="float: left">{{ $ln['ordemQuestao'] }}. </span> {!! $ln['enunciadoQuestao'] !!}
                    </li>
                    <div class="returnRespMsg_{{ $ln['idQuestao'] }}"></div>

                    @forelse ($ln['alternativas'] as $item)
                        <li class="collection-item" @if($avaliacaoAluno->statusAvaliacao == 1 && $item['opcaoCorreta'] == 1) style="_background: #d7f7d7" @endif>
                            @if($avaliacaoAluno->statusAvaliacao == 0)
                                <input name="opc_{{ $ln['idQuestao'] }}" type="radio" id="opc_{{ $item['id'] }}" onchange="getResposta({{ $ln['idQuestao'] }}, {{ $item['id'] }}, this.value)" @if($item['opcaoSelecionada'] == 1) checked="checked" @endif />
                            @else
                                {{-- marca respostas aluno --}}
                                @if($item['opcaoSelecionada'] == 1)
                                    <i class="material-icons" style="float: left; margin-right: 5px;">check_circle</i>
                                @else
                                    <i class="material-icons" style="float: left; margin-right: 5px;">panorama_fish_eye</i>
                                @endif
                            @endif

                            <label for="opc_{{ $item['id'] }}">{!! $item['enunciadoAlternativa'] !!}</label>
                        </li>
                    @empty

                    @endforelse
                    @if($avaliacaoAluno->statusAvaliacao == 1 && $ln['comentarioQuestao'])
                        <li class="collection-item grey lighten-5">
                            <label><b>Comentário:</b> {{ $ln['comentarioQuestao'] }}</label>
                        </li>
                    @endif
                </ul>
            @empty

            @endforelse

            <div class="row">
                <div class="col s6">
                        <a href="{{ route('aluno.disciplina', [$recurso->idEAD, 'r' => $recurso->disciplinas_unidades_id]) }}" class="waves-effect waves-teal btn-flat">Voltar</a>
                </div>
                <div class="col s6 right-align">
                    @if($avaliacaoAluno->statusAvaliacao == 0)
                        <a href="#finalizaAvaliacao" class="btn btnTop waves-effect waves-teal black-text btn-flat modal-trigger" style="color: #fff;">Concluir</a>
                    @endif
                </div>
            </div>


        </div>
    </div>


<!--
       <div class="fixed-action-btn">
            <a class="btn-floating btn-large blue-grey darken-1 button-collapse tooltipped" data-activates="slide-out"  data-position="left" data-tooltip="Ver Recursos da Unidade">
                <i class="large material-icons">bookmark</i>
            </a>
        </div>
   
        <ul id="slide-out" class="side-nav">
            <li><a class="subheader">Recursos da Unidade</a></li>
            @forelse ($mnRecursos as $ln)
                @if ($ln['tipoRecurso'] == 6)
                    <li><a class="waves-effect" href="{{ $ln['urlLink'] }}" target="_blank"><i class="material-icons @if($ln['statusAcesso'] == 1) green-text @endif">@if($ln['statusAcesso'] == 1) check_circle @else panorama_fish_eye @endif</i> {{ $ln['nomeRecurso'] }}</a></li>
                @else
                    <li><a class="waves-effect" href="{{ route('disciplina.recurso', [$ln['idRecurso']]) }}"><i class="material-icons @if($ln['statusAcesso'] == 1) green-text @endif">@if($ln['statusAcesso'] == 1) check_circle @else panorama_fish_eye @endif</i> {{ $ln['nomeRecurso'] }}</a></li>
                @endif
            @empty

            @endforelse
        </ul>
 -->
<!-- Modal Structure -->
<div id="finalizaAvaliacao" class="modal bottom-sheet">

  <div class="modal-content">
    <h4>Deseja realmente concluir esta avaliação?</h4>
    <p>Após a confirmação desta ação, não será mais possível alterar as respostas da mesma.</p>
  </div>
  <div class="modal-footer">
    <button type="submit" class="btn black">Confirmar</button>
    <a href="#!" class="modal-action modal-close waves-effect waves-green btn-flat">Cancelar</a>
    <input type="hidden" name="avaliacao" value="{{ $avaliacaoAluno->id }}">
    <input type="hidden" name="dsc" value="{{ $disciplina->id }}">
  </div>
</div>
</form>

@stop

@section('js')
@include('layouts.alertsSAV')

<script type="text/javascript">
$(document).ready(function(){
    // the "href" attribute of the modal trigger must specify the modal ID that wants to be triggered
    $('.modal').modal();
});

function getResposta(questao, alternativa, valor){
    $.ajax({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        type: 'POST',
        data: {'questao': questao, 'alternativa': alternativa},
        url: "{{ route('avaliacao.resposta', [$avaliacaoAluno->id]) }}",
        beforeSend: function(){
            $('.returnRespMsg_' + questao).html('Aguarde, salvando resposta..');
            Materialize.toast('Salvando alternativa selecionada, por favor aguarde...', 3000, 'rounded')
        },
        success: function(response){
            $('.returnRespMsg_' + questao).html('');
            // Materialize.toast(message, displayLength, className, completeCallback);
            Materialize.toast(response, 4000, 'rounded') // 4000 is the duration of the toast
        },
        error: function(){
            // Materialize.toast(message, displayLength, className, completeCallback);
            Materialize.toast('Ops! Houve uma falha de conexão ao salvar sua tentativa, por favor tente novamente!', 8000, 'rounded') // 4000 is the duration of the toast
        }
    });
}
</script>
@stop
