@extends('layouts.appAluno')

@section('code_header')
<meta name="csrf-token" content="{{ csrf_token() }}">

<link rel="stylesheet" href="{{ asset('/css/aluno/timeline.css') }}" />
@endsection

@section('breadcrumb')
<nav class="barraNavegacao">
    <div class="nav-wrapper">
        <div class="row">
            <div class="col m6 breadRota">
                <a href="{{ route('aluno.home') }}" class="breadcrumb">Página Inicial |</a>
                <a href="javascript:history.back()">{{ $recurso->nomeRecurso }}</a>
            </div>
            <div class="col m6 breadAluno right-align">
                {{ Request::session()->get('matricula')['codMatricula'] }} |
                {{ Request::session()->get('matricula')['nomeAluno'] }}
            </div>
        </div>
    </div>
</nav>
@endsection

@section('sidebar')
<header class="cd-main-header text-center flex flex-column flex-center bgTituloInterno">
    <h1><i class="material-icons">forum</i> {{ $forum->topicoForum }}</h1>
    <p>{{ $disciplina->nomeDisciplina }}</p>
</header>
@stop

@section('content')


    <div class="row">
        <div class="col s12 m12 forum">

            <div class="card hoverable">
                <div class="row">
                    <div class="col s2 center-align avatar" style="border-right: 1px dotted #ccc;">
                        <img src="{{ asset('img/avatar.png') }}" class="circle responsive-img"><br />
                        <span>{{ $usuario->name }}</span><br />
                        <small>Moderador</small>
                    </div>
                    <div class="col s10">
                        <div class="card-content">
                            {!! $forum->descForum !!}
                        </div>
                        <div class="card-footer right-align">
                            <small>Postado em {{ formataDataHora($forum->created_at, 'd/m/Y H:m') }}h</small>
                        </div>
                    </div>
                </div>

            </div>


                @forelse ($listaPosts as $post)
                    <div class="card hoverable">
                        <div class="row">
                            <div class="col s2 center-align avatar" style="border-right: 1px dotted #ccc;">
                                <img src="{{ asset('img/avatar.png') }}" class="circle responsive-img"><br />
                                <span>{{ $post['nomeUsuario'] }}</span><br />
                                <small>{{ $post['tipoUsuario'] }}</small>
                            </div>
                            <div class="col s10">
                                <div class="card-content">
                                    {!! $post['txtPost'] !!}
                                </div>
                                <div class="card-footer">
                                    <div class="row">
                                        <div class="col s6">
                                            <a href="#finalizaAvaliacao" class="modal-trigger" onclick="getResposta({{ $post['idPost'] }}, '{{ $post['nomeUsuario'] }}', '{{ $post['tipoUsuario'] }}', '{{ $post['txtPost'] }}')"><i class="material-icons">reply</i> Responder</a>
                                        </div>
                                        <div class="col s6 right-align">
                                            <small>Postado em {{ formataDataHora($post['dataPostagem'], 'd/m/Y H:m') }}h</small>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        @if ($post['postFilhos'])
                            @include('aluno.curso.disciplinaRecursoForumPostFilho', ['dados' => $post['postFilhos'], 'nivel' => 1])
                        @endif

                    </div>
                @empty

                @endforelse

                <a href="{{ route('aluno.disciplina', [$recurso->idEAD, 'r' => $recurso->disciplinas_unidades_id]) }}" class="waves-effect waves-teal btn-flat">Voltar</a>
        </div>
    </div>

    <div class="fixed-action-btn">
        <a href="#finalizaAvaliacao" class="btn-floating btn-large waves-effect waves-light btnTop darken-4 modal-trigger" onclick="getPostForum()"><i class="material-icons">insert_comment</i></a>
    </div>

<!-- Modal Structure -->
<div id="finalizaAvaliacao" class="modal modal-fixed-footer">
<form action="{{ route('forum.post') }}" method="post">
    @csrf
  <div class="modal-content">
    <h4 class="tituloForm">Cadastrar Postagem</h4>
    <div class="dadosPost"></div>
    <div class="row">
        <div class="input-field col s12">
            <textarea id="textarea1" name="postForum" class="materialize-textarea"></textarea>
        </div>
    </div>
  </div>
  <div class="modal-footer">
    <button type="submit" class="waves-effect waves-light btn blue darken-3" style="color: #fff">Salvar</button>
    <a href="#!" class="modal-action modal-close waves-effect waves-green btn-flat">Cancelar</a>
    <input type="hidden" name="recurso" value="{{ $recurso->id }}">
    <input type="hidden" name="forum" value="{{ $forum->id }}">
  </div>
</form>
</div>

@stop

@section('js')

@include('layouts.alertsSAV')

<script src="//cdn.ckeditor.com/4.12.1/basic/ckeditor.js"></script>

<script src="{{ asset('js/ckeditor.config.js') }}"></script>
<script type="text/javascript">
$(document).ready(function(){
    // the "href" attribute of the modal trigger must specify the modal ID that wants to be triggered
    $('.modal').modal();
    CKEDITOR.replace( 'textarea1' );
});
function getPostForum(){
    $('.dadosPost').html('');
}
function getResposta(reg, nome, tipo, post){
    console.log(reg);
    console.log(nome);
    console.log(tipo);
    console.log(post);

    var cont  = '<b>Respondendo ao Post:</b>';
        cont += post;
        cont += '<hr />';
        cont += '<small>De: ' + nome + ' - ('+ tipo +')</small><br />' ;
        cont += '<input type="hidden" name="reg" value="'+ reg +'" />';

    $('.dadosPost').html(cont);

}
</script>
@stop
