@extends('layouts.appAluno')

@section('code_header')
    <link rel="stylesheet" href="{{ asset('/css/aluno/timeline.css') }}" />
    <meta name="csrf-token" content="{{ csrf_token() }}">
@endsection

@section('breadcrumb')
    <nav class="barraNavegacao">
        <div class="nav-wrapper">
            <div class="row">
                <div class="col m6 breadRota">
                    <a href="{{ route('aluno.home') }}" class="breadcrumb">Página Inicial</a>
                </div>
                <div class="col m6 breadAluno right-align">
                    {{ Request::session()->get('matricula')['codMatricula'] }} |
                    {{ Request::session()->get('matricula')['nomeAluno'] }}
                </div>
            </div>
        </div>
    </nav>
@endsection

@section('sidebar')
    <header class="cd-main-header text-center flex flex-column flex-center bgTituloInterno">
        <h1>{{ $disciplina->nomeDisciplina }}</h1>

    </header>
@stop

@section('content')

    @if (session('success'))
        <div id="card-alert" class="green">
            <p><i></i> {{ session('success') }}</p>

        </div>
    @endif
    @if (session('error'))
        <div id="card-alert" class=" red">
            <p><i></i> {{ session('error') }}</p>

        </div>
    @endif

    <div class="content">
        <ul class="collapsible popout" data-collapsible="accordion">
            @forelse ($listaUnidades as $unid)
                <li>
                    <div class="collapsible-header collapsible_{{ $unid->id }}"
                        onclick="getRecurso('{{ $unid->id }}')"><i
                            class="material-icons">collections_bookmark</i>{{ $unid['nomeUnidade'] }}</div>
                    <div class="collapsible-body">
                        <section class="cd-timeline js-cd-timeline">
                            <div class="container max-width-lg cd-timeline__container unidbody_{{ $unid->id }}">
                            </div>
                        </section>
                    </div>
                </li>
            @empty
                <p class="center-align">Não há unidades liberadas no momento para esta disciplina.</p>
            @endforelse

            </br>

            @if (Request::session()->get('matricula')['modalidade'] != '1')

                @if ($feedback > 0)
                    @if ($frequencia > 74)
                        <div class="center-align">

                            <a href="#finalizaAvaliacaos" class="btn"
                                style="background-color: #fdc800; color: #000"><i
                                    class="material-icons black-text">content_paste</i> Pesquisa de satisfação da disciplina
                                <i class="material-icons black-text">lock_open</i></a>

                        </div>
                    @else
                        <div class="center-align">

                            <a href="#avisoAvaliacao" class="btn"
                                style="background-color: #a1a1a1; color: #fff"><i
                                    class="material-icons white-text">content_paste</i> Pesquisa de satisfação da disciplina
                                <i class="material-icons white-text">lock</i></a>

                        </div>
                    @endif
                @else
                    @if ($frequencia > 74)
                        <div class="center-align">

                            <a href="#agradecimento" class="waves-effect waves-light btn green darken-3"
                                style="color: #fff"><i class="material-icons black-text">content_paste</i> Pesquisa de
                                satisfação da disciplina <i class="material-icons black-text">done_all</i></a>

                        </div>
                    @else
                        <div class="center-align">

                            <a href="#avisoAvaliacao" class="btn"
                                style="background-color: #a1a1a1; color: #fff"><i
                                    class="material-icons white-text">content_paste</i> Pesquisa de satisfação da disciplina
                                <i class="material-icons white-text">lock</i></a>

                        </div>
                    @endif
                @endif

            @endif


        </ul>
        <a href="{{ route('aluno.home') }}" class="waves-effect waves-teal btn-flat">Voltar</a>
    </div>



    <div id="finalizaAvaliacaos" class="modal">
        <form action="{{ route('feedback.post') }}" method="post">
            @csrf
            <div class="modal-content">
                <h4 class="tituloForm">Pesquisa de satisfação da disciplina:</h4>
                <div class="dadosPost"></div>
                @forelse ($resposta as $per)
                    <div class="row">
                        @if ($per['estiloPergunta'] == 1)
                            <div class="cd-timeline__content text-component">
                                <div class="row">
                                    <span>{{ $per['perguntaPesquisa'] }}</span></br>
                                    <input name="opc_{{ $per['id'] }}" type="radio" id="opc_{{ $per['id'] }}_4"
                                        onchange="getFeedback({{ $per['id'] }}, {{ $per['disciplinas_id'] }}, 4)" />
                                    <label for="opc_{{ $per['id'] }}_4">Muito Satisfeito</label> <br>

                                    <input name="opc_{{ $per['id'] }}" type="radio" id="opc_{{ $per['id'] }}_3"
                                        onchange="getFeedback({{ $per['id'] }}, {{ $per['disciplinas_id'] }}, 3)" />
                                    <label for="opc_{{ $per['id'] }}_3">Satisfeito</label><br>

                                    <input name="opc_{{ $per['id'] }}" type="radio" id="opc_{{ $per['id'] }}_2"
                                        onchange="getFeedback({{ $per['id'] }}, {{ $per['disciplinas_id'] }}, 2)" />
                                    <label for="opc_{{ $per['id'] }}_2">Insatisfeito</label><br>

                                    <input name="opc_{{ $per['id'] }}" type="radio" id="opc_{{ $per['id'] }}_1"
                                        onchange="getFeedback({{ $per['id'] }}, {{ $per['disciplinas_id'] }}, 1)" />
                                    <label for="opc_{{ $per['id'] }}_1">Muito Insatisfeito</label><br>
                                </div>
                            </div> <!-- cd-timeline__content -->
                        @else
                            <div class="cd-timeline__content text-component">
                                <div class="row">
                                    <span>{{ $per['perguntaPesquisa'] }}</span></br>
                                    <input type="text" name="comdisciplina" />
                                    <input type="hidden" name="idResposta" value="{{ $per['id'] }}">
                                </div>
                            </div> <!-- cd-timeline__content -->
                        @endif
                    </div>
                @empty

                @endforelse
                <div class="aviso"></div>
            </div>
            <div class="modal-footer">
                <button type="submit" class="waves-effect waves-light btn blue darken-3" onclick="funcao1()"
                    style="color: #fff">Salvar</button>
                <a href="#!" class="modal-action modal-close waves-effect waves-green btn-flat">Cancelar</a>
                <input type="hidden" name="aluno" value="{{ Request::session()->get('matricula')['idMatricula'] }}">
                <input type="hidden" name="disciplina" value="{{ $disciplina->id }}">
            </div>
        </form>
    </div>

    <div id="avisoAvaliacao" class="modal">

        <div class="modal-content">
            <h4 style='text-align:center' class="tituloForm">Aviso:</h4>

            <div class="row">

                <p style='text-align:justify'>
                    A Pesquisa de satisfação só estará disponível quando você obter pelo menos 75% de frequência na
                    disciplina.
                    Por favor, acesse os materiais didáticos disponíveis na disciplina: videoaulas, e-book, materiais
                    complementares, etc.</p>
            </div>

        </div>
        <div class="modal-footer">
            <a href="#!" class="modal-close waves-effect waves-green btn-flat">Fechar</a>
        </div>

    </div>

    <div id="agradecimento" class="modal">

        <div class="modal-content">
            <h4 style='text-align:center' class="tituloForm">Aviso:</h4>

            <div class="row">

                <p style='text-align:center'>
                    Você já preencheu a pesquisa de satisfação dessa disciplina.
                </p>
            </div>

        </div>
        <div class="modal-footer">
            <a href="#!" class="modal-close waves-effect waves-green btn-flat">Fechar</a>
        </div>

    </div>

    <div id="aviso" class="modal">

        <div class="modal-content">
            <h4 style='text-align:center' class="tituloForm">Aviso:</h4>

            <div class="row">

                <p style='text-align:justify'>
                    Para realizar os quizes é necessário responder a pesquisa de satisfação da disciplina. A pesquisa de
                    satisfação pode ser acessada em um botão logo
                    abaixo dos materiais didáticos da disciplina.
                </p>
            </div>

        </div>
        <div class="modal-footer">
            <a href="#!" class="modal-close waves-effect waves-green btn-flat">Fechar</a>
        </div>


    </div>

    <div id="avisoFeeback" class="modal">

        <div class="modal-content">
            <h4 style='text-align:center' class="tituloForm">Aviso:</h4>

            <div class="row">

                <p style='text-align:justify'>
                    Enviando as informações do seu feedback.
                </p>
            </div>

        </div>
        <div class="modal-footer">
            <a href="#!" class="modal-close waves-effect waves-green btn-flat">Fechar</a>
        </div>

    </div>

    <style>
        .collapsible-header:after {
            display: none !important;
        }

    </style>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" />
@stop

@section('js')
    <script src="{{ asset('js/aluno/timeline.js') }}"></script>
    <script>
        var idDiscEAD = '{{ $idDiscEAD }}';

        window.onload = function() {
            var params = helper.getUrlVars();
            if (params.r) {
                $(`.collapsible_${params.r}`).click();
            }
        }

        function getAcessoLink(rcrs) {
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                type: 'POST',
                data: {
                    'rec': rcrs
                },
                url: "{{ route('aluno.freq') }}",
                beforeSend: function() {
                    console.log('atualizando...');
                },
                success: function(response) {
                    console.log(response);
                    $('.statusAcesso_' + rcrs).html('<i class="material-icons green-text">check_circle</i>');
                },
                error: function() {
                    console.log('erro ao atualizar!');
                }
            });
        }
        $(document).ready(function() {
            // the "href" attribute of the modal trigger must specify the modal ID that wants to be triggered
            $('.modal').modal();
            CKEDITOR.replace('textarea1');
        });

        function getFeedback(questao, alternativa, valor) {
            console.log(questao + ' ' + alternativa + ' ' + valor)
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                type: 'POST',
                data: {
                    'questao': questao,
                    'alternativa': alternativa,
                    'valor': valor
                },
                url: "{{ route('feedback.up') }}",
                beforeSend: function() {
                    // $('.aviso').html('Aguarde, carregando dados do recurso... <br /><div class="progress teal darken-4"><div class="indeterminate"></div></div>');
                },
                success: function(response) {
                    $('.returnRespMsg_' + questao).html('');
                    // Materialize.toast(message, displayLength, className, completeCallback);
                    Materialize.toast(response, 4000, 'rounded') // 4000 is the duration of the toast
                },
                error: function() {
                    // Materialize.toast(message, displayLength, className, completeCallback);
                    Materialize.toast(response, 4000, 'rounded') // 4000 is the duration of the toast
                }
            });
        }

        function funcao1() {
            document.getElementsByClassName('finalizaAvaliacaos')[0].style.display = 'none';
            document.getElementsByClassName('avisoFeeback')[0].style.display = 'block';
        }

        function getRecurso(unid_id) {
            if (!$(`#unidade_${unid_id}`).length) {
                $.ajax({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    type: 'POST',
                    data: {
                        'unidadeId': unid_id,
                        'idDiscEAD': idDiscEAD
                    },
                    url: "{{ route('aluno.unidadeDisciplina') }}",
                    beforeSend: function() {
                        $(`.unidbody_${unid_id}`).html(
                            '<div align="center" class="mt-4 mb-4"><i class="fa fa-spinner fa-spin mr-2"></i> Carregando...</div>'
                        );
                    },
                    success: function(data) {
                        if (!data) {
                            return helper.error({
                                mensagem: 'erro na requisição'
                            });
                        }

                        let html = '<div id="unidade_' + unid_id + '">' + data + '</div>';

                        $(`.unidbody_${unid_id}`).hide().html(html).fadeIn('slow');
                    },
                    error: function(data) {
                        return helper.error({
                            mensagem: data
                        });
                    }
                });
            }
        }
    </script>

@stop
