@extends('layouts.viewMoodle')

@section('title', 'Atualização de Dados')

@section('breadcrumbs')
<div id="breadcrumbs-wrapper">    
    <div class="container">
        <div class="row">
            <div class="col s12 m12 l12">
                <h5 class="breadcrumbs-title">Atualização de Dados</h5>
                <ol class="breadcrumbs">
                    <li><a href="{{ route('home.moodle') }}">Home</a></li>
                    <li class="active">Atualização de Dados</li>
                </ol>
            </div>
        </div>
    </div>
</div>
@stop

@section('content')

    @include('includes.alerts')

    <picture></picture>

    <form action="{{ route('aluno.upDados') }}" method="post">
        {{ csrf_field() }}
        <h4 class="header">Dados Pessoais</h4>   

                    <div class="row">
                        <div class="col s5">
                            <div class="form-group">
                                <label>Nome Completo</label>
                                <input type="text" name="nome" value="{{ $aluno->nomeAluno }}"/>
                            </div>
                        </div>
                        <div class="col s2">
                            <div class="form-group">
                                <label>Data de Nascimento</label>
                                <input type="text" value="{{ implode("/", array_reverse(explode("-", $aluno->dataNascimento))) }}" disabled />
                            </div>
                        </div>                
                        <div class="col s2">
                            <div class="form-group">
                                <label>Local de Nascimento</label>
                                <input type="text" value="{{ $aluno->localNascimento }}"  disabled/>
                            </div>
                        </div>                
                        <div class="col s3">
                            <div class="form-group">
                                <label>Profissão</label>
                                <input type="text" name="profissa" value="{{ $aluno->profissaoAluno }}"  />
                            </div>
                        </div>                
                    </div> 
                    <div class="row">
                        <div class="col s3">
                            <div class="form-group">
                                <label>CPF</label>
                                <input type="text" value="{{ $aluno->cpfAluno }}" disabled />
                            </div>
                        </div>
                        <div class="col s3">
                            <div class="form-group">
                                <label>RG</label>
                                <input type="text" name="rg" value="{{ $aluno->rgAluno }}"  />
                            </div>
                        </div>
                        <div class="col s2">
                            <div class="form-group">
                                <label>Data Expedição</label>
                                <input type="text" name="dataExped" class="form-control maskData" value="{{ implode("/", array_reverse(explode("-", $aluno->dataExpedicaoRG))) }}"  />
                            </div>
                        </div>
                        <div class="col s2">
                            <div class="form-group">
                                <label>Sexo</label>
                                <select name="sexo">
                                    <option value="" selected disabled>Selecione</option>
                                    <option value="M" @if($aluno->sexoAluno == 'M') selected @endif>Masculino</option>
                                    <option value="F" @if($aluno->sexoAluno == 'F') selected @endif>Feminino</option>
                                </select>
                            </div>
                        </div>
                        <div class="col s2">
                            <div class="form-group">
                                <label>Estado Cívil</label>
                                <select name="estadoCiv">
                                    <option value="" selected disabled>Selecione</option>
                                    <option value="1" @if($aluno->estadoCivil == '1') selected @endif>Solteiro</option>
                                    <option value="2" @if($aluno->estadoCivil == '2') selected @endif>Casado</option>
                                    <option value="3" @if($aluno->estadoCivil == '3') selected @endif>Separado</option>
                                    <option value="4" @if($aluno->estadoCivil == '4') selected @endif>Divorciado</option>
                                    <option value="5" @if($aluno->estadoCivil == '5') selected @endif>União Estável</option>
                                    <option value="6" @if($aluno->estadoCivil == '6') selected @endif>Viúvo</option>
                                </select>
                            </div>
                        </div>
                    </div>        
                    <div class="row">
                        <div class="col s4">
                            <div class="form-group">
                                <label>Nome Mãe</label>
                                <input type="text" name="nomeMae" value="{{ $aluno->nomeMae }}"  />
                            </div>
                        </div>
                        <div class="col s4">
                            <div class="form-group">
                                <label>Nome Pai</label>
                                <input type="text" name="nomePai" value="{{ $aluno->nomePai }}"  />
                            </div>
                        </div>
                        <div class="col s4">
                            <div class="form-group">
                                <label>Ano Conclusão Ens. Superior</label>
                                <input type="number" max="<?=date('Y')?>" value="{{ $aluno->anoConcUniversidade }}" disabled />
                            </div>
                        </div>
                    </div>
                    <!-- FIM DADOS PESSOAIS-->

                <!-- ENDEREÇO -->
                <h4 class="header">Endereço do Aluno</h4>
                <div class="row">
                    <div class="col s2">
                        <div class="form-group">
                            <label>CEP</label>
                            <input type="text" name="cep" value="{{ $aluno->cepAluno }}"  />
                        </div>
                    </div>
                    <div class="col s4">
                        <div class="form-group">
                            <label>Endereço</label>
                            <input type="text" name="endereco" value="{{ $aluno->enderecoAluno }}"  />
                        </div>
                    </div>
                    <div class="col s2">
                        <div class="form-group">
                            <label>Bairro</label>
                            <input type="text" name="bairro" value="{{ $aluno->bairroAluno }}"  />
                        </div>
                    </div>
                    <div class="col s2">
                        <div class="form-group">
                            <label>Cidade</label>
                            <input type="text" name="cidade" value="{{ $aluno->cidadeAluno }}"  />
                        </div>
                    </div>
                    <div class="col s2">
                        <div class="form-group">
                            <label>UF</label>
                            <select name="estado">
                                <option value="AC" @if($aluno->ufAluno == 'AC') selected="selected" @endif>Acre</option>
                                <option value="AL" @if($aluno->ufAluno == 'AL') selected="selected" @endif>Alagoas</option>
                                <option value="AP" @if($aluno->ufAluno == 'AP') selected="selected" @endif>Amapá</option>
                                <option value="AM" @if($aluno->ufAluno == 'AM') selected="selected" @endif>Amazonas</option>
                                <option value="BA" @if($aluno->ufAluno == 'BA') selected="selected" @endif>Bahia</option>
                                <option value="CE" @if($aluno->ufAluno == 'CE') selected="selected" @endif>Ceará</option>
                                <option value="DF" @if($aluno->ufAluno == 'DF') selected="selected" @endif>Distrito Federal</option>
                                <option value="ES" @if($aluno->ufAluno == 'ES') selected="selected" @endif>Espírito Santo</option>
                                <option value="GO" @if($aluno->ufAluno == 'GO') selected="selected" @endif>Goiás</option>
                                <option value="MA" @if($aluno->ufAluno == 'MA') selected="selected" @endif>Maranhão</option>
                                <option value="MT" @if($aluno->ufAluno == 'MT') selected="selected" @endif>Mato Grosso</option>
                                <option value="MS" @if($aluno->ufAluno == 'MS') selected="selected" @endif>Mato Grosso do Sul</option>
                                <option value="MG" @if($aluno->ufAluno == 'MG') selected="selected" @endif>Minas Gerais</option>
                                <option value="PA" @if($aluno->ufAluno == 'PA') selected="selected" @endif>Pará</option>
                                <option value="PB" @if($aluno->ufAluno == 'PB') selected="selected" @endif>Paraíba</option>
                                <option value="PR" @if($aluno->ufAluno == 'PR') selected="selected" @endif>Paraná</option>
                                <option value="PE" @if($aluno->ufAluno == 'PE') selected="selected" @endif>Pernambuco</option>
                                <option value="PI" @if($aluno->ufAluno == 'PI') selected="selected" @endif>Piauí</option>
                                <option value="RJ" @if($aluno->ufAluno == 'RJ') selected="selected" @endif>Rio de Janeiro</option>
                                <option value="RN" @if($aluno->ufAluno == 'RN') selected="selected" @endif>Rio Grande do Norte</option>
                                <option value="RS" @if($aluno->ufAluno == 'RS') selected="selected" @endif>Rio Grande do Sul</option>
                                <option value="RO" @if($aluno->ufAluno == 'RO') selected="selected" @endif>Rondônia</option>
                                <option value="RR" @if($aluno->ufAluno == 'RR') selected="selected" @endif>Roraima</option>
                                <option value="SC" @if($aluno->ufAluno == 'SC') selected="selected" @endif>Santa Catarina</option>
                                <option value="SP" @if($aluno->ufAluno == 'SP') selected="selected" @endif>São Paulo</option>
                                <option value="SE" @if($aluno->ufAluno == 'SE') selected="selected" @endif>Sergipe</option>
                                <option value="TO" @if($aluno->ufAluno == 'TO') selected="selected" @endif>Tocantins</option>
                            </select>
                        </div>
                    </div>
                </div>                    
                <!-- FIM ENDEREÇO -->

                <!-- CONTATO -->
                <h4 class="header">Contatos do Aluno</h4>
                        
                <div class="row">
                    <div class="col s3">
                        <div class="form-group">
                            <label>Telefone</label>
                            <input type="text" name="fone" class="form-control maskFone" value="{{ $aluno->foneFixo }}" />
                        </div>
                    </div>
                    <div class="col s3">
                        <div class="form-group">
                            <label>Celular</label>
                            <input type="text" name="celular" class="form-control maskCelular" value="{{ $aluno->foneCelular }}" />
                        </div>
                    </div>                
                    <div class="col s3">
                        <div class="form-group">
                            <label>E-mail</label>
                            <input type="email" name="email" class="form-control" value="{{ $aluno->emailAluno }}" />
                        </div>
                    </div>                                                 
                    <div class="col s3">
                        <div class="form-group">
                            <label>Senha</label>
                            <input type="password" name="password" class="form-control"  />
                        </div>
                    </div>                                                 
                </div>     

                <div class="row">
                    <div class="col s6">
                        <a href="{{ route('home') }}">Voltar</a>
                    </div>
                    <div class="col s6 right-text" style="text-align: right">
                        <button type="submit" class="btn">Salvar</button>
                    </div>
                </div>
    </form>
@stop