@extends('layouts.viewMoodle')

@section('title', 'Notas')

@section('content_header')
<h1>Boletim Acadêmico</h1>
    <ol class="breadcrumb">
        <li><a href="{{ route('home2') }}">Início</a></li>
        <li><a href="javascript:void()">Notas</a></li>
    </ol>
@stop

@section('content')

<div class="box box-primary">
    <div class="box-header">
        <div class="row">
            <div class="col-md-12">
                <label>Aluno:</label> {{ $matricula->codMatricula }} - {{ $aluno['nomeAluno'] }}                
            </div>
        </div>
        <div class="row">
            <div class="col-md-8">
                <label>Curso/Turma:</label> {{ $curso->siglaCurso }} {{ $curso->nomeCurso }} - {{ $turma->nomeTurma }}
            </div>
            <div class="col-md-4">
                <label>Período:</label> {{ $matricula->codAno }}
            </div>
        </div>
    </div>
    <div class="box-body">
        
        @include('includes.alerts')
        
        
        <table class="table table-hover table-striped table-condensed table-bordered">
            <thead>
                <tr>
                    <th style="width: 35%">Disciplina</th>
                    <th>Carga Horária</th>
                    <th>Falta</th>
                    <th>Nota AV0</th>
                    <th>Nota AVP</th>
                    <th style="width: 10%">Média Final</th>
                </tr>
            </thead>
            <tbody>
                @forelse($disciplinas as $ls)  
                <tr>
                    <td>{{ $ls['nomeDisciplina'] }}</td>
                    <td class="text-center">@if($ls['CH']) {{ substr($ls['CH'], 0, -6) }}h @endif</td>
                    <td class="text-right">{{ $ls['faltas'] }}</td>
                    <td class="text-right">{{ $ls['AVO'] }}</td>
                    <td class="text-right">{{ $ls['AVP'] }}</td>
                    <td class="text-right">{{ $ls['media'] }}</td>
                </tr>
                @empty
                <tr>
                    <td colspan="7">Não há registros disponíveis no momento.</td>
                </tr>
                @endforelse
            </tbody>
        </table>
        <hr />
        <a href="{{ route('home') }}" class="btn btn-default btn-sm">Voltar</a>
        
    </div><!--box-body-->
</div><!--.box-->


@stop