<!DOCTYPE html>
<html lang="pt-BR">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Contrato</title>
    <style>
        #contrato{ width: 98%; margin: 10px auto; }
        h2{ font-size: 18px; text-align: center; }
		h3{ font-size: 18px; text-align: right; }
		small{ font-size: 14px; text-align: right; }
        body{ font-family: 'Source Sans Pro', Courier, monospace, sans-serif; font-size: 12px; }
        p{ text-align: justify; }
        .dataContrato{ text-align: right; }
        table { width: 100%; }
        .assinaturasContrato{ text-align: center; }
        .quebrapagina { page-break-before: always; }
        .tabelaDados{ width: 100%; }
        .tabelaDados td { border: 1px solid #000; padding: 3px 2px;}
    </style>
</head>
<body>

    <div id="contrato">

            <h2>CONTRATO DE PRESTAÇÃO DE SERVIÇOS EDUCACIONAIS</h2>


			<p class="dataContrato">
            <small>Contrato No.: {{ $matricula->codMatricula }}</small>

    </p>
    <div class="row">
        <div class="col-md-12 corpoContrato">
            <p><b>A) CONTRATANTE: {{ $aluno->nomeAluno }}</b></p>
            <p>Aluno (a) identificado (a) no REQUERIMENTO DE MATRÍCULA fornecido pela CONTRATADA, cujo documento integra o presente contrato.</p>
            {{-- Alteração solicitada pelo prof. Thiago  13/01/2020--}}
            @switch($empresa->id)

            {{-- Estratego Treinamentos Gerenciais  --}}
                @case(5)
                    <p><b>B) CONTRATADAS:</b></p>
                    <p><b>{{ $empresa->razaoSocial }}</b> , com sede na {{ $empresa->enderecoEmpresa }} - bairro {{ $empresa->bairroEmpresa }} -
                        CEP - {{ $empresa->cepEmpresa }} - cidade {{ $empresa->cidadeEmpresa }} - estado do {{ $empresa->ufEmpresa }}, inscrita no CNPJ n.o {{ $empresa->cnpjEmpresa }} e
                        ESTRATEGO SISTEMA EDUCACIONAL LTDA , com sede na TRAVESSA FRANCISCO CALDEIRA CASTELO BRANCO, 834 -bairro SAO BRAS - CEP - 66.063-223 -
                        cidade BELEM - estado do PA, inscrita no CNPJ n.o 22.528.231/0001-05.

                    </p>
                @break


                {{-- Instituto Carreira --}}
                @case(6)
                    <p><b>B) CONTRATADAS:</b></p>
                    <p><b>{{ $empresa->nomeFantasia }}</b> , com sede na {{ $empresa->enderecoEmpresa }} - bairro {{ $empresa->bairroEmpresa }} -
                        CEP - {{ $empresa->cepEmpresa }} - cidade {{ $empresa->cidadeEmpresa }} - estado do {{ $empresa->ufEmpresa }}, inscrita no CNPJ n.o {{ $empresa->cnpjEmpresa }} e
                        Estratego Sistema Educacional Ltda., inscrita no CNPJ 22.528.231/0001-05, com sede na Travessa Francisco Caldeira Castelo Branco - nº 834, CEP - 66.063-223, bairro
                        São Brás, Belém, Pará.
                    </p>
                @break
                {{-- Inex --}}
                @case(15)
                    <p><b>B) CONTRATADAS:</b></p>
                    <p><b>{{ $empresa->nomeFantasia }}</b> , com sede na AV. MAG. BARATA, 651 ED. BELÉM OFFICER CENTER, SAL 18 - bairro SÃO BRAS - CEP - 66.060-281 - cidade Belém - estado do PA, inscrita no
                        CNPJ n.o 07.766.613/0001-83, Instituto Carreira , com sede na RODOVIA BR 316 KM 07 , 570 - bairro CENTRO - CEP - 67.043-970 - cidade ANANINDEUA - estado do PA, inscrita no CNPJ
                        n.o 11.483.301/0001-30 e Estratego Sistema Educacional Ltda., inscrita no CNPJ 22.528.231/0001-05, com sede na Travessa Francisco Caldeira Castelo Branco -
                        nº 834, CEP - 66.063-223, bairro São Brás, Belém, Pará.

                    </p>
                @break
                {{-- INEX TREINAMENTOS  - SÃO LUÍS  --}}
                @case(12)
                    <p><b>B) CONTRATADAS:</b></p>
                    <p><b>Estratego Sistema Educacional Ltda.</b> , mantedora da FACULDADE ESTRATEGO, inscrita no CNPJ 22.528.231/0001-05, com sede na Travessa Francisco Caldeira Castelo Branco - nº 834,
                    CEP - 66.063-223, bairro São Brás, Pará e <b> INEX TREINAMENTOS ASSOCIADOS LTDA - SÃO LUÍS </b>, pessoa jurídica de direito privado, inscrita no CNPJ 34.789.265/0001-32, com sede na
                    Rua Itaquice 36 quadra 01 lote 36 - bairro Calhau - CEP 65071400 - cidade São Luís - estado do MA.

                    </p>
                @break

                {{-- Estratego EAD Pronapós --}}
                @case(17)
                    <p><b>B) CONTRATADAS:</b></p>
                    <p><b>Faculdade Estratego</b>, inscrita no CNPJ 22.528.231/0001-05, com sede na Travessa Francisco Caldeira Castelo Branco - nº 834, CEP - 66.063-223, bairro São Brás, Belém, Pará, <b>Inex</b> ,
                    com sede na AV MAG. BARATA, 651 ED. BELEM OFFICE CENTER, SAL 18 - bairro SAO BRAS -CEP - 66.060-281 - cidade BELEM - estado do PA, inscrita no CNPJ n.o 07.766.613/0001-83, e a
                    <b>Universidade Brasil</b>, inscrita no CNPJ: 09.099.207/0001-30, com sede na Rua Carolina Fonseca Nº 584 CEP: 08230-030, bairro: Itaquera, São Paulo – SP.

                    </p>
                @break


                @default
                <p><b>B) CONTRATADAS:</b></p>
                <p><b>{{ $empresa->nomeFantasia  }}</b>, inscrita no CNPJ 22.528.231/0001-05, com sede na Travessa Francisco Caldeira Castelo Branco - nº 834, CEP - 66.063-223, bairro São Brás, Belém, Pará.</p>
            @endswitch

            <p>CONTRATANTE, qualificada(a) no REQUERIMENTO DE MATRÍCULA, e CONTRATADA, qualificada no preâmbulo B, tem entre si firmado o
                presente contrato de prestação de serviços educacionais, com as cláusulas e condições que se seguem:</p>

            <br />

            <p><b>CLAÚSULA 1a</b>- O objeto deste contrato é a prestação de serviços educacionais pela CONTRATADA ao CONTRATANTE, especificado em formulário próprio denominado
            REQUERIMENTO DE MATRÍCULA que integra o presente contrato, com identificação do curso e investimento.</p>

            <p><b>CLAÚSULA 2a</b>-O aluno(a) só será considerado formalmente matriculado após o preenchimento do formulário de matrícula, e com a conclusão de todo o processo de
            matrícula online</p>
            <p><b>Parágrafo 1o</b>-  O aluno(a) estará sujeito ao disposto no regimento e normas da CONTRATADA, legislação de ensino, regulamento e manual do aluno, cujas determinações
            integram o presente instrumento contratual para aplicação e disponíveis para consulta na Coordenação Acadêmica da CONTRATADA</p>
            <p><b>Parágrafo 2o</b>- As informações consignadas e as vias dos documentos pessoais do(a) aluno(a), constantes no REQUERIMENTO DE MATRÍCULA, que deverão ser enviados de forma
            digitalizada, são de inteira e exclusiva responsabilidade do(a) CONTRATANTE, bem como a atualização de dados pessoais, de novos documentos, endereços para correspondências
            escolares e de instituições financeiras.</p>
            <p><b>Parágrafo 3o</b>- As partes acordam que a plataforma, na qual recebe os documentos no portal do aluno, será considerada como meio de comprovação de autoria e da integralidade dos
            documentos recebidos, conforme dispõe o Art. 6° do Decreto n°10.278.</p>
            <p><b>Parágrafo 4o</b>-Enquanto o CONTRATANTE não realizar a entrega integral dos documentos constantes no REQUERIMENTO DE MATRÍCULA, será considerado aluno de curso de extensão, ensejando,
            apenas, o direito de recebimento do certificado de extensão universitária.</p>
            <p><b>CLAÚSULA 3a</b>- Fica ciente o CONTRATANTE que o prazo estipulado para a sua rematrícula trimestral é peremptório, devendo o mesmo manter a sua qualidade para
            habilitação do seu direito conforme estipulado neste contrato.</p>
            <p><b>Parágrafo Único</b>- O pagamento regular e integral das parcelas, juntamente com a inexistência de débitos junto à CONTRATADA, é condição imprescindível para a
            validação da rematrícula no trimestre subsequente</p>
            <p><b>CLÁUSULA 4a</b>- A CONTRATADA oferecerá ao(à) CONTRATANTE o curso especificado no REQUERIMENTO DE MATRÍCULA, respeitando o projeto pedagógico e em conformidade com a legislação pertinente, tendo o aluno ao final de seu curso direito, de forma gratuita, ao certificado de conclusão de pós graduação ou, se for o caso, de extensão universitária, acompanhado do histórico acadêmico final disponibilizado na sua área do aluno, em formato digital, quando cumprir todos os requisitos dispostos nas normas da CONTRATADA e deste contrato.</p>
            <p><b>Parágrafo 1o</b>- Caso o Aluno opte por receber o certificado de forma física, este arcará com os  custos de impressão e translado do mesmo.</p>
            <p><b>Parágrafo 2o</b>- O material didático utilizado no curso será disponibilizado ou indicado, conforme a liberação do curso ou da disciplina por parte da CONTRATADA,
            apenas em forma digital, no site da CONTRATADA ou em outro local que for indicado, ficando sob a responsabilidade do CONTRATANTE a impressão do mesmo.</p>
            <p><b>Parágrafo 3o</b>-  A fixação de carga horária, indicação do corpo docente, a marcação de datas, atividades ou avaliações e suas aplicações serão de responsabilidade
            da CONTRATADA.</p>
            <p><b>Parágrafo 4o</b>- A comunicação da CONTRATADA com o CONTRATANTE, no que diz respeito ao repasse de informações pedagógicas, dia das aulas, alterações de datas e outras informações,
            ocorrerá por meio de avisos na área eletrônica do aluno.</p>

            <p><b>CLAÚSULA 5a</b>- Não estão incluídos no valor deste CONTRATO DE PRESTAÇÃO DE SERVIÇOS EDUCACIONAIS os serviços especiais de reposição, avaliação substituta ou quaisquer outros serviços
            não apresentados na cláusula 4ª do presente instrumento.</p>
            <p><b>Parágrafo Único</b>-Os serviços especiais indicados nesta cláusula ou quaisquer outros, se necessários, serão prestados ao(à) CONTRATANTE na forma de ajuste à parte, obedecendo o regimento
            vigente e a metodologia adotada pela CONTRATADA.</p>
            <p><b>CLAÚSULA 6a</b>- É de inteira responsabilidade do(a) CONTRATANTE realizar disciplinas/atividades de seu curso conforme calendário fornecido pela CONTRATADA.</p>
            <p><b>CLAÚSULA 7a</b>- A aprovação do CONTRATANTE exige uma frequência mínima de 75% (setenta e cinco por cento) ao longo do curso e um aproveitamento de 70% (setenta por cento) nas avaliações,
            para os cursos de Pós-graduação.</p>
            <p><b>Parágrafo Único</b>-Não haverá, sob qualquer hipótese, reposição das aulas ministradas.</p>

            <p><b>CLAÚSULA 8a</b>- O(a) CONTRATANTE se obriga a efetuar o pagamento do investimento do curso, conforme estabelecido no REQUERIMENTO DE MATRÍCULA.</p>
            <p><b>Parágrafo 1o</b>- O pagamento da taxa de matrícula, conforme REQUERIMENTO DE MATRÍCULA, efetivará a matrícula do CONTRATANTE ou aluno, reservando-se à CONTRATADA
            o direito de cancelar a matrícula,  devolvendo o valor integral do pagamento se o número mínimo de matriculados no curso for insuficiente para garantir o
            equilíbrio financeiro necessário à sua manutenção, caso não seja bolsista integral.</p>
            <p><b>Parágrafo 2o</b>- Os pagamentos serão efetuados, rigorosamente, nas datas dos respectivos vencimentos, à própria CONTRATADA ou através da rede bancária quando a CONTRATADA determinar,
            conforme REQUERIMENTO DE MATRÍCULA.</p>
            <p><b>Parágrafo 3o</b>- Em caso de pagamento com cheque, o mesmo será recebido em caráter ''pro solvendo'' somente ficando quitado o compromisso após o pagamento pelo banco.</p>
            <p><b>Parágrafo 4o</b>- No caso de falta de pagamento de parcela no vencimento, sobre o valor em atraso, incidirá multa de 2% e juros compensatórios de 1% (um por cento)
            ao mês, tudo sem prejuízo dos honorários advocatícios, quando a cobrança se proceder por via judicial.</p>
            <p><b>Parágrafo 5o</b>-  Em caso de inadimplência de pagamento de qualquer das parcelas por mais de 30 (trinta) dias, a CONTRATADA poderá comunicar o débito ao Serviço
            de Proteção ao Crédito (SPC) ou SERASA e tomar todas as medidas judiciais cabíveis para a satisfação do débito.</p>
             <p><b>CLÁUSULA 9a</b>- Este contrato terminará em pleno direito, ao final do respectivo curso, com o período de realização a ser determinado pela CONTRATADA, conforme informado
             no REQUERIMENTO DE MATRÍCULA.</p>


            <p><b>Parágrafo 1o</b>-O CONTRATANTE deverá comunicar formalmente à CONTRATADA a DESISTÊNCIA do curso em que está regularmente matriculado, sendo OBRIGATÓRIO,
            para sua validade, a comprovação do PAGAMENTO DE TODAS AS PARCELAS até o mês da desistência, responsabilizando-se, ainda, pelo pagamento de multa rescisória no
            valor de duas parcelas, caso não seja bolsista integral. Valor este que deverá ser pago de imediato ao setor financeiro da CONTRATADA junto com o pedido de
            cancelamento do curso. Nos casos de desemprego e doença grave que necessite de afastamento para tratamento médico, desde que não haja condições do CONTRATANTE
            continuar honrando com as obrigações descritas na cláusula 9ª deste instrumento, as condições de pagamento da multa, decorrente da DESISTÊNCIA, poderá ser
            negociada junto à CONTRATADA, mediante indispensável comprovação por escrito.</p>
            <p><b>Parágrafo 2o</b>-O abandono do curso, ou seja, a desistência sem o efetivo cancelamento, previsto no parágrafo 1º desta cláusula, será considerado
            ruptura deste contrato de prestação de serviços, ensejando a cobrança judicial de todo o saldo devedor, com os acréscimos pactuados na cláusula 9ª
            deste contrato.</p>
            <p><b>CLÁUSULA 10a</b>- Considera-se jubilado o aluno que não concluir seu curso no prazo de dois anos, contados a partir da data de encerramento do mesmo indicado no
            requerimento de matrícula.</p>
            <p><b>CLÁUSULA 11a</b>- Poderão ser creditadas as disciplinas cursadas e devidamente aprovadas no prazo máximo de dois anos, a contar da data de encerramento do curso.</p>
            <p><b>CLÁSULA 12a</b>- O (a) CONTRATANTE, ao dar o aceite ao final do processo de matrícula online no site da CONTRATADA, estará ciente e de acordo com todas as disposições deste contrato.</p>
            <p><b>Parágrafo 1o</b>- Este contrato constitui título executivo extrajudicial.</p>
            <p><b>Parágrafo 2o</b>- À CONTRATADA é reservado o direito de, quando necessário, trocar professores, datas e horários.</p>
            <p><b>Parágrafo 3o</b>- Caso o aluno ou CONTRATANTE se comporte de forma inconveniente, a CONTRATADA poderá rescindir este acordo, na
                forma do Art. 607, do Código Civil Brasileiro.</p>
            <p><b>CLÁUSULA 13a</b>- Fica eleito o foro da comarca de Belém, Estado do Pará, para dirimir quaisquer dúvidas que se originarem da execução deste instrumento e que não
            puderem ser solucionados administrativamente entre as partes. </p>
        </div><!--corpoContrato-->
        <br /><br />
        <p class="dataContrato">
                Belém/Pa, {{ $dataMatricula }}
            </p>
        <br /><br /><br />

    </div>
</div><!--container-->
<div class="quebrapagina"></div>
<div id="requerimento">

        <h2>REQUERIMENTO DE MATRÍCULA</h2>

        <p>
            1. IDENTIFICAÇÃO DO CURSO <br />
            {{ $curso->siglaCurso }} - {{ $curso->nomeCurso }}
        </p>

        <p>2. CONTRATANTE/ALUNO</p>
        <p>
            2.1. DADOS PESSOAIS <br />
            <table class="tabelaDados">
                <tbody>
                    <tr>
                        <td colspan="4"><b>Nome:</b> {{ $aluno->nomeAluno }}</td>
                    </tr>
                    <tr>
                        <td><b>CPF:</b> {{ $aluno->cpfAluno }}</td>
                        <td><b>Identidade:</b> {{ $aluno->rgAluno }}</td>
                        <td><b>Orgão Emissor:</b> </td>
                        <td><b>Data Emissão:</b> {{ date('d/m/Y', strtotime($aluno->dataExpedicaoRG)) }}</td>
                    </tr>
                    <tr>
                        <td>
                            <b>Sexo:</b>
                            @if ($aluno->sexoAluno == 'M') Masculino @endif
				            @if ($aluno->sexoAluno == 'F') Feminino @endif
                        </td>
                        <td><b>Data Nascimento:</b> {{ date('d/m/Y', strtotime($aluno->dataNascimento)) }}</td>
                        <td colspan="2">
                            <b>Estado Civil:</b>
                            @if ($aluno->estadoCivil == 1) Solteiro @endif
                            @if ($aluno->estadoCivil == 2) Casado @endif
                            @if ($aluno->estadoCivil == 3) Separado @endif
                            @if ($aluno->estadoCivil == 4) Divorciado @endif
                            @if ($aluno->estadoCivil == 5) União Estável @endif
                            @if ($aluno->estadoCivil == 6) Viúvo @endif
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2"><b>Nacionalidade:</b> {{ $aluno->nacionalidade }}</td>
                        <td colspan="2"><b>Naturalidade:</b> {{ $aluno->localNascimento }}</td>
                    </tr>
                    <tr>
                        <td colspan="2"><b>Nome da Mãe:</b> {{ $aluno->nomeMae }}</td>
                        <td colspan="2"><b>Nome do Pai:</b> {{ $aluno->nomePai }}</td>
                    </tr>
                </tbody>
            </table>
        </p>

        <p>
            2.2. ENDEREÇO RESIDENCIAL/CONTATO <br />
            <table class="tabelaDados">
                <tbody>
                    <tr>
                        <td colspan="2"><b>Endereço:</b> {{ $aluno->enderecoAluno }}</td>
                        <td colspan="2"><b>Complemento:</b></td>
                    </tr>
                    <tr>
                        <td><b>Bairro:</b> {{ $aluno->bairroAluno }}</td>
                        <td><b>CEP:</b> {{ $aluno->cepAluno }}</td>
                        <td><b>Cidade:</b> {{ $aluno->cidadeAluno }}</td>
                        <td><b>UF:</b> {{ $aluno->ufAluno }}</td>
                    </tr>
                    <tr>
                        <td><b>Telefone:</b> {{ $aluno->foneFixo }}</td>
                        <td><b>Celular:</b> {{ $aluno->foneCelular }}</td>
                        <td colspan="2"><b>E-mail:</b> {{ $aluno->emailAluno }}</td>
                    </tr>
                </tbody>
            </table>
        </p>
        <p>3. DADOS FINANCEIROS</p>

        <p>
		3.1. RESPONSÁVEL FINANCEIRO<br />

		@if($respFinanceiro->count() > 0)
			<table class="tabelaDados">
				<tr>
					<td colspan="4"><b>Nome:</b> {{ $respFinanceiro[0]->nomeResponsavel }}</td>
				</tr>
				<tr>
					<td colspan="2"><b>CPF:</b> {{ $respFinanceiro[0]->cpfResponsavel }}</td>
					<td><b>Identidade:</b> {{ $respFinanceiro[0]->rgResponsavel }}</td>
					<td><b>Data de Emissão:</b> {{ $respFinanceiro[0]->dataExpedicaoRGResp }}</td>
				</tr>
				<tr>
					<td colspan="4"><b>Endereço:</b> {{ $respFinanceiro[0]->enderecoResponsavel }}</td>
				</tr>
				<tr>
					<td><b>CEP:</b> {{ $respFinanceiro[0]->cepResponsavel }}</td>
					<td><b>Bairro:</b> {{ $respFinanceiro[0]->bairroResponsavel }}</td>
					<td><b>Cidade:</b> {{ $respFinanceiro[0]->cidadeResponsavel }}</td>
					<td><b>UF:</b> {{ $respFinanceiro[0]->ufResponsavel }}</td>
				</tr>
				<tr>
					<td><b>Telefone:</b> {{ $respFinanceiro[0]->foneResp }}</td>
					<td><b>Celular:</b> {{ $respFinanceiro[0]->celularResp }}</td>
					<td colspan="2"><b>E-mail:</b> {{ $respFinanceiro[0]->emailResp }}</td>
				</tr>
			</table>
		@else
			<table class="tabelaDados">
				<tr>
					<td>Próprio Aluno</td>
				</tr>
			</table>
		@endif
        </p>

        <p>3.2. INVESTIMENTO</p>
        <p>
            3.2.1. VALOR DO CURSO<br />
            <table class="tabelaDados">
               <tbody>
                    <tr>
                        <td><b>Valor Integral:</b> R$ {{ number_format($matricula->valorCurso, 2, ',', '.') }}</td>
                        <td>
                            @php
                                $totalDesconto = ($matricula->valorDesconto*$matricula->qtdeParcela);
                                $totalCurso = $matricula->valorCurso - $totalDesconto;
                            @endphp
                            <b>Valor do Curso com Desconto:</b> R$ {{ number_format($totalCurso, 2, ',', '.') }}
                        </td>
                    </tr>
               </tbody>
            </table>
        </p>
        <p>
            3.2.2. CONDIÇÕES DE PAGAMENTO
            <table class="tabelaDados">
                <tbody>
                    <tr>
                        <td><b>Nº de Parcelas:</b> <br /> {{ ($matricula->qtdeParcela > 0) ? $matricula->qtdeParcela : '' }}</td>
                        <td><b>Valor Parcela:</b> <br /> R$ {{ ($matricula->qtdeParcela > 0) ? number_format(($matricula->valorCurso/$matricula->qtdeParcela), 2, ',', '.') : '' }}</td>
                        <td><b>Desconto da Parcela:</b> <br /> R$ {{ ($matricula->qtdeParcela > 0) ? number_format($matricula->valorDesconto, 2, ',', '.') : '' }}</td>
                        <td><b>Valor Parc. c/Desconto:</b> <br /> R$ {{ ($matricula->qtdeParcela > 0) ? number_format(($matricula->valorCurso/$matricula->qtdeParcela)-$matricula->valorDesconto, 2, ',', '.') : ''}}</td>
                    </tr>
                </tbody>
            </table>
        </p>
        <p>
            3.2.3. VENCIMENTOSs<br />
            <table class="tabelaDados">
                <tbody>
                    <tr>
                        <td>
                            @forelse($faturas as $key => $ln)

                                    @if($ln->parcelaCorrente == 0)
                                        Matrícula:
                                        {{ implode("/", array_reverse(explode("-", $ln->dataVcto))) }} (R$ {{ number_format($ln->valorFatura, 2, ',','.') }})
                                    @else
                                        {{ $ln->parcelaCorrente }}ª.
                                        {{ implode("/", array_reverse(explode("-", $ln->dataVcto))) }}
                                        @if($ln->valorFatura == '0.00')
                                            (R$ 0,00)
                                        @else
                                            @if($matricula->valorDesconto > $ln->valorFatura)
                                            (R$ {{ number_format($ln->valorFatura, 2, ',','.') }})
                                            @else
                                            (R$ {{ number_format($ln->valorFatura-$matricula->valorDesconto, 2, ',','.') }})
                                            @endif
                                        @endif
                                    @endif
                            @empty
                            @endforelse
                        </td>
                    </tr>
                </tbody>
            </table>
        </p>
        <p>
            3.2.4. MATRÍCULA<br />
            <table class="tabelaDados">
                <tbody>
                    <tr>
                        <td><b>Taxa de Matrícula:</b> <br /> R$ {{ number_format($faturas[0]->valorFatura, 2, ',', '.') }}</td>
                        <td><b>Desconto Matrícula:</b> <br /> R$ 0,00</td>
                        <td><b>Valor Matrícula:</b> <br /> R$ {{ number_format($faturas[0]->valorFatura, 2, ',', '.') }}</td>
                    </tr>
                </tbody>
            </table>
        </p>

        <div class="quebrapagina"></div>

                <h4>4. CONFIRMAÇÃO DE MATRÍCULA</h4>
                <p>4.1. DOCUMENTOS NECESSÁRIOS:</p>
                <p>IDENTIDADE/RG, CPF, COMPROVANTE DE RESIDÊNCIA ATUAL, DIPLOMA DE GRADUAÇÃO, TODOS  DIGITALIZADOS DO ORIGINAL OU DA CÓPIA AUTENTICADA.</p>
                <p><o>PRAZO MÁXIMO: 60(SESSENTA) DIAS APÓS DATA DE INSCRIÇÃO.</p>
                <p>&middot; LOCAL PARA ENVIO: PORTAL DO ALUNO</p>

                <p>&middot; O PRESENTE REQUERIMENTO SOMENTE SERÁ VALIDADO SE O ITEM 04 FOR OBSERVADO.</p>

            </div>
        </div>
        <p class="dataContrato">
                Belém/Pa, {{ $dataMatricula }}
            </p>
        <br /><br /><br />

    </div>


</div><!--container-->
@if($empresa->id == 5)
<!--
<div class="quebrapagina"></div>

<div class="container">
    <div class="row">
        <div class="col-md-12">
            <table>
                <tr>
                    <td style="width: 200px;">
                        <img src="{{ asset('imagens/logos/'.$empresa->logoEmpresa) }}" height="80px" />
                    </td>
                    <td>
                        {{ $empresa->enderecoEmpresa }} {{ $empresa->bairroEmpresa }}<br />
                        CEP - {{ $empresa->cepEmpresa }}<br />
                        CNPJ {{ $empresa->cnpjEmpresa }}<br />
                        {{ $empresa->cidadeEmpresa }} - {{ $empresa->ufEmpresa }}<br />
                    </td>
                </tr>
            </table>
        </div>

    </div>

    <div class="row" style="margin-top: 50px">
        <div class="col-md-12 text-center">
            <b><u>TERMO DE COMPROMISSO</u></b>
        </div>
    </div>

    <div class="row" style="margin-top: 50px">
        <div class="col-md-12">
            <p>EU {{ $aluno->nomeAluno }}, PORTADOR(A) DA IDENTIDADE No: {{ $aluno->rgAluno }} E CPF No {{ $aluno->cpfAluno }}.</p>
            <p>COMPROMETO-ME REALIZAR O PROJETO PRÁTICO DE CONCLUSÃO DE CURSO E PRESTAR UMA
                CONSULTORIA, EM VEZ DE ENTREGAR UMA MONOGRAFIA, DE ACORDO COM A ÁREA DE MINHA
                FORMAÇÃO, ÀS EMPRESAS CONVENIADAS À ESTRATEGO OU EM QUALQUER OUTRA EMPRESA INDICADA
                PELA MESMA, ASSIM COMO ENTREGAR MEU PROJETO PARA QUE SEJA AVALIADO E VALIDADO E, DESTA
                FORMA, POSSA CONCLUIR O CURSO EM QUE ESTOU DEVIDAMENTE MATRICULADO, CONFORME
                REQUERIMENTO DE MATRÍCULA. CASO CONTRÁRIO, DEVO SOLICITAR A MUDANÇA DE MODALIDADE DE
                PROJETO DE CONCLUSÃO DE CURSO DE PÓS-GRADUAÇÃO PARA MONOGRAFIA JUNTO À ESTRATEGO E
                ARCAR COM OS VALORES DECORRENTES DESTA MODALIDADE DE PROJETO DE CONCLUSÃO DE CURSO.</p>
        </div>
    </div>

    <div class="row" style="margin-top: 50px">
            <div class="col-md-12 text-right">
                Belém-PA, {{ $dataMatricula }}
            </div>
        </div>
        <br /><br /><br />
        <div class="row">
            <div class="col-md-12 text-center">
                ______________________________<br />
                {{ $aluno->nomeAluno }}

            </div>
        </div>
</div><!--.container-->
@endif



<script type="text/javascript">
        window.print();
    </script>

</body>
</html>
