<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>@yield('title_prefix', config('adminlte.title_prefix', ''))
    @yield('title', config('adminlte.title', 'AdminLTE 2'))
    @yield('title_postfix', config('adminlte.title_postfix', ''))</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!-- Bootstrap 3.3.7 -->
    <link rel="stylesheet" href="{{ asset('vendor/adminlte/vendor/bootstrap/dist/css/bootstrap.min.css') }}">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="{{ asset('vendor/adminlte/vendor/font-awesome/css/font-awesome.min.css') }}">
    <!-- Ionicons -->
    <link rel="stylesheet" href="{{ asset('vendor/adminlte/vendor/Ionicons/css/ionicons.min.css') }}">

    @if(config('adminlte.plugins.select2'))
        <!-- Select2 -->
        <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.css">
    @endif

    <!-- Theme style -->
    <link rel="stylesheet" href="{{ asset('vendor/adminlte/dist/css/AdminLTE.min.css') }}">

    @if(config('adminlte.plugins.datatables'))
        <!-- DataTables -->
        <link rel="stylesheet" href="//cdn.datatables.net/1.10.15/css/jquery.dataTables.min.css">
    @endif

    @yield('adminlte_css')

    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->

    <!-- Google Font -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
    <style type="text/css">
        .quebrapagina {
           page-break-before: always;
        }
    </style>
</head>
<body class="hold-transition @yield('body_class')">

@yield('body')

<div class="container">
    <div class="row">
        <div class="col-md-12 text-center">
            <h3>CONTRATO DE PRESTAÇÃO DE SERVIÇOS EDUCACIONAIS</h3>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12 text-right">
            <small>Contrato No.: {{ $matricula->codMatricula }}</small>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12 corpoContrato">
            <p><b>A) CONTRATANTE: {{ $aluno->nomeAluno }}</b></p>
            <p>Aluno (a) identificado (a) no REQUERIMENTO DE MATRÍCULA fornecido pela CONTRATADA, cujo documento integra o presente contrato.</p>
            {{-- Alteração solicitada pelo prof. Thiago  13/01/2020--}}
            @switch($empresa->id)

            {{-- Estratego Treinamentos Gerenciais  --}}
                @case(5)
                    <p><b>B) CONTRATADAS:</b></p>
                    <p><b>{{ $empresa->razaoSocial }}</b> , com sede na {{ $empresa->enderecoEmpresa }} - bairro {{ $empresa->bairroEmpresa }} -
                        CEP - {{ $empresa->cepEmpresa }} - cidade {{ $empresa->cidadeEmpresa }} - estado do {{ $empresa->ufEmpresa }}, inscrita no CNPJ n.o {{ $empresa->cnpjEmpresa }} e
                        ESTRATEGO SISTEMA EDUCACIONAL LTDA , com sede na TRAVESSA FRANCISCO CALDEIRA CASTELO BRANCO, 834 -bairro SAO BRAS - CEP - 66.063-223 -
                        cidade BELEM - estado do PA, inscrita no CNPJ n.o 22.528.231/0001-05.

                    </p>
                @break


                {{-- Instituto Carreira --}}
                @case(6)
                    <p><b>B) CONTRATADAS:</b></p>
                    <p><b>{{ $empresa->nomeFantasia }}</b> , com sede na {{ $empresa->enderecoEmpresa }} - bairro {{ $empresa->bairroEmpresa }} -
                        CEP - {{ $empresa->cepEmpresa }} - cidade {{ $empresa->cidadeEmpresa }} - estado do {{ $empresa->ufEmpresa }}, inscrita no CNPJ n.o {{ $empresa->cnpjEmpresa }} e
                        ESTRATEGO SISTEMA EDUCACIONAL LTDA , com sede na TRAVESSA FRANCISCO CALDEIRA CASTELO BRANCO, 834 -bairro SAO BRAS - CEP - 66.063-223 -
                        cidade BELEM - estado do PA, inscrita no CNPJ n.o 22.528.231/0001-05.
                    </p>
                @break
                {{-- Inex --}}
                @case(15)
                @case(9)
                    <p><b>B) CONTRATADAS:</b></p>
                    <p><b>{{ $empresa->nomeFantasia }}</b> , com sede na AV. MAG. BARATA, 651 ED. BELÉM OFFICER CENTER, SAL 18 - bairro SÃO BRAS - CEP - 66.060-281 - cidade Belém - estado do PA, inscrita no
                        CNPJ n.o 07.766.613/0001-83, Instituto Carreira , com sede na RODOVIA BR 316 KM 07 , 570 - bairro CENTRO - CEP - 67.043-970 - cidade ANANINDEUA - estado do PA, inscrita no CNPJ
                        n.o 11.483.301/0001-30 e ESTRATEGO SISTEMA EDUCACIONAL LTDA , com sede na TRAVESSA FRANCISCO CALDEIRA CASTELO BRANCO, 834 -bairro SAO BRAS - CEP - 66.063-223 -
                        cidade BELEM - estado do PA, inscrita no CNPJ n.o 22.528.231/0001-05.

                    </p>
                @break
                {{-- INEX TREINAMENTOS  - SÃO LUÍS  --}}
                @case(12)
                    <p><b>B) CONTRATADAS:</b></p>
                    <p><b>Estratego Sistema Educacional Ltda.</b> , mantedora da FACULDADE ESTRATEGO, inscrita no CNPJ 22.528.231/0001-05, com sede na Travessa Francisco Caldeira Castelo Branco - nº 834,
                    CEP - 66.063-223, bairro São Brás, Pará e <b> INEX TREINAMENTOS ASSOCIADOS LTDA - SÃO LUÍS </b>, pessoa jurídica de direito privado, inscrita no CNPJ 34.789.265/0001-32, com sede na
                    Rua Itaquice 36 quadra 01 lote 36 - bairro Calhau - CEP 65071400 - cidade São Luís - estado do MA.

                    </p>
                @break

                {{-- Estratego EAD Pronapós --}}
                @case(17)
                    <p><b>B) CONTRATADAS:</b></p>
                    <p><b>Faculdade Estratego</b>, inscrita no CNPJ 22.528.231/0001-05, com sede na Travessa Francisco Caldeira Castelo Branco - nº 834, CEP - 66.063-223, bairro São Brás, Belém, Pará, <b>Inex</b> ,
                    com sede na AV MAG. BARATA, 651 ED. BELEM OFFICE CENTER, SAL 18 - bairro SAO BRAS -CEP - 66.060-281 - cidade BELEM - estado do PA, inscrita no CNPJ n.o 07.766.613/0001-83, e a
                    <b>Universidade Brasil</b>, inscrita no CNPJ: 09.099.207/0001-30, com sede na Rua Carolina Fonseca Nº 584 CEP: 08230-030, bairro: Itaquera, São Paulo – SP.

                    </p>
                @break


                @default
                <p><b>B) CONTRATADAS:</b></p>
                <p>INEX TREINAMENTOS ASSOCIADOS LTDA - SÃO LUÍS , pessoa jurídica de direito privado, inscrita no CNPJ 34.789.265/0001-32, com sede na rua Albuquerque Maranhão, n°25, Edifício Empresarial Pátio jardins, - Calhau - São Luís/MA, sala 220, CEP: 65.074220</p>
            @endswitch

            <p>CONTRATANTE, qualificada(a) no REQUERIMENTO DE MATRÍCULA, e CONTRATADA, qualificadas no preâmbulo B, têm entre si firmado o presente contrato de prestação de serviços educacionais, com as cláusulas e condições que se seguem:</p>

            <br />

        <p>CLÁUSULA 1ª- O objeto deste contrato é a prestação de serviços educacionais pela CONTRATADA ao CONTRATANTE, especificado em formulário próprio denominado REQUERIMENTO DE MATRÍCULA que integra o presente contrato, com identificação do curso e investimento.</p>

        <p>CLÁUSULA 2ª- O aluno(a) estará sujeito ao disposto no regimento e normas da CONTRATADA, legislação de ensino, regulamento e manual do aluno, cujas determinações integram o presente instrumento contratual para aplicação e disponíveis para consulta na Coordenação Acadêmica da CONTRATADA.</p>
        <p>Parágrafo 1º- As informações consignadas e as vias dos documentos do(a) aluno(a), constantes e na forma do REQUERIMENTO DE MATRÍCULA,  deverão ser enviados de forma digitalizada, com observância das disposições do decreto n° 10.278 de 2020, especialmente o formato PDF/A, sendo de inteira e exclusiva responsabilidade do(a) CONTRATANTE, bem como a atualização de dados pessoais, de novos documentos, endereços para correspondências escolares e de instituições financeiras.</p>
        <p>Parágrafo 2º- As partes acordam que a plataforma, na qual recebe os documentos no portal do aluno, será considerada como meio de comprovação de autoria e da integralidade dos documentos recebidos, conforme dispõe o Art. 6° do Decreto n°10.278.</p>
        <p>Parágrafo 3º- Enquanto o CONTRATANTE não realizar a entrega integral dos documentos constantes e na forma no REQUERIMENTO DE MATRÍCULA, será considerado aluno de curso de extensão, ensejando, apenas, o direito de recebimento do certificado de extensão universitária.</p>
        <p>Parágrafo 4º- Os alunos matriculados que obtiveram Diploma de Graduação expedido no exterior e não foram revalidados no Brasil, terão, caso não haja nenhuma pendência, conferido o Certificado de especialização para fins exclusivamente acadêmicos, o que não enseja, em hipótese alguma a revalidação do diploma de graduação.</p>

        <p>CLÁUSULA 3ª - Fica ciente o CONTRATANTE que o prazo estipulado para a sua rematrícula trimestral é peremptório, devendo o mesmo manter a sua qualidade para habilitação do seu direito, conforme estipulado neste contrato.</p>

        <p><b>CLAÚSULA 4a</b>- A CONTRATADA oferecerá ao(à) CONTRATANTE o curso especificado no REQUERIMENTO DE MATRÍCULA, respeitando o projeto pedagógico e de conformidade com a legislação pertinente.</p>
        <p><b>Parágrafo 1o</b>- As aulas serão ministradas e/ou disponibilizadas nas datas, horários e pelo tempo que a CONTRATADA indicar, tendo em vista a natureza do conteúdo e da técnica pedagógica necessária, bem como em ambientes virtuais de ensino que se fizerem necessários.</p>
        <p>Parágrafo 2º- O material didático utilizado no curso será disponibilizado ou indicado, conforme a liberação do curso ou da disciplina por parte da CONTRATADA, apenas em forma digital, no site da CONTRATADA ou em outro local que for indicado,</p>
        <p>Parágrafo 3º- O material didático estará disponível gratuitamente para leitura dentro da plataforma, caso o aluno queira efetuar o download do material, ele estará sujeito ao pagamento de taxa conforme discriminado em sua área do aluno.</p>
        <p>Parágrafo 4º- A fixação de carga horária, indicação do corpo docente, a marcação de datas, atividades ou avaliações e suas aplicações serão de responsabilidade da CONTRATADA.</p>
        <p>Parágrafo 5º- A comunicação da CONTRATADA com o CONTRATANTE, no que diz respeito ao repasse de informações pedagógicas, dia das aulas, alterações de datas e outras informações institucionais, ocorrerá exclusivamente por meio de avisos na área eletrônica do aluno no portal acadêmico;</p>

        <p>CLÁUSULA 5ª- O aluno fará jus, de forma gratuita, ao certificado de conclusão de pós graduação ou, se for o caso, de extensão universitária, acompanhado do histórico acadêmico final disponibilizado na sua área do aluno, em formato digital, quando cumprir todos os requisitos dispostos nas normas da CONTRATADA e deste contrato.</p>
        <p>Parágrafo 1º- Caso o Aluno opte por receber o certificado de forma física, este arcará com os custos de impressão e translado do mesmo.</p>
        <p>Parágrafo 2º- O Certificado de Conclusão será disponibilizado no prazo indicado nas normas da IES, em especial do Manual do Aluno, a antecipação deste prazo dependerá do pagamento de taxa administrativa.</p>

        <p>CLÁUSULA 6ª- Não estão incluídos no valor deste CONTRATO DE PRESTAÇÃO DE SERVIÇOS EDUCACIONAIS os serviços de, <b>mais não se limitando:</b></p>
                <br>
        <p>a) Reposição</p>
        <p>b) Emissão de 2a via de Certificado de Conclusão de Curso;</p>
        <p>c) Revisão de prova;</p>
        <p>d) Avaliação substituta;</p>
        <p>e) Cancelamento da matrícula do curso;</p>
        <p>f) Emissão de declaração de matrícula;</p>
        <p>g) Emissão de histórico escolar;</p>
        <p>h) Declaração de conclusão;</p>
        <p>i) Custos de Correios, para envio de quaisquer documentações;</p>
        <p>j) Avaliações fora de período estipulado pela CONTRATADA;</p>
        <p>k) Emissão de demais declarações em geral;</p>
        <p>l) Antecipação de módulos, avaliações, documentos;</p>
        <p>m) Prorrogação de módulos, avaliações e do termo final do curso;</p>
        <p>n) dentre outros.</p>
                <br>
        <p><b>Parágrafo 1o</b>- As taxas cobradas por cada serviço estarão disponibilizadas no EDUCAPLAY, dentro da área do aluno.</p>
        <p>Parágrafo 2º- Os serviços especiais indicados nesta cláusula ou quaisquer outros, se necessários, serão prestados ao(à) CONTRATANTE na forma de ajuste à parte, obedecendo o regimento vigente e a metodologia adotada pela CONTRATADA.</p>
        <p>Parágrafo 3º- Fica a critério da CONTRATADA a definição dos valores das taxas, bem como do seu reajuste.</p>
        <p>Parágrafo 4º- Não haverá, em qualquer hipótese, devolução dos valores pagos referentes às taxas.</p>

        <p>CLÁUSULA 7ª- O ALUNO compromete-se a comunicar, por meio de requerimento junto ao Site, qualquer mudança de endereço, nome, dados do cartão de crédito (quando utilizado como meio de pagamento) caso em que, em não o fazendo, serão consideradas válidas as comunicações enviadas nos termos do presente contrato.</p>
        <p>Parágrafo Único- A CONTRATADA não se responsabilizará por eventual expedição, envio eletrônico ou registro de documentos, certificados ou diplomas que contenham informações não
            condizentes com aquelas informadas no cadastramento obrigatório.</p>

        <p>CLÁUSULA 8ª- É de inteira responsabilidade do(a) CONTRATANTE realizar disciplinas/atividades de seu curso, conforme calendário fornecido pela CONTRATADA.</p>
        <p><b>Parágrafo 1o</b>- Caso o aluno opte por um prazo diferenciado, terá que pagar a respectiva taxa aludida no EDUCAPLAY.</p>

        <p>CLÁUSULA 9ª- A aprovação do CONTRATANTE exige uma frequência mínima de 75% (setenta e cinco por cento) ao longo do curso e um aproveitamento de 70% (setenta por cento) nas avaliações, para os cursos de Pós-graduação.</p>

        <p>CLÁUSULA 10ª- O (a) CONTRATANTE se obriga a efetuar o pagamento do investimento do curso, conforme estabelecido no REQUERIMENTO DE MATRÍCULA.</p>
        <p>Parágrafo 1º- Será  facultada à CONTRATADA a interrupção do acesso do CONTRATANTE ao sistema da IES bem como o encerramento do vínculo contratual, quando o pagamento não for liquidado no período concedido.</p>
        <p>Parágrafo 2º- Em caso de pagamento com cheque, o mesmo será recebido em caráter ''pro solvendo'' somente ficando quitado o compromisso, após o pagamento pelo banco.</p>
        <p>Parágrafo 3º- No caso de falta de pagamento de parcela no vencimento, sobre o valor em atraso, incidirá multa de 2% e juros compensatórios de 1% (um por cento) ao mês, tudo sem prejuízo dos honorários advocatícios, quando a cobrança se proceder por via judicial.</p>

        <p>CLÁUSULA 11ª- Fica registrado a parceria entre a Estratego Sistema Educacional Ltda, Faculdade Estratego, inscrita no CNPJ 22.528.231/0001-05, com sede na Travessa Francisco Caldeira Castelo Branco - nº 834, CEP - 66.063-223, bairro São Brás, Belém, Pará e a INEX TREINAMENTOS ASSOCIADOS LTDA - SÃO LUÍS , pessoa jurídica de direito privado, inscrita no CNPJ 34.789.265/0001-32, com sede na rua Albuquerque Maranhão, n°25, Edifício Empresarial Pátio jardins, - Calhau - São Luís/MA, sala 220, CEP: 65.074220</p>
        <p>Parágrafo Único- A gestão comercial  ficará ao encargo da Inex Treinamentos Associados LTDA.  A gestão acadêmico-pedagógica da oferta do curso ficará ao encargo exclusivo da Faculdade Estratego, conforme informado no REQUERIMENTO DE MATRÍCULA.</p>

        <p>CLÁUSULA 12ª- Este contrato terminará em pleno direito, ao final do respectivo curso, com o período de realização a ser determinado pela CONTRATADA, conforme informado no REQUERIMENTO DE MATRÍCULA.</p>
        <p>Parágrafo 1º- O CONTRATANTE deverá comunicar formalmente à CONTRATADA a DESISTÊNCIA do curso em que está regularmente matriculado, através de requerimento de cancelamento do curso.</p>
        <p>Parágrafo 2º- O ALUNO declara ter ciência de que não existe trancamento de matrícula em programa de pós-graduação, sendo o cancelamento a única forma de interrupção do presente contrato.</p>
        <p>Parágrafo 3º- O ALUNO que não acessar o ambiente virtual por 30 (trinta) dias consecutivos, será considerado desistente e terá a sua matrícula automaticamente cancelada, e caso queira reativá-la deverá efetuar o pagamento da taxa de reativação.</p>

        <p>CLÁUSULA 13ª-  O aluno poderá prorrogar o término do curso até o limite de 02 (dois) anos, contados do termo final do curso estipulado no requerimento de matrícula, mediante pagamento da taxa respectiva.</p>
        <p>Parágrafo único- Considera-se-a jubilado o aluno que não concluir seu curso no prazo de dois anos, contados a partir da data de encerramento do curso indicado no requerimento de matrícula.</p>

        <p>CLÁUSULA 14ª- A CONTRATADA não aceitará em sua política institucional o crédito de disciplinas.</p>

        <p>CLÁUSULA 15ª- O (a) CONTRATANTE, ao dar o aceite ao final do processo de matrícula online no site da CONTRATADA, estará ciente e de acordo com todas as disposições deste contrato ou em caso de contrato feito presencial, através das respectivas assinaturas.</p>
        <p>Parágrafo 1º- Este contrato constitui título executivo extrajudicial.</p>
        <p>Parágrafo 2º- À CONTRATADA é reservada o direito de, quando necessário, trocar professores, datas e horários.</p>
        <p>Parágrafo 3º- Caso o aluno ou CONTRATANTE se comporte de forma inconveniente, a CONTRATADA poderá rescindir este acordo, na forma do Art. 607, do Código Civil Brasileiro e do Regimento Institucional.</p>

        <p>CLÁUSULA 16ª- Todos os materiais, vídeos, conteúdos, avaliações contidas no Site da CONTRATADA para realização do curso, são de propriedade exclusiva da CONTRATADA, protegidos por leis sobre propriedade intelectual, sendo vedada toda e qualquer forma, total ou parcial, de reprodução, transmissão, divulgação, armazenamento e exibição, exceto a doméstica ou particular e para uso exclusivo do ALUNO nos termos deste Contrato.</p>

        <p>CLÁUSULA 17ª- Fica eleito o foro de domicílio do Contratante, para dirimir quaisquer dúvidas que se originarem da execução deste instrumento e que não puderem ser solucionados administrativamente entre as partes.</p>

        </div><!--corpoContrato-->
        <br /><br />
        <div class="row">
            <div class="col-md-12 text-right">
                São Luis/MA, {{ $dataMatricula }}
            </div>
        </div>
        <br /><br /><br />

    </div>
</div><!--container-->
<div class="quebrapagina"></div>

<div class="container" style="margin-top: 500px">
    <div class="row">
        <div class="col-md-12 text-center">
            <h3>REQUERIMENTO DE MATRÍCULA</h3>
        </div>
        <div class="col-md-12 text-right">
            <small>Contrato No.:{{ $matricula->codMatricula }}</small>
        </div>
        <div class="row">
            <div class="col-md-12">
                <h4>1. IDENTIFICAÇÃO DO CURSO</h4>
                <p>CURSO: {{ $curso->siglaCurso }} {{ $turma->nomeTurma }} - {{ $curso->nomeCurso }} </p>
                <!--<p>CATEGORIA: Pós-graduação/ Extensão PERÍODO: 18/01/2018 a 01/02/2020 LOCAL: Belém-PA</p>-->
                <p>INSTITUIÇÃO @if($empresa->id != 7) PARCEIRA @endif: {{ str_replace('Belém', '',$empresa2->nomeFantasia)  }}</p>

                <h4>2. CONTRATANTE/ALUNO</h4>
                <h4>2.1 DADOS PESSOAIS:</h4>
                <p>NOME: {{ $aluno->nomeAluno }}</p>
                <p>CPF: {{ $aluno->cpfAluno }} IDENTIDADE: {{ $aluno->rgAluno }}</p>
                <p>DATA DE EMISSÃO: {{ implode("/", array_reverse(explode("-", $aluno->dataExpedicaoRG))) }}</p>
                <p>SEXO: @if($aluno->sexoAluno == 'M') Masculino @endif @if($aluno->sexoAluno == 'F') Feminino @endif DATA NASC: {{ implode("/", array_reverse(explode("-", $aluno->dataNascimento))) }}
                    ESTADO CIVIL:
                    @if($aluno->estadoCivil == 1)
                        Solteiro
                    @endif
                    @if($aluno->estadoCivil == 2)
                        Casado(a)
                    @endif
                    @if($aluno->estadoCivil == 3)
                        Separado(a)
                    @endif
                    @if($aluno->estadoCivil == 4)
                        Divorciado(a)
                    @endif
                    @if($aluno->estadoCivil == 5)
                        União Estável
                    @endif
                    @if($aluno->estadoCivil == 6)
                        Viúvo(a)
                    @endif
                </p>
                <p>NATURALIDADE: {{ $aluno->localNascimento }}</p>
                <!--<p>NOME DA MÃE: Leny Gurjão Vieira NOME DO PAI: Marcos Aurelio Sant Anna Lima</p>-->

                <h4>2.2 ENDEREÇO RESIDENCIAL/CONTATOS:</h4>
                <p>ENDEREÇO: {{ $aluno->enderecoAluno }}</p>
                <p>BAIRRO: {{ $aluno->bairroAluno }} CEP: {{ $aluno->cepAluno }} CIDADE: {{ $aluno->cidadeAluno }} ESTADO: {{ $aluno->ufAluno }}</p>
                <p>TEL1(RESID): {{ $aluno->foneFixo }} TEL2: CELULAR: {{ $aluno->foneCelular }} EMAIL: {{ $aluno->emailAluno }}</p>

                <h4>2.3 DADOS PROFISSIONAIS:</h4>
                <p>PROFISSÃO: {{ $aluno->profissaoAluno }}</p>

                <h4>3. DADOS FINANCEIROS</h4>
                <h4>3.1 RESPONSÁVEL FINANCEIRO:</h4>
                @if(count($respFinanceiro) > 0)
                    <p>NOME: {{ $respFinanceiro[0]->nomeResponsavel }} CPF: {{ $respFinanceiro[0]->cpfResponsavel }}</p>
                    <p>ENDEREÇO: {{ $respFinanceiro[0]->enderecoResponsavel }}</p>
                    <p>BAIRRO: {{ $respFinanceiro[0]->bairroResponsavel }} CEP: {{ $respFinanceiro[0]->cepResponsavel }} CIDADE: {{ $respFinanceiro[0]->cidadeResponsavel }} ESTADO: {{ $respFinanceiro[0]->ufResponsavel }}</p>
                    <p>TEL1(RESID): {{ $respFinanceiro[0]->foneResp }} TEL2/CELULAR: {{ $respFinanceiro[0]->celularResp }} EMAIL: {{ $respFinanceiro[0]->emailResp }}</p>
                @else
                    <p>NOME: {{ $aluno->nomeAluno }} CPF: {{ $aluno->cpfAluno }} </p>
                    <p>ENDEREÇO:{{ $aluno->enderecoAluno }} </p>
                    <p>BAIRRO: {{ $aluno->bairroAluno }} CEP: {{ $aluno->cepAluno }} CIDADE: {{ $aluno->cidadeAluno }} ESTADO: {{ $aluno->ufAluno }}</p>
                    <p>TEL1(RESID): {{ $aluno->foneFixo }} TEL2/CELULAR: {{ $aluno->foneCelular }} </p>
                    <p>EMAIL: {{ $aluno->emailAluno }}</p>
                @endif
                <h4>3.2 INVESTIMENTO</h4>
                <p>3.2.1 VALOR DO CURSO: VALOR TOTAL: R$ {{ number_format(($matricula->valorCurso), 2, ',', '.') }} VALOR DO CURSO COM DESCONTO: R$ {{ number_format($matricula->valorCurso - ($matricula->valorDesconto*$matricula->qtdeParcela), 2,',','.') }}</p>

                <h4>3.2.2 CONDIÇÕES DE PAGAMENTO:</h4>
                <p>
                    No PARCELAS: {{ $matricula->qtdeParcela }}
                    VALOR PARCELA: R$ {{ number_format(($matricula->valorCurso / $matricula->qtdeParcela), 2, ',','.') }}
                    DESCONTO PARCELA: R$ {{ number_format($matricula->valorDesconto, 2, ',','.') }}
                    VALOR PARCELA C/ DESC PONTUALIDADE: R$ {{ number_format((($matricula->valorCurso / $matricula->qtdeParcela) - $matricula->valorDesconto), 2, ',','.') }}
                </p>

                <h4>3.2.3 VENCIMENTO:</h4>
                <p>
                    @if($matricula->qtdeParcela > 0)
                        @forelse($faturas as $key => $ln)
                            {{ $key+1 }}ª. {{ implode("/", array_reverse(explode("-", $ln->dataVcto))) }} (R$ {{ number_format($ln->valorFatura, 2, ',','.') }})
                        @empty
                        @endforelse
                    @endif
                </p>
                <p>3.2.4 MATRÍCULA:VALOR MATRÍCULA: R$ {{ number_format($matricula->valorMatricula, 2,',','.') }}</p>

                <h4>4. CONFIRMAÇÃO DE MATRÍCULA</h4>
                <p>4.1. DOCUMENTOS NECESSÁRIOS:</p>
                <p>IDENTIDADE/RG, CPF, COMPROVANTE DE RESIDÊNCIA ATUAL, DIPLOMA DE GRADUAÇÃO, TODOS  DIGITALIZADOS DO ORIGINAL OU DA CÓPIA AUTENTICADA.</p>
                <p><o>PRAZO MÁXIMO: 60(SESSENTA) DIAS APÓS DATA DE INSCRIÇÃO.</p>
                <p>&middot; LOCAL PARA ENVIO: PORTAL DO ALUNO</p>

                <p>&middot; O PRESENTE REQUERIMENTO SOMENTE SERÁ VALIDADO SE O ITEM 04 FOR OBSERVADO.</p>

            </div>
        </div>
        <div class="row">
            <div class="col-md-12 text-right">
                Belém/Pa, {{ $dataMatricula }}
            </div>
        </div>
        <br /><br /><br />

    </div>


</div><!--container-->
@if($empresa->id == 5)
<!--
<div class="quebrapagina"></div>

<div class="container">
    <div class="row">
        <div class="col-md-12">
            <table>
                <tr>
                    <td style="width: 200px;">
                        <img src="{{ asset('imagens/logos/'.$empresa->logoEmpresa) }}" height="80px" />
                    </td>
                    <td>
                        {{ $empresa->enderecoEmpresa }} {{ $empresa->bairroEmpresa }}<br />
                        CEP - {{ $empresa->cepEmpresa }}<br />
                        CNPJ {{ $empresa->cnpjEmpresa }}<br />
                        {{ $empresa->cidadeEmpresa }} - {{ $empresa->ufEmpresa }}<br />
                    </td>
                </tr>
            </table>
        </div>

    </div>

    <div class="row" style="margin-top: 50px">
        <div class="col-md-12 text-center">
            <b><u>TERMO DE COMPROMISSO</u></b>
        </div>
    </div>

    <div class="row" style="margin-top: 50px">
        <div class="col-md-12">
            <p>EU {{ $aluno->nomeAluno }}, PORTADOR(A) DA IDENTIDADE No: {{ $aluno->rgAluno }} E CPF No {{ $aluno->cpfAluno }}.</p>
            <p>COMPROMETO-ME REALIZAR O PROJETO PRÁTICO DE CONCLUSÃO DE CURSO E PRESTAR UMA
                CONSULTORIA, EM VEZ DE ENTREGAR UMA MONOGRAFIA, DE ACORDO COM A ÁREA DE MINHA
                FORMAÇÃO, ÀS EMPRESAS CONVENIADAS À ESTRATEGO OU EM QUALQUER OUTRA EMPRESA INDICADA
                PELA MESMA, ASSIM COMO ENTREGAR MEU PROJETO PARA QUE SEJA AVALIADO E VALIDADO E, DESTA
                FORMA, POSSA CONCLUIR O CURSO EM QUE ESTOU DEVIDAMENTE MATRICULADO, CONFORME
                REQUERIMENTO DE MATRÍCULA. CASO CONTRÁRIO, DEVO SOLICITAR A MUDANÇA DE MODALIDADE DE
                PROJETO DE CONCLUSÃO DE CURSO DE PÓS-GRADUAÇÃO PARA MONOGRAFIA JUNTO À ESTRATEGO E
                ARCAR COM OS VALORES DECORRENTES DESTA MODALIDADE DE PROJETO DE CONCLUSÃO DE CURSO.</p>
        </div>
    </div>

    <div class="row" style="margin-top: 50px">
            <div class="col-md-12 text-right">
                Belém-PA, {{ $dataMatricula }}
            </div>
        </div>
        <br /><br /><br />
        <div class="row">
            <div class="col-md-12 text-center">
                ______________________________<br />
                {{ $aluno->nomeAluno }}

            </div>
        </div>
</div><!--.container-->
@endif

<script type="text/javascript">
    window.print();
</script>
</body>
</html>
