<meta name="csrf-token" content="{{ csrf_token() }}">

@extends('layouts.viewMoodle')

@section('title', 'Central de Atendimento')
@section('breadcrumbs')
<div id="breadcrumbs-wrapper">
    <div class="container">
        <div class="row">
            <div class="col s12 m12 l12">
                <h5 class="breadcrumbs-title">Central de Atendimento</h5>
                <ol class="breadcrumbs">
                    <li><a href="{{ route('home.moodle') }}">Home</a></li>
                    <li class="active">Central de Atendimento</li>
                </ol>
            </div>
        </div>
    </div>
</div>
@stop

@section('content')



    <p>Olá, seja bem-vindo(a) a Central de Atendimento ao Discente - CAD.</p>
    <p>Em caso de dúvidas quanto a abertura ou acompanhamento do chamado - CAD na sua área do aluno, assista o tutorial clicando na barra a seguir.</p>
    <ul class="collapsible">
        <li>
        <div class="collapsible-header">Tutorial CAD</div>
        <div class="collapsible-body">
        <div class="video-container"> <iframe src="https://player.vimeo.com/video/703263446?h=fd5a4b1dd9&amp;badge=0&autopause=0&amp;player_id=0&app_id=58479"   width="100%" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe></div>
        </div>
        </li>
    </ul>
        <b>Recomendação:</b>

        <li><a href="{{ route('faq.pergunta') }}">Clique aqui</a> para acessar o guia de perguntas e respostas mais frequentes.</li>
        <br>
        <b>Atenção:</b>
        <li>Caso sua dúvida não seja sanada, orientamos o registro do chamado clicando em <b>Solicitar Ajuda</b> e siga as orientações abaixo para o seu chamado ser respondido e finalizado com sucesso:</li>
        <ol>
            <li> Abra um chamado por demanda;</li>
            <li> Acompanhe a resposta da sua solicitação dentro da Central de Atendimento ao Discente (CAD). Quando a resposta não for satisfatória, você poderá contra-argumentar a resposta dentro da mesma solicitação;</li>
            <li> O prazo de resposta para os chamados referente aos assuntos financeiros é de até 1 (um) dia útil e os demais assuntos de até 2 (dois) dias úteis;</li>
            <li> Pedimos que ao finalizar o chamado, realize a avaliação do atendimento. Sua avaliação é de extrema importância para nosso crescimento.</li>
        </ol>

        <p style="margin: 0px !important;"><b>Observação:</b> Após 30 (trinta) dias de inatividade do chamado, o sistema realizará a sua finalização impedindo a contra-argumentação. Neste caso, você deverá registrar um novo chamado.</p>
        <p style="margin: 0px !important;">Estamos à disposição para esclarecer suas dúvidas.</p>
        <p style="margin: 0px !important;">Bons estudos e conte conosco sempre!</p>

    <hr>


@include('includes.alerts')

<br /><br />
    <div class="center">
        <a class="waves-effect waves-light btn orange dark-2 modal-trigger" href="#solicitacao" >
              Solicitar ajuda
        </a>
    </div>

<br /><br />
<div class="table-responsive">
    <table class="striped">
        <thead>
            <tr>

                <th>Código</th>
                <th>Solicitação</th>
                <th>Data Solicitação</th>
                <th>Status Processo</th>
                <th></th>
            </tr>
        </thead>

        @forelse ($chamados as $cham)
            <tr>

                <td>{{ $cham->codigoChamado }}</td>
                <td>{{ $cham->tituloAssunto }}</td>
                <td>{{ date('d/m/Y', strtotime($cham->created_at)) }}</td>
                <td>
                    @if ($cham->statusChamado == 0)
                        <span class="label label-warning">Aguardando atendimento</span>
                    @endif
                    @if ($cham->statusChamado == 1)
                        <span class="label label-success">Em análise</span>
                    @endif
                    @if ($cham->statusChamado == 2)
                        <span class="label label-danger">Aguardando seu retorno</span>
                    @endif
                    @if ($cham->statusChamado == 3)
                        <span class="label label-primary">Aguardando seu atendente</span>
                    @endif
                    @if ($cham->statusChamado == 5)
                        <span class="label label-primary">Encerrado</span>
                    @endif
                    @if ($cham->statusChamado == 6)
                        <span class="label label-primary">Encerrado pelo sistema</span>
                    @endif
                </td>
                <td>
                    <a href="{{ route('faq.chamadoshow', [$cham->id]) }}" class="btn btn-sm btn-default"><i class="fa fa-inbox"></i> Ver</a>
                </td>

            </tr>
            @empty
                <tr>
                    <td colspan="5">Você ainda não solicitou nenhum chamado até o momento.</td>
                </tr>
            @endforelse

        </table>

    <hr>

    <a href="{{ route('home.moodle') }}" class="btn btn-default btn-sm">Voltar</a>



<!-- Modal -->
<div id="solicitacao" class="modal">
    <form action="{{ route('faq.cadChamado') }}" method="POST" enctype="multipart/form-data" id="frmCadProtocolo">
        <div class="modal-content">
        {{ csrf_field() }}
            <div class="formHD">
                <h4>Solicitação de ajuda</h4>

                <div class="row">
                    <div class="col s12 input-field">
                        <select name="protocolo_assuntos_id" id="slcAssunto"  onchange="solicitacao(this.value)" required>
                            <option value="" disabled selected>Selecione</option>
                            @forelse ($assunto as $ass)
                                <option value="{{ $ass->id }}">{{ $ass->tituloAssunto }}</option>
                            @empty

                            @endforelse
                        </select>
                        <label for="slcAssunto">Assunto da solicitação*</label>
                    </div>
                </div>

                <div class="row">
                    <div class="col s12 infoProtocolo"></div>
                </div>
                <div class="row">
                    <div class="col s12 input-field">
                        <textarea name="justificativa" id="txtSolicitacao" class="materialize-textarea" required></textarea>
                        <label id="txtSolicitacao">Sua solicitação*</label>
                        <small>Atenção! A informação descrita acima, deve estar obrigatoriamente relacionada a Solicitação selecionada.</small>
                    </div>

                </div>
                <div class="row">
                    <div class="col s12 file-field input-field">
                        <div class="btn">
                            <span>Anexo</span>
                            <input type="file" name="upload"  multiple>
                        </div>
                        <div class="file-path-wrapper">
                            <input class="file-path validate" type="text" placeholder="Deseja enviar um arquivo? Clique aqui" accept="image/*,.pdf">
                        </div>
                        <small style="color: red; font-weight: 800;">Atenção! A informação descrita acima, deve estar obrigatoriamente relacionada a
                            Solicitação selecionada.</small>
                    </div>
                </div>

            <div class="row">
                <div class="col s12 returnNivel"></div>
            </div>

            </div><!--.form-HD-->

        </div><!--.modal-content-->

        <div class="modal-footer">
            <small class="msg_returnProt"></small>
            <button type="submit" class="btn btn-primary btn-registro" >Registrar</button>
            <button type="button" class="modal-close waves-effect waves-red btn-flat">Fechar</button>
        </div>

    </form>
</div>



@stop

@section('js')
<script type="text/javascript">


function desabilitaBtn(){
    $('.btn-registro').attr('disabled', 'disabled');
    $('.msg_returnProt').html('Aguarde, registrando chamado...');
    $('#frmCadProtocolo').submit();
}
</script>
@stop
