<!-- Modal -->
<div class="modal fade" id="frmFeedback" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
        <form action="{{ route('feedback.up') }}" method="post">
            {{ csrf_field() }}
            <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title" id="myModalLabel">Qual seu Nível de Satisfação?</h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-4">
                        <p><img src="https://sis.mbacorporativoacademico.com.br/imagens/logos/{{ $empresa->logoEmpresa }}" class="img-responsive"></p>
                        <p>
                            <b>Turma:</b> {{ $pesquisa->siglaCurso }} - {{ $pesquisa->nomeTurma }}<br />
                            <b>Disciplina:</b> {{ $pesquisa->nomeDisciplina }}<br />
                            <b>Professor(a):</b> {{ $pesquisa->nomeDocente }}<br />
                            <b>Período:</b> {{ date('d/m/y', strtotime($pesquisa->dataInicio)) }} à {{ date('d/m/y', strtotime($pesquisa->dataFim)) }}
                        </p>
                        

                    </div><!--.col-md-4-->
                    <div class="col-md-8">                        

                        <p>Prezado(a) aluno(a), atribua abaixo a avaliação que melhor reflete o seu nível de satisfação sobre o professor e a disciplina realizada.</p>
                        <label>Avaliação do Professor</label>
                        <table class="table table-hover table-striped table-condensed">
                            <tbody>
                                @forelse ($perguntas as $ln)
                                <tr>
                                    <td>{{ $ln->perguntaPesquisa }}</td>
                                    <td class="text-right">
                                        <select name="resposta[]" class="form-control" style="width:110px" required>
                                            <option value="" selected disabled>[Selecione]</option>
                                            <option value="{{ $ln->id }}_1" @if($ln->respostaAluno == 1) selected="selected" @endif >Péssimo</option>
                                            <option value="{{ $ln->id }}_2" @if($ln->respostaAluno == 2) selected="selected" @endif >Ruim</option>
                                            <option value="{{ $ln->id }}_3" @if($ln->respostaAluno == 3) selected="selected" @endif >Bom</option>
                                            <option value="{{ $ln->id }}_4" @if($ln->respostaAluno == 4) selected="selected" @endif >Ótimo</option>
                                            <option value="{{ $ln->id }}_5" @if($ln->respostaAluno == 5) selected="selected" @endif >Excelente</option>
                                        </select>
                                    </td>
                                </tr>    
                                @empty
                                <tr>
                                    <td>Esta pesquisa ainda não foi liberada.</td>
                                </tr>
                                @endforelse
                                
                            </tbody>
                        </table>

                        <div class="row">
                            <div class="col-md-12">
                                <label>Comentários/Sugestões sobre a instituição:</label>
                            <textarea name="obsFeed" class="form-control">{{ $pesquisa->obsFeedback }}</textarea>
                            </div>
                        </div>
                    </div><!--.col-md-8-->
                </div>
                    
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Fechar</button>
                <button type="submit" class="btn btn-primary">Enviar</button>
                <input type="hidden" name="pesquisa" value="{{ $idPesquisa }}">
            </div>
        </form>
        </div>
    </div>
</div>