<meta name="csrf-token" content="{{ csrf_token() }}">

@extends('layouts.viewMoodle')

@section('title', 'Feedbacks')

@section('breadcrumbs')
<h5 class="breadcrumbs-title">Feedback</h5>
    <ol class="breadcrumbs">
        <li><a href="{{ route('home.moodle') }}">Home</a></li>
        <li class="active">Feedback</li>
    </ol>
@stop

@section('content')

        
    @include('includes.alerts')
    
    <div class="box box-primary">

        <!-- /.box-header -->
        <div class="box-body padding">
            
            <div class="table-responsive">
                <div class="msgReturnFeedback"></div>
                <table class="striped">
                    <thead>
                        <tr>
                            <th>Disciplina</th>
                            <th>Docente</th>
                            <th>Período</th>

                            <th style="display: none">Sala</th>
                            <th>Sua Avaliação</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        @forelse ($listaModulos as $mod)
                        <tr>
                            <td>{{ $mod['disciplina'] }}</td>
                            <td>{{ $mod['docente'] }}</td>
                            <td>
                                {{ $mod['dataInicio'] }} - {{ $mod['dataFim'] }}
                            </td>
                            <td style="display: none">{{ $mod['sala'] }}</td>
                            <td>
                                @if (!$mod['avaliacao'])
                                    <span class="label label-default">Não Avaliado</span>
                                @else
                                    <span class="label label-primary">{{ number_format($mod['avaliacao'], 2, ',','.') }}%</span>    
                                @endif
                                
                            </td>
                            <td>
                                @if (!$mod['avaliacao'])
                                    <a href="javascript:void()" class="btn btn-sm btn-info" onclick="getFeedback({{ $mod['idPesquisa'] }})"><i class="fa fa-check-square-o"></i> Avaliar</a>
                                @endif
                            </td>
                        </tr>
                        @empty
                        <tr>
                            <td colspan="6">Não há módulos a serem avaliados</td>
                        </tr>
                        @endforelse
                        
                    </tbody>
                </table>

            </div><!--.table-responsive-->
            
            
        </div>
            
            
    </div><!--.box-->
    <hr>
    <div class="row">
    <div class="col s12">
        <a href="{{ route('suporte.home') }}" class="btn btn-default btn-sm">Voltar</a>
    </div>
</div>

@stop

@section('js')
<script>
function getFeedback(feed){
    $.ajax({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        type:'POST',
        data: { 'feed': feed},
        url: '{{ route("feedback.form") }}',
        beforeSend: function(){
            $('.msgReturnFeedback').html('Aguarde, carregando formulário...');
        },
        success: function(resp){            
            $('.msgReturnFeedback').html(resp);
            $('#frmFeedback').modal('show');
        },
        error: function(){
            $('.msgReturnFeedback').html('<div class="alert alert-danger">Ops! Houve um erro ao carregar o formulário de Feedback, por favor atualize sua página e tente novamente!</div>');
        }
    });
}
</script>    
@endsection