@extends('layouts.viewMoodle')

@section('title', 'Financeiro')

@section('css_custom')
    <meta name="csrf-token" content="{{ csrf_token() }}">
@stop

@section('breadcrumbs')
<div id="breadcrumbs-wrapper">
    <div class="container">
        <div class="row">
            <div class="col s12 m12 l12">
                <h5 class="breadcrumbs-title">Mensalidades</h5>
                <ol class="breadcrumbs">
                    <li><a href="{{ route('home.moodle') }}">Home</a></li>
                    <li class="active">Mensalidades</li>
                </ol>
            </div>
        </div>
    </div>
</div>
@stop

@section('content')

        @include('includes.alerts')

        @if(Request::session()->get('matricula')['inadimplente'] == 1 && Request::session()->get('matricula')['bolsa'] != 276)
            <div class="row">
                <div class="col s12">
                    <div id="card-alert" class="card red">
                        <div class="card-content white-text">
                            <h4><i class="mdi-alert-warning"></i> ATENÇÃO:</h4>
                            <h5>Prezado(a) aluno(a), <a href="{{ route('boleto.negociacao') }}" class="white-text" title="Negociar Débitos" style="text-decoration: underline"><b>clique aqui</b></a> para negociar seus débitos com a Instituição.</h5>
                        </div>
                        <button type="button" class="close white-text" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">×</span>
                        </button>
                    </div>
                </div>
            </div>
        @endif

        <div class="row">
            <div class="col s12 m12">
                    <ul id="projects-collection" class="collection">
                    <li class="collection-item avatar">
                        <i class="mdi-editor-attach-money circle light-blue"></i>
                        <span class="collection-header">Faturas</span>
                        <p>Relação de Faturas</p>
                        <a href="#" class="secondary-content"></a>
                    </li>
                    <div class="msgReturn"></div>
                    <table class="striped" id="dataTable">
                        <thead>
                            <tr>
                                <th></th>
                                <th>Vencimento</th>
                                <th>Num. Fatura</th>
                                <th>Valor</th>
                                <th>Vlr Bolsa</th>
                                <th>Vlr Desconto</th>
                                <th>Total Desc.</th>
                                <th>Total à Pagar</th>
                                <th>Parcela</th>
                                <th>Status</th>
                            </tr>
                        </thead>
                        <tbody>
                        @forelse($lista as $ln)
                            <tr class="
                                @if($ln['statusFatura'] == 1)
                                    red-text
                                @endif
                                @if($ln['statusFatura'] == 2)
                                    green-text
                                @endif
                                @if($ln['statusFatura'] == 3)
                                    orange-text
                                @endif
                                @if($ln['statusFatura'] == 4)
                                    blue-text
                                @endif
                                @if($ln['statusFatura'] == 5)
                                    deep-orange-text
                                @endif
                            ">
                                <td>
                                    @if(in_array($ln['statusFatura'], [0,1]))
                                        <a href="https://sis.estratego.site/boleto_santander/{{ base64_encode(base64_encode(base64_encode($ln['idFatura']))) }}" class="btn btn-sm btn-default" title="Gerar Boleto" target="_blank" download>Boleto</a>
                                        <!--<a href="https://sis.estratego.site/boleto/{{ base64_encode(base64_encode(base64_encode($ln['idFatura']))) }}" class="btn btn-sm btn-default" title="Gerar Boleto" target="_blank" download>Boleto</a>-->
                                    @endif
                                    {{-- ESTRATEGO --}}
                                    @if(in_array(Request::session()->get('matricula')['idEmpresa'],[7,17,6,13,9,10,12,14,15,16,17,18]) && in_array($ln['statusFatura'], [0,1]))
                                        <a href="https://back.universidade.site/pagamento/{{ base64_encode(base64_encode(base64_encode($ln['idFatura']))) }}/gntLnk" class="btn green" target="_blank">
                                            Cartão de Crédito
                                        </a>
                                    @endif
                                </td>
                                <td>{{ $ln['dataVcto'] }}</td>
                                <td>{{ $ln['codFatura'] }}</td>
                                <td>{{ $ln['valorFatura'] }}</td>
                                <td>{{ $ln['valorDesconto'] }}</td>
                                <td>{{ $ln['valorDesconto2'] }}</td>
                                <td>{{ $ln['totalDesconto'] }}</td>
                                <td>{{ $ln['totalFatura'] }}</td>
                                <td>{{ $ln['parcelas'] }}</td>
                                <td>
                                    @if($ln['statusFatura'] == 0)
                                    <span class="label label-default">Em aberto</span>
                                    @endif
                                    @if($ln['statusFatura'] == 1)
                                    <span class="label label-danger">Atrasada</span>
                                    @endif
                                    @if($ln['statusFatura'] == 2)
                                    <span class="label label-success">Paga</span>
                                    @endif
                                    @if($ln['statusFatura'] == 3)
                                    <span class="label label-warning">Negociada</span>
                                    @endif
                                    @if($ln['statusFatura'] == 4)
                                    <span class="label label-info">Isento</span>
                                    @endif
                                    @if($ln['statusFatura'] == 5)
                                    <span class="label bg-navy">Cancelada</span>
                                    @endif
                                </td>
                            </tr>
                            @empty
                            <tr>
                                <td colspan="12">Não há faturas disponíveis</td>
                            </tr>
                            @endforelse
                        </tbody>
                    </table>
                    </ul>
            </div>
        </div>
        <hr>
        <a href="{{ route('home.moodle') }}" class="btn btn-default btn-sm">Voltar</a>
@stop


@section('js')
    
@stop
