<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>@yield('title_prefix', config('adminlte.title_prefix', ''))
    @yield('title', config('adminlte.title', 'AdminLTE 2'))
    @yield('title_postfix', config('adminlte.title_postfix', ''))</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!-- Bootstrap 3.3.7 -->
    <link rel="stylesheet" href="{{ asset('vendor/adminlte/vendor/bootstrap/dist/css/bootstrap.min.css') }}">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="{{ asset('vendor/adminlte/vendor/font-awesome/css/font-awesome.min.css') }}">
    <!-- Ionicons -->
    <link rel="stylesheet" href="{{ asset('vendor/adminlte/vendor/Ionicons/css/ionicons.min.css') }}">

    @if(config('adminlte.plugins.select2'))
        <!-- Select2 -->
        <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.css">
    @endif

    <!-- Theme style -->
    <link rel="stylesheet" href="{{ asset('vendor/adminlte/dist/css/AdminLTE.min.css') }}">

    @if(config('adminlte.plugins.datatables'))
        <!-- DataTables -->
        <link rel="stylesheet" href="//cdn.datatables.net/1.10.15/css/jquery.dataTables.min.css">
    @endif

    @yield('adminlte_css')

    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->

    <!-- Google Font -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
</head>
<body class="hold-transition">

<div class="container">
    <div class="row">
        <div class="col-md-12">
            <img src="http://mbacorporativoacademico.com.br/sis/public/imagens/logos/{{ $matricula->logoEmpresa }}" style="height: 80px" />
        </div>
    </div>
    <div class="row">
        <div class="col-md-12 text-center">
            <h3>{{ $matricula->razaoSocial }}</h3>
            <p>CNPJ: {{ $matricula->cnpjEmpresa }}</p>
            <p>{{ $matricula->enderecoEmpresa }}</p>
            <p>Bairro {{ $matricula->bairroEmpresa }} CEP: {{ $matricula->cepEmpresa }}</p>
            <p>{{ $matricula->cidadeEmpresa }}-{{ $matricula->ufEmpresa }}</p>
            <hr />
        </div>
    </div>
    
    <div class="row">
        <div class="col-md-12 text-center">
            <h4>Declaração para Imposto de Renda</h4>
            <h4>ANO BASE - {{ $anoBase }}</h4>
        </div>
    </div>
    
    <div class="row">
        <div class="col-md-12">
            <br />
            <p>Declaramos para fins de Imposto de Renda que recebemos do(a) Sr.(a) {{ $matricula->nomeAluno }}, CPF nº {{ $matricula->cpfAluno }}, matrícula {{ $matricula->codMatricula }} nesta unidade de ensino no período acima informado, a quantia supra de R${{ number_format($valorPago,2,',','.') }} referente aos serviços educacionais da prestados por nossa Instituição.</p>
        </div>
    </div>
    
    
    <div class="row">
        <div class="col-md-12 text-center">
            <br /><br /><br />
            <p>{{ $matricula->cidadeEmpresa }}-{{ $matricula->ufEmpresa }}, {{ $dataEmissao }}</p>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12 text-center">
            <br /><br /><br />
            <p>Departamento Financeiro</p>
        </div>
    </div>

</div><!--container-->


<script type="text/javascript">
    window.print();
    window.close();
</script>

</body>
</html>