@extends('layouts.homehorizon', [$empresa])

@section('title', 'Home')

@section('header_app')
<!--breadcrumbs start-->
<div id="breadcrumbs-wrapper">
    <div class="container">
        <div class="row">
            <div class="col s12 m12 l12">
              <h5 class="breadcrumbs-title">Selecione a matrícula desejada</h5>
            </div>
        </div>
    </div>
</div>
<!--breadcrumbs end-->
@endsection

@section('content')
<div class="row">
    @forelse($matriculas as $mat)
        @if(in_array($mat->empresas_id, $empresa))
        <div class="col s12 m4 l4">
            <div class="card slcMatricula">
        <div class="card-image waves-effect waves-block waves-light">
          @if ($mat->cursoPromo == 1)
            <img class="_profile-user-img text-center"  src="http://sis.estratego.site/imagens/logos/inex.png" alt="Inex" style="max-width: 95%; max-height: 120px" />
          @else
            <img class="_profile-user-img text-center" src="http://sis.estratego.site/imagens/logos/{{ $mat->logoEmpresa }}" alt="{{ $mat->nomeFantasia }}" style="max-width: 95%; max-height: 120px" />
          @endif
        </div>
        <div class="card-content">
          <span class="card-title activator grey-text text-darken-4">
            {{ $mat->nomeCurso }}
          </span>
          <p></p>
        </div>
        <div class="card-footer">
          @switch($mat->empresas_id)
            {{-- Estratego Treinamentos Gerenciais  --}}
                  @case(5)
                  @case(7)
                  @case(8)
                    <li>
                      <a href="{{ env('LSAVESTRATEGO') }}slcMatriculaMoodle/{{$mat->idMatricula}}"  class="btn btn-primary btn-block grey darken-3"><b>Acessar</b></a>
                    </li>
                  @break
                  @case(6)
                  @case(13)
                    <li>
                      <a href="{{ env('LSAVCARREIRA') }}slcMatriculaMoodle/{{$mat->idMatricula}}"  class="btn btn-primary btn-block grey darken-3"><b>Acessar</b></a>
                    </li>
                  @break
                  @default
                    <li>
                      <a href="{{ env('LSAVINEX') }}slcMatriculaMoodle/{{$mat->idMatricula}}"  class="btn btn-primary btn-block grey darken-3"><b>Acessar</b></a>
                    </li>
          @endswitch
        </div>
        <div class="card-reveal" style="display: none; transform: translateY(0px);">
          <span class="card-title grey-text text-darken-4">{{ $mat->siglaCurso.' '.$mat->nomeTurma }}<i class="mdi-navigation-close right"></i></span>
          <p class="text-muted text-center">{{ $mat->nomeCurso }}</p>
              <ul class="list-group list-group-unbordered">
                <li class="list-group-item">
                  <b>Matrícula</b> <a class="pull-right">{{ $mat->codMatricula }}</a>
                </li>
                <li class="list-group-item">
                  <b>Situação</b>
                  <a class="pull-right">
                    @if($mat->statusMatricula == 0)
                        <label class="label bg-yellow">Inativa</label>
                    @endif
                    @if($mat->statusMatricula == 1)
                        <label class="label bg-blue">Ativa</label>
                    @endif
                    @if($mat->statusMatricula == 2)
                        <label class="label bg-red">Cancelada</label>
                    @endif
                  </a>
                </li>
              </ul>
          </div>
      </div>
        </div>
        @endif
    @empty
        <pre>Não há matrículas ativas</pre>
    @endforelse
</div><!--.row-->
@stop
