<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>SAV</title>

    @yield('code_header')

    <!--Import Google Icon Font-->
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link type="text/css" rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.98.0/css/materialize.min.css" />

    <link rel="stylesheet" href="{{ asset('/css/aluno/estilos.css') }}" />

    <!--sweet alert -->
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>

    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-9375760-76"></script>
    <!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-185462610-2"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-185462610-2');
</script>


    <!-- Google Tag Manager -->
    <script>
        (function(w, d, s, l, i) {
            w[l] = w[l] || [];
            w[l].push({
                'gtm.start': new Date().getTime()
                , event: 'gtm.js'
            });
            var f = d.getElementsByTagName(s)[0]
                , j = d.createElement(s)
                , dl = l != 'dataLayer' ? '&l=' + l : '';
            j.async = true;
            j.src =
                'https://www.googletagmanager.com/gtm.js?id=' + i + dl;
            f.parentNode.insertBefore(j, f);
        })(window, document, 'script', 'dataLayer', 'GTM-NHTSVLS');

    </script>
    <!-- End Google Tag Manager -->
    <script src="{{ asset('/js/jquery-2.1.1.min.js') }}"></script>
</head>
<body>
    <!-- Google Tag Manager (noscript) -->
    <noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NHTSVLS" height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
    <!-- End Google Tag Manager (noscript) -->

    <header>
        <nav class="grey lighten-5 topBar">
            <div class="nav-wrapper">
                <a href="#" class="brand-logo">
                    <img src="{{ asset('img/logo-sistema-sav.png') }}" alt="">
                </a>
                <a href="#" data-activates="mobile-menu" class="button-collapse"><i class="material-icons">menu</i></a>
                <ul class="right hide-on-med-and-down">
                    <li><a href="{{ route('aluno.home') }}" class="btn btnTop waves-effect waves-light">Página Inicial</a></li>
                    <li><a href="{{ route('home.moodle') }}" class="btn btnTop waves-effect waves-light">Portal do Aluno</a></li>
                </ul>
                <ul class="side-nav" id="mobile-menu">
                    <li><a href="{{ route('aluno.home') }}">Página Inicial</a></li>
                    <li><a href="{{ route('home.moodle') }}" class="btn btnTop waves-effect waves-light">Portal do Aluno</a></li>
                </ul>
            </div>
        </nav>

        @yield('breadcrumb')
    </header>
    <main>
        @yield('sidebar')

        @yield('content')

        <form id="frm-logout" action="{{ route('logout') }}" method="POST" style="display: none;">
            {{ csrf_field() }}
        </form>
    </main>

    <footer class="rodape valign-wrapper">
        <div class="container">
            <div class="row">
                <div class="col s12">
                    @switch(Request::session()->get('matricula')['idEmpresa'])
                    @case(5)
                    @case(7)
                    @case(8)
                    Copyright © {{ date('Y') }} - Faculdade Estratego - Todos os direitos Resevados.
                    @break
                    @case(6)
                    @case(13)
                    @case(12)
                    Copyright © {{ date('Y') }} - Instituto Carreira - Todos os direitos Resevados.
                    @break
                    @case(17)
                    @case(18)
                    @case(9)
                    @case(15)
                    Copyright © {{ date('Y') }} - Inex - Todos os direitos Resevados.
                    @break
                    @endswitch
                </div>
            </div>
        </div>
    </footer>


    <script src="{{ asset('/js/jquery-2.1.1.min.js') }}"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.98.0/js/materialize.min.js"></script>
    {{-- heleprjs by:wesley --}}
    <script type="text/javascript" src="{{ asset('/js/helper/helper.js') }}"></script>
    <script>
        $(function() {
            $(".button-collapse").sideNav();
        });

    </script>

    <!-- formloader request -->
    <div id="formloader"></div>
    <script>
        $(document).ready(function() {
            $("form").on("submit", function() {
                var spinner = $('#formloader');
                spinner.show();
            });
        });
    </script>

    @yield('js')
</body>
</html>
