@extends('layouts.app')

@section('body')

@if(config('adminlte.layout') != 'top-nav')
<!-- Left side column. contains the logo and sidebar -->
<aside class="main-sidebar" style="padding-top: 0;">

    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar">

        <!-- Sidebar Menu -->
        <ul class="sidebar-menu" data-widget="tree">
            <li class="active">
                <a href="{{ route('home.moodle') }}">
                    <i class="fa fa-fw fa-home "></i>
                    <span>Inicial</span>
                </a>
            </li>
            <li class="">
                <a href="{{ route('moodle.frequencias') }}" @if(!isset(Request::session()->get('matricula')['idMatricula'])) disabled @endif>
                    <i class="fa fa-fw fa-calendar "></i>
                    <span>Frequência</span>
                </a>
            </li>
            <li class="">
                <a href="{{ route('moodle.notas') }}">
                    <i class="fa fa-fw fa-table "></i>
                    <span>Notas</span>
                </a>
            </li>
            <li class="">
                <a href="{{ route('moodle.financeiro') }}">
                    <i class="fa fa-fw fa-barcode "></i>
                    <span>Boletos de Mensalidades</span>
                </a>
            </li>

            @if (Request::session()->get('matricula')['modalidade'] == 1)
            <li class="">
                <a href="{{ route('moodle.calendarioModulos') }}" @if(!isset(Request::session()->get('matricula')['idMatricula'])) disabled @endif>
                    <i class="fa fa-fw fa-calendar "></i>
                    <span>Calendário de Aulas</span>
                </a>
            </li>
            @endif

            @if (Request::session()->get('matricula')['modalidade'] == 2)
            <li class="">
                <a href="{{ route('suporte.home') }}">
                    <i class="fa fa-fw fa-commenting-o "></i>
                    <span>Suporte ao Aluno</span>
                </a>
            </li>
            <li class="">
                <a href="{{ route('moodle.protocolos') }}">
                    <i class="fa fa-fw fa-inbox"></i>
                    <span>Protocolos</span>
                </a>
            </li>
            <li class="">
                <a href="http://ava.inexonline.com.br/">
                    <i class="fa fa-fw fa-desktop"></i>
                    <span>Voltar ao AVA</span>
                </a>
            </li>
            <li class="">
                <a href="{{ route('moodle.contrato') }}" target="_blank">
                    <i class="fa fa-fw fa-file-text-o"></i>
                    <span>Contrato Educacional</span>
                </a>
            </li>
            <li>
                <a href="{{ route('logout') }}">
                    <i class="fa fa-fw fa-power-off"></i>
                    <span>Sair</span>
                </a>
            </li>
            @else
            <li class="">
                <a href="{{ route('moodle.contrato') }}" target="_blank">
                    <i class="fa fa-fw fa-file-text-o"></i>
                    <span>Contrato Educacional</span>
                </a>
            </li>
            <li class="">
                <a href="http://grupoestratego.com.br">
                    <i class="fa fa-fw fa-desktop"></i>
                    <span>Voltar ao AVA</span>
                </a>
            </li>
            <li class="">
                <a href="{{ route('feedback.home') }}">
                    <i class="fa fa-fw fa-check"></i>
                    <span>Feedback</span>
                </a>
            </li>
            <li class="">
                <a href="{{ route('aluno.dados') }}">
                    <i class="fa fa-fw fa-check"></i>
                    <span>Atualizar Senha</span>
                </a>
            </li>
            <li>
                <a href="{{ route('logout') }}">
                    <i class="fa fa-fw fa-power-off"></i>
                    <span>Sair</span>
                </a>
            </li>
            @endif
            <li class="header">Acessibilidade</li>
            <li>
                <a href="javascript:void()" title="Diminuir Fonte" onclick="fonte('d');"><b>A-</b> &nbsp;&nbsp; Diminuir Texto</a>
            </li>
            <li>
                <a href="javascript:void()" title="Aumentar Fonte" onclick="fonte('a');"><b>A+</b> &nbsp;&nbsp; Aumentar Texto</a>
            </li>
            <li>
                <a href="javascript:void()" title="Tamanho normal" onclick="fonteNormal();"><b>A</b> &nbsp;&nbsp;&nbsp; Tamanho Padrão</a>
            </li>
            <li>
                <a href="javascript:void()" id="altocontraste" accesskey="3" onclick="window.toggleContrast()" onkeydown="window.toggleContrast()"><i class="fa fa-adjust"></i> Alto contraste</a>
            </li>
        </ul>
        <!-- /.sidebar-menu -->
    </section>
    <!-- /.sidebar -->
</aside>
@endif

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    @if(config('adminlte.layout') == 'top-nav')
    <div class="container">
        @endif

        <!-- Content Header (Page header) -->
        <section class="content-header">
            @yield('content_header')
        </section>

        <!-- Main content -->
        <section class="content">

            @yield('content')

        </section>
        <!-- /.content -->
        @if(config('adminlte.layout') == 'top-nav')
    </div>
    <!-- /.container -->
    @endif

    @stop

    @section('adminlte_js')
    <script src="{{ asset('vendor/adminlte/dist/js/adminlte.min.js') }}"></script>
    <script type="text/javascript">
        function fonte(e) {
            var elemento = $("body");
            var fonte = parseInt(elemento.css('font-size'));
            e == 'a' ? fonte++ : fonte--;
            elemento.css("fontSize", fonte);
        }

        function fonteNormal() {
            var elemento = $("body");
            elemento.css("fontSize", "");
        }

    </script>
    @stack('js')
    @yield('js')
    @stop
