@section('css_custom')
<meta name="csrf-token" content="{{ csrf_token() }}">
<style>
.modal {
    top: 1% !important;
    position: absolute;
    width: 90%;
    max-height: 100% !important;
}
.modal .modal-footer{
    width: 99% !important;
}
.modal h4{
    font-size: 22px;
}
</style>
@stop

@extends('layouts.viewMoodle')

@section('title', 'Protocolos')
@section('breadcrumbs')
<div id="breadcrumbs-wrapper">
    <div class="container">
        <div class="row">
            <div class="col s12 m12 l12">
                <h5 class="breadcrumbs-title">Protocolos</h5>
                <ol class="breadcrumbs">
                    <li><a href="{{ route('home.moodle') }}">Home</a></li>
                    <li class="active">Protocolos</li>
                </ol>
            </div>
        </div>
    </div>
</div>
@stop

@section('content')

<a class="waves-effect waves-light btn modal-trigger" href="#solicitacao" >
    Solicitação
</a>

@include('includes.alerts')
<br /><br />
<b>Intruções</b>

<ol>
    <li>Solicitar apenas um protocolo por serviço;</li>
    <li>O aluno se responsabiliza pelo preenchimento de todos os campos de informações;</li>
    <li>Todas as solicitações terão um prazo limite de resposta;</li>
    <li>O prazo de resposta será contado a partir da data de confirmação do pagamento do boleto em até 2 dias úteis via banco;</li>
    <li>Caso o boleto não seja pago até o vencimento, o protocolo será cancelado automaticamente;</li>
</ol>

<div class="table-responsive">
    <table class="striped">
        <thead>
            <tr>
                <th></th>
                <th>Código</th>
                <th>Solicitação</th>
                <th>Data Solicitação</th>
                <th>Prazo*</th>
                <th>Valor</th>
                <th>Status Processo</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @forelse ($protocolos as $lnp)
            <tr>
                <td>

                    @if ($lnp->statusProtocolo == 0 && $lnp->vctoBoleto >= date('Y-m-d') && $lnp->valorFatura > 0)
                        <a href="https://sis.estratego.site/boleto_santander/{{ base64_encode(base64_encode(base64_encode($lnp->idBoleto))) }}" target="_blank" class="btn btn-xs btn-info"><i class="fa fa-barcode"></i> Boleto</a>
                        <!--<a href="https://sis.estratego.site/boleto/{{ base64_encode(base64_encode(base64_encode($lnp->idBoleto))) }}" target="_blank" class="btn btn-xs btn-info"><i class="fa fa-barcode"></i> Boleto</a>-->
                    @endif
                </td>
                <td>{{ $lnp->codigoProtocolo }}</td>
                <td>{{ $lnp->tituloAssunto }}</td>
                <td>{{ date('d/m/Y', strtotime($lnp->created_at)) }}</td>
                <td>
                    @if ( in_array($lnp->statusProtocolo, [1,3,4]) )
                        {{ formataDataHora($lnp->dataVcto, 'd/m/Y') }}
                        @if ( $lnp->nivelUrgencia == 2 )
                            <span class="red-text">Urgente</span>
                        @endif
                    @endif
                </td>
                <td>{{ number_format($lnp->valorFatura,2,',','.') }}</td>
                <td>
                    @if ($lnp->statusProtocolo == 0)
                        <span class="label label-warning">Aguardando Pagamento</span>
                    @endif
                    @if ($lnp->statusProtocolo == 1)
                        <span class="label label-success">Pagamento Confirmado</span>
                    @endif
                    @if ($lnp->statusProtocolo == 2)
                        <span class="label label-danger">Cancelado por falta de Pagamento</span>
                    @endif
                    @if ($lnp->statusProtocolo == 3)
                        <span class="label label-primary">Encerrado</span>
                    @endif
                    @if ($lnp->statusProtocolo == 4)
                        <span class="label label-primary">Isento</span>
                    @endif
                </td>
                <td>
                    <a href="{{ route('moodle.protocolosshow', [$lnp->id]) }}" class="btn btn-sm btn-default"><i class="fa fa-inbox"></i> Ver</a>
                </td>
            </tr>
            @empty
                <tr>
                    <td colspan="8">Você ainda não solicitou nenhum protocolo até o momento.</td>
                </tr>
            @endforelse
    </table>
    <small>*Os prazos de respostas informados só começarão a contar a partir da confirmação do pagamento do Boleto.</small>

    <hr>

    <a href="{{ route('home.moodle') }}" class="btn btn-default btn-sm">Voltar</a>



<!-- Modal -->
<div id="solicitacao" class="modal">
<form action="{{ route('moodle.cadProtocolo') }}" method="POST" enctype="multipart/form-data" id="frmCadProtocolo">
<div class="modal-content">
        {{ csrf_field() }}
      <div class="modal-header">
        <h4>Protocolo de Requerimentos</h4>
      </div>
      <div class="modal-body">
          <div class="formHD">
            <!--<div class="row">
                <div class="input-field col s4">
                    <input type="text" id="matricula" value="{{ $matricula->codMatricula }}" disabled class="form-control" />
                    <label for="matricula">Matrícula</label>
                </div>
                <div class="input-field col s8">
                    <input type="text" id="nomealuno" value="{{ $aluno->nomeAluno }}" disabled class="form-control" />
                    <label for="nomealuno">Aluno</label>
                </div>
            </div>-->
            <div class="row">
                <div class="input-field col s6">
                    <select name="protocolo_assuntos_id" id="tiposolicitacao" required="required" onchange="solicitacao(this.value)">
                        <option value="" disabled selected></option>
                        @forelse ($assunto as $ass)
                            <option value="{{ $ass->id }}">{{ $ass->tituloAssunto }}</option>
                        @empty

                        @endforelse
                    </select>
                    <label for="tiposolicitacao">Solicitação</label>
                </div>
                <div class="input-field col s3">
                    <input type="text" id="precovalor" class="form-control valor" disabled />
                    <label for="precovalor" class="precovalor">Valor</label>
                </div>
                <div class="input-field col s3">
                    <input type="text" name="prazo" id="prazoresposta" class="form-control prazo" disabled />
                    <label for="prazoresposta" class="prazoresposta">Prazo*</label>
                </div>
            </div>
            <div class="row lnDisciplina" style="display: none">
                <div class="input-field col s6">
                    <select name="disciplina" id="nomedisciplina" class="select2 slcDisciplina">
                        <option value="" selected></option>
                        @forelse ($disciplinas as $dsc)
                            <option value="{{ $dsc->nomeDisciplina }}">{{ $dsc->nomeDisciplina }}</option>
                        @empty
                        @endforelse
                    </select>
                    <label for="nomedisciplina" class="nomedisciplina">Disciplina</label>
                </div>
                <div class="col s6"></div>
            </div>
            <div class="row">
                <div class="col s12 infoProtocolo"></div>
            </div>
            <div class="row">
                <div class="input-field col s12">
                    <textarea id="justificativaProtocolo" name="justificativaProtocolo" class="materialize-textarea" required></textarea>
                    <small>Atenção! A informação descrita acima, deve estar obrigatoriamente relacionada a Solicitação selecionada.</small>
                    <label for="justificativaProtocolo">Justificativa</label>
                </div>
            </div>
            <div class="row">
                <div class="input-field col s4">
                    <select name="nivelUrgencia" id="nivelUrgencia" class="nivelPrioridade" onchange="slcPrioridade(this.value)" disabled>
                        <option value="1">Normal</option>
                        <option value="2">Urgente</option>
                    </select>
                    <label for="nivelUrgencia">Prioridade</label>
                </div>
                <div class="col s8 file-field input-field">
                    <div class="btn">
                        <span>Anexo</span>
                        <input type="file" name="upload"  multiple>
                    </div>
                    <div class="file-path-wrapper">
                        <input class="file-path validate" name="upload" type="text" placeholder="Deseja enviar um arquivo? Clique aqui" accept="image/*,.pdf">
                    </div>
                </div>
            </div>
          </div>
          <div class="row">
              <div class="col s12">
                  <small>*Os prazos de respostas informados só começarão a contar a partir da confirmação do pagamento.</small>
              </div>
          </div>
          <div class="row">
              <div class="col s12 returnNivel"></div>
          </div>
        <!--</div>-->
      </div>

    </div>

    <div class="modal-footer">
        <small class="msg_returnProt"></small>
        <button type="submit" class="btn btn-primary btn-registro" onclick="desabilitaBtn()">Registrar</button>
        <button type="button" class="modal-close waves-effect waves-red btn-flat">Fechar</button>
      </div>
    </form>
</div>


@stop

@section('js')
<script type="text/javascript">
function registrar(){

    var msg  = '<h3>Chamado Registrado com Sucesso!</h3>';
        msg += '<p>Seu chamado foi registrado com sucesso, seu tutor estará respondendo o mesmo em até <b>48</b> horas úteis.</p>';

    $('.formHD').html(msg);
    $('.btn-registro').css('display', 'none');
}

function solicitacao(id){
    $.ajax({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        type: 'POST',
        data: {'assunto_id': id},
        url: "{{ route('slc.assunto') }}",
        beforeSend: function(){
            $('.precovalor').addClass('active');
            $('.prazoresposta').addClass('active');

            $('.prazo').val('...');
            $('.valor').val('...');
        },
        success: function(response){


            $('.prazo').val(response.prazoResposta + ' dias');
            $('.valor').val('R$ ' + response.valorProtocolo.replace('.', ','));
            if(response.aceitaUrgencia == 1){
                $('#nivelUrgencia').material_select('destroy');
                $('.nivelPrioridade').removeAttr('disabled', 'disabled');
                $('#nivelUrgencia').material_select();
            }

            // verifica se a informações extras
            if(response.descricaoAssunto != null){
                $('.infoProtocolo').html('<pre><b>Atenção!</b><br /> ' + response.descricaoAssunto + '</pre>');
            }else{
                $('.infoProtocolo').html('');
            }
            // verifica disciplina
            if(response.necessitaDisciplina == 1){
                $('.lnDisciplina').css('display', 'block');
                $('.slcDisciplina').attr('required', 'required');
            }else{
                $('.slcDisciplina').removeAttr('required', 'required');
                $('.lnDisciplina').css('display', 'none');
            }
        },
        error: function(){
            $('.prazo').html('');
        }


    });
}

function slcPrioridade(nivel){
    if(nivel == 2){
        $('.returnNivel').html('<div class="alert alert-danger"><b>Atenção!</b> Ao solicitar Urgência em seu protocolo, será cobrada a taxa de Urgência no valor de R$ 60,00 para um prazo de 2 dias úteis.</div>');
    }else{
        $('.returnNivel').html('');
    }
}

function desabilitaBtn(){
    $('.btn-registro').attr('disabled', 'disabled');
    $('.msg_returnProt').html('Aguarde, registrando protocolo...');
    $('#frmCadProtocolo').submit();
}
</script>
@stop
