@extends('layouts.viewMoodle')

@section('title', 'Protocolos')

@section('breadcrumbs')
<div id="breadcrumbs-wrapper">
    <div class="container">
        <div class="row">
            <div class="col s12 m12 l12">
                <h5 class="breadcrumbs-title">Protocolos</h5>
                <ol class="breadcrumbs">
                    <li><a href="{{ route('home.moodle') }}">Home</a></li>
                    <li><a href="{{ route('moodle.protocolos') }}">Protocolos</a></li>
                    <li class="active">Acompanhamento</li>
                </ol>
            </div>
        </div>
    </div>
</div>

@stop

@section('content')
<div class="row">
    <div class="col s8">
        Acompanhamento de Protocolo <b>num. {{ $protocolo->codigoProtocolo }}</b>
    </div>
    <div class="col s4 text-right">

    </div>
</div>



@include('includes.alerts')

<div class="row">
    <ul id="profile-page-about-details" class="collection z-depth-1">
        <li class="collection-item">
            <div class="row">
                <div class="col s3 grey-text darken-1"><i class="mdi-action-wallet-travel"></i> Solicitação:</div>
                <div class="col s9 grey-text text-darken-4 right-align">{{ $protocolo->tituloAssunto }}</div>
            </div>
        </li>
        @if ($protocolo->statusProtocolo == 1)
        <li class="collection-item">
            <div class="row">
                <div class="col s3 grey-text darken-1"><i class="mdi-social-poll"></i> Prazo:</div>
                <div class="col s9 grey-text text-darken-4 right-align">{{ date('d/m/Y', strtotime($protocolo->dataVcto)) }}</div>
            </div>            
        </li>
        @endif
        <li class="collection-item">
            <div class="row">
                <div class="col s3 grey-text darken-1"><i class="mdi-social-poll"></i> Data da Solicitação:</div>
                <div class="col s9 grey-text text-darken-4 right-align">{{ date('d/m/Y', strtotime($protocolo->created_at)) }}</div>
            </div>
        </li>
        <li class="collection-item">
            <div class="row">
                <div class="col s3 grey-text darken-1"><i class="mdi-social-domain"></i> Pagamento de Taxa:</div>
                <div class="col s9 grey-text text-darken-4 right-align">
                    @if ($protocolo->statusProtocolo == 0)
                    <span class="label label-warning">Aguardando Pagamento</span>
                    @endif
                    @if ($protocolo->statusProtocolo == 1)
                    <span class="label label-success">Pagamento Confirmado</span>
                    @endif
                    @if ($protocolo->statusProtocolo == 2)
                    <span class="label label-danger">Cancelado por falta de Pagamento</span>
                    @endif
                    @if ($protocolo->statusProtocolo == 3)
                    <span class="label label-primary">Encerrado</span>
                    @endif
                </div>
            </div>
        </li>
    </ul>
</div>

<div class="row">
    <div class="col s12">
        <ul class="tabs tab-demo z-depth-1" style="width: 100%;">
            <li class="tab col s3"><a class="active" href="#justificativa">Justificativa</a>
            </li>
            <li class="tab col s3"><a href="#anexo" class="">Anexo</a>
            </li>
            <div class="indicator" style="right: 298px; left: 0px;"></div>
            <div class="indicator" style="right: 298px; left: 0px;"></div>
        </ul>
    </div>
    <div id="justificativa" class="col s12" style="display: block;">
        <p>{!! $protocolo->justificativaProtocolo !!}</p>
    </div>
    <div id="anexo" class="col s12" style="display: none;">
        <ul class="mailbox-attachments clearfix">
            @forelse ($anexos as $anx)
            <li>
                <span class="mailbox-attachment-icon"><i class="fa fa-file-o"></i></span>
                <div class="mailbox-attachment-info">
                    <a href="{{ $anx->link }}" class="mailbox-attachment-name" target="_blank"><i class="fa fa-paperclip"></i> {{ $anx->nomeArquivo }}</a>
                    <span class="mailbox-attachment-size">
                        .
                            <a href="{{ $anx->link  }}" target="_blank" class="btn btn-default"><i class="mdi-action-get-app"></i> Ver </a>
                    </span>
                </div>
            </li>
            @empty
            <pre>Não foram anexados arquivos nesta solicitação.</pre>
            @endforelse
        </ul>
    </div>



</div>

<hr />

@if ($protocolo->situacaoProtocolo > 0)

Parecer:
@if ($protocolo->situacaoProtocolo == 1)
<span class="label label-success">Deferido</span>
@endif
@if ($protocolo->situacaoProtocolo == 2)
<span class="label label-warning">Indeferido</span>
@endif

@endif

@if (count($parecer) > 0)
<div class="row">
    <div class="col-md-12">
        <ul class="timeline">
            @forelse ($parecer as $msg)

            <!-- timeline time label -->
            <li class="time-label">
                <span class="bg-green">
                    {{ date('d/m/Y', strtotime($msg['created_at'])) }}
                </span>
            </li>
            <!-- /.timeline-label -->
            <!-- timeline item -->
            <li>
                <i class="fa fa-envelope bg-blue"></i>
                <div class="timeline-item">
                    <span class="time"><i class="fa fa-clock-o"></i> {{ date('H:s', strtotime($msg['created_at'])) }}</span>
                    <a>{{ $msg['name'] }}</a>
                    <div class="card-panel">
                        <blockquote>
                            {!! $msg['descParecer'] !!}
                        </blockquote>
                    </div>
                    <div class="timeline-footer">

                        @if($msg['anexo'])
                        <ul class="mailbox-attachments clearfix">
                            <li>
                                <span class="mailbox-attachment-icon"><i class="fa fa-file-o"></i></span>
                                <div class="mailbox-attachment-info">
                                    <a href="{{ $msg['link'] }}" class="mailbox-attachment-name" target="_blank"><i class="fa fa-paperclip"></i> {{ $msg['anexo'] }}</a>
                                    <span class="mailbox-attachment-size">
                                        .
                                        <a href="{{ $msg['link'] }}" class="btn btn-default btn-xs pull-right" target="_blank"><i class="fa fa-cloud-download"></i></a>
                                    </span>
                                </div>
                            </li>
                        </ul>
                        @endif
                    </div>
                </div>
            </li>
            @empty
            @endforelse
        </ul>
    </div>
</div>
@endif

<a href="{{ route('moodle.protocolos') }}" class="btn btn-default btn-sm">Voltar</a>


@stop

@section('js')
<script type="text/javascript">
    function registrar() {

        var msg = 'Chamado Registrado com Sucesso!';
        msg += '<p>Seu chamado foi registrado com sucesso, seu tutor estará respondendo o mesmo em até <b>48</b> horas úteis.</p>';

        $('.formHD').html(msg);
        $('.btn-registro').css('display', 'none');
    }

</script>
@stop
