@extends('layouts.viewMoodle')

@section('title', 'Suporte ao Aluno')

@section('breadcrumbs')
<div id="breadcrumbs-wrapper">    
    <div class="container">
        <div class="row">
        <div class="col s12 m12 l12">
            <h5 class="breadcrumbs-title">Suporte ao Aluno</h5>
            <ol class="breadcrumbs">        
                <li><a href="{{ route('home') }}">Início</a></li>
                <li class="active">Suporte ao Aluno</li>
            </ol>
        </div>
        </div>
    </div>
</div>
<!--breadcrumbs end-->
@stop

@section('content')

<div class="row">
    <div class="col s12">
        <a class="waves-effect waves-light btn modal-trigger" href="{{ route('faq.chamado') }}">
            <i class="fa fa-plus"></i> Chamado
        </a>        
    </div>
</div>

<div class="row">
    <div class="col s12 m12">                
        @include('includes.alerts')
        
        <table class="table table-striped table-condensed table-hover dataTable" id="dataTable">
            <thead>
                <tr>
                    <th>Código</th>
                    <th>Assunto</th>
                    <th>Status</th>
                    <th>Data Chamado</th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                @forelse($solicitacoes as $sol)
                <tr>
                    <td>{{ $sol->codigoSolicitacao }}</td>
                    <td>{{ $sol->tituloAssunto }}</td>
                    <td>
                        @if($sol->statusSolicitacao == 0)
                        <span class="label label-default">Em Aberto</span>
                        @endif
                        @if($sol->statusSolicitacao == 1)
                        <span class="label label-primary">Em Andamento</span>
                        @endif
                        @if($sol->statusSolicitacao == 2)
                        <span class="label label-success">Respondido</span>
                        @endif
                    </td>
                    <td>{{ date('d/m/Y', strtotime($sol->created_at)) }}</td>
                    <td><a href="{{ route('suporte.show', [$sol->id]) }}" class="btn btn-sm btn-default"><i class="fa fa-commenting-o"></i> Ver</a></td>
                </tr>                        
                @empty
                <tr>
                    <td colspan="5">Você ainda não realizou nenhuma Solicitação.</td>
                </tr>
                @endforelse
        </table>
    </div>
</div>
<hr>
<div class="row">
    <div class="col s12">
        <a href="{{ route('home.moodle') }}" class="btn btn-default btn-sm">Voltar</a>
    </div>
</div>


<div id="modal1" class="modal" style="z-index: 1003; display: none; opacity: 0; transform: scaleX(0.7); top: 316.97px;">
    <form action="{{ route('suporte.store') }}" method="POST" enctype="multipart/form-data">
    {{ csrf_field() }}
    <div class="modal-content">        
        <div class="formHD">
            <h4>Cadastrar Solicitação</h4>
            <div class="row">
                <div class="col s12 input-field">
                    <select name="assunto" id="slcAssunto">
                        <option disabled selected>Selecione</option>
                        @forelse($assunto as $ass)
                        <option value="{{ $ass->id }}">{{ $ass->tituloAssunto }}</option>
                        @empty
                        @endforelse
                    </select>
                    <label for="slcAssunto">Assunto</label>
                </div>
            </div>
            <div class="row">
                <div class="col s12 input-field">
                    <textarea name="msg" id="msg" class="materialize-textarea"></textarea>
                    <label for="msg">Descrição</label>
                    <small>Atenção! A informação descrita acima, deve estar obrigatoriamente relacionada ao assunto selecionado.</small>
                </div>
            </div>
            <div class="row">
                <div class="col s12 file-field input-field">
                    <div class="btn">
                        <span>Anexo</span>
                        <input type="file" multiple>
                    </div>
                    <div class="file-path-wrapper">
                        <input class="file-path validate" type="text" placeholder="Deseja enviar um arquivo? Clique aqui">
                    </div>
                </div>               
            </div>
        </div>    
    </div>
    <div class="modal-footer">
        <input type="submit" class="waves-effect waves-green btn" value="Enviar">        
        <a href="#" class="waves-effect waves-red btn-flat modal-action modal-close">Fechar</a>
    </div>
</form>
</div>



<!-- Modal -->
<div class="modal fade" id="cadChamado" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
    
       
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="myModalLabel">Registrar Chamado</h4>
      </div>
      <div class="modal-body"> 
                
          
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Fechar</button>
        <button type="submit" class="btn btn-primary btn-registro">Registrar</button>
      </div>
    </form>
    </div>
  </div>
</div>

<!-- Modal -->
<div class="modal fade" id="msgTrue" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <h4 class="modal-title" id="myModalLabel">Chamado Registrado com Sucesso!</h4>
        </div>
        <div class="modal-body"> 
            <p>Seu chamado foi registrado com sucesso, seu tutor estará respondendo o mesmo em até <b>48</b> horas úteis.</p>                            
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Fechar</button>
        </div>
      </div>
    </div>
  </div>
@stop


@section('js')
<script type="text/javascript">
@if(isset($_GET['suc']) && $_GET['suc'] == 'true')
$('#msgTrue').modal('show');
window.history.pushState("", "", "?");
@endif
</script>
@stop